char dosemu_conf[] = \
"##############################################################################\n"\
"# This file is the system-wide dosemu.conf or the per-user ~/.dosemurc,\n"\
"# included by global.conf or dosemu.bin.\n"\
"#\n"\
"# ./doc/README.txt (chapter 2.) contains a description of the syntax\n"\
"# and the usage of dosemu.conf and .dosemurc.\n"\
"#\n"\
"# The commented-out values are defaults, here for documentation purposes\n"\
"# only. Options marked [priv] cannot be changed in ~/.dosemurc.\n"\
"#\n"\
"# (optional) access rights are defined in\n"\
"#\n"\
"#      /etc/dosemu/dosemu.users or /etc/dosemu.users\n"\
"#\n"\
"##############################################################################\n"\
"\n"\
"\n"\
"\n"\
"# Notes for editing this file:\n"\
"#\n"\
"#   In    $_xxx = (n)    n is a numerical or boolean value\n"\
"#                  =     =\n"\
"#   In    $_zzz = \"s\"    s is a string\n"\
"#\n"\
"# Please note that all options are commented out by default!\n"\
"# Remove the # in front of the $ to change an option.\n"\
"\n"\
"\n"\
"##############################################################################\n"\
"## CPU settings: define the CPU features to DOSEMU.\n"\
"\n"\
"# CPU shown to DOS, valid values:  \"80[23456]86\"\n"\
"# Default: 80586\n"\
"\n"\
"$_cpu = \"80586\"\n"\
"\n"\
"# Usage of cpu emulation: \"off\" (default on x86),\n"\
"# \"vm86\" only (default on x86-64) or \"full\" (vm86 and DPMI, experimental!).\n"\
"# Use \"vm86sim\" or \"fullsim\" to use simulation instead of JIT code generation.\n"\
"\n"\
"$_cpu_emu = \"off\"\n"\
"\n"\
"# Select cpu virtualization mode.\n"\
"# \"vm86\" - use v86 mode via vm86() syscall. Only available on x86-32.\n"\
"# \"kvm\" - use KVM, hardware-assisted in-kernel virtual machine.\n"\
"# \"emulated\" - use CPU emulator\n"\
"# \"auto\" - select whatever works\n"\
"\n"\
"$_cpu_vm = \"auto\"\n"\
"\n"\
"# if possible use Pentium cycle counter for timing. Default: off\n"\
"\n"\
"$_rdtsc = (off)\n"\
"\n"\
"# CPU speed, used in conjunction with the TSC\n"\
"# Default 0 = calibrated by dosemu, else given (e.g.166.666)\n"\
"\n"\
"$_cpuspeed = (0)\n"\
"\n"\
"# emulated FPU, (off) or (on), default = (on)\n"\
"\n"\
"$_mathco = (on)\n"\
"\n"\
"# 0 = all CPU power to DOSEMU; default = 1 = nicest, then higher:more CPU power\n"\
"\n"\
"$_hogthreshold = (1)\n"\
"\n"\
"##############################################################################\n"\
"## Disk and file system settings\n"\
"\n"\
"# List of hdimages or boot directories under\n"\
"# ~/.dosemu, the system config directory (/etc/dosemu by default), or\n"\
"# syshdimagedir (/var/lib/dosemu by default) assigned in this order\n"\
"# such as \"hdimage_c directory_d hdimage_e\"\n"\
"# Absolute pathnames are also allowed.\n"\
"# If the name begins with \'/dev/\', then wholedisk or partition access is\n"\
"# done instead of a virtual hdimage such as \"/dev/hda\", \"/dev/hda1\" or\n"\
"# \"/dev/hda1:ro\" for readonly\n"\
"#\n"\
"# For older versions of MS-DOS and PC-DOS you may want to limit the size of\n"\
"# any directory mode virtual disks that are presented as if they are too large\n"\
"# or have non-standard geometry the OS may fail to recognise them.\n"\
"# This option is useful for forcing FAT12 or FAT16 as opposed to Dosemu\'s\n"\
"# normal FAT16B formatting.\n"\
"# /path/to/dir:hdtype1 - creates 10mb IBM type1 disk with C/H/S of 306/4/17\n"\
"# /path/to/dir:hdtype2 - creates 21mb IBM type2 disk with C/H/S of 615/4/17\n"\
"# /path/to/dir:hdtype9 - creates 117mb IBM type9 disk with C/H/S of 900/15/17\n"\
"#\n"\
"# Currently mounted devices and swap are refused. Hdimages and devices may\n"\
"# be mixed such as \"hdimage_c /dev/hda1 /dev/hda3:ro\". Default: \"drives/*\"\n"\
"\n"\
"$_hdimage = \"drives/*\"\n"\
"\n"\
"# Floppy drives.\n"\
"# May be set up to directory or to /dev/fdX device node.\n"\
"# Optionally the device type may be appended, such as\n"\
"# \"/dev/fd0:threeinch\".\n"\
"# A directory can be used as a read-only virtual floppy: \"floppy_dir:threeinch\",\n"\
"# in which case $HOME/.dosemu/floppy_dir will be used as a floppy image.\n"\
"# Default: \"/dev/fd0:threeinch\" for A:, \"\" for B:\n"\
"\n"\
"$_floppy_a = \"/dev/fd0:threeinch\"\n"\
"$_floppy_b = \"\"\n"\
"\n"\
"# select the boot drive\n"\
"# Default: \"\" (which means auto, finds the first bootable drive)\n"\
"\n"\
"$_bootdrive = \"\"\n"\
"\n"\
"# swap drives the way the bootdrive to become C\n"\
"# Needed for DOSes that can\'t boot from anything other than C drive.\n"\
"# Default: off\n"\
"\n"\
"$_swap_bootdrive = (off)\n"\
"\n"\
"# List of CDROM devices. Up to 4 are supported. You may also specify\n"\
"# image files. You need to load cdrom.sys and mscdex/nwcdex/shsucdx.exe.\n"\
"# Default: \"/dev/cdrom\"\n"\
"\n"\
"$_cdrom = \"/dev/cdrom\"\n"\
"\n"\
"# list of generic SCSI devices to make available for the builtin aspi driver\n"\
"# (format of an entry is \'device:type:mappedtarget\' such as\n"\
"# \"sg2:WORM sg3:Sequential-Access:6 sg4:CD-ROM\" or\n"\
"# \"sg2:4 sg3:1:6 sg4:5\" (which are equal). Default: \"\"\n"\
"\n"\
"$_aspi = \"\"\n"\
"\n"\
"# whether to lock the full file on lredired drives for file locking requests\n"\
"# or just one byte\n"\
"\n"\
"$_full_file_locks = (off)\n"\
"\n"\
"# enable/disable long filename support for lredired drives;\n"\
"# default: on\n"\
"\n"\
"$_lfn_support = (on)\n"\
"\n"\
"# config.sys   -> config.XXX; default=\"\" or 3 char.,\n"\
"\n"\
"$_emusys = \"\"\n"\
"\n"\
"# system.ini   -> system.XXX; default=\"\" or 3 char., (for Windows 3.x)\n"\
"\n"\
"$_emuini = \"\"\n"\
"\n"\
"##############################################################################\n"\
"## Memory settings\n"\
"\n"\
"# conventional DOS memory size, in Kbytes, <= 768.\n"\
"# Default: 640\n"\
"\n"\
"$_dosmem = (640)\n"\
"\n"\
"# Extended Memory size. This memory is accessible via int15h and can be\n"\
"# used by himem.sys and the internal XMS driver.\n"\
"# Default: 8192\n"\
"\n"\
"$_xms = (8192)\n"\
"\n"\
"# Enable 64K UMB at 0a0000.\n"\
"# This is where the VGA graphics memory resides, so enabling this UMB\n"\
"# will leave you with text mode only.\n"\
"# Default: auto (enabled only if dosemu runs in text mode)\n"\
"\n"\
"$_umb_a0 = (auto)\n"\
"\n"\
"# Enable 32K UMB at 0b0000.\n"\
"# This is where the MDA text memory used to reside, so some programs\n"\
"# write to that area without hesitation. Therefore it is rather risky\n"\
"# to enable that UMB: beware even of ansi.sys!\n"\
"# Default: off\n"\
"\n"\
"$_umb_b0 = (off)\n"\
"\n"\
"# Enable 16K UMB at 0f0000.\n"\
"# This is where normally a read-only BIOS resides but the DOSEMU BIOS does\n"\
"# not need it. Some (very few) programs rely on this memory being read-only\n"\
"# (Prehistorik 2)\n"\
"# Default: on\n"\
"\n"\
"$_umb_f0 = (on)\n"\
"\n"\
"# EMS (expanded memory) size in Kbytes;\n"\
"# Warning: disabling EMS (off) is not recommended. Doing so will\n"\
"# give you the additional 64K of UMB space, but as a side-effect\n"\
"# it will also disable the protected mode DOS API translator,\n"\
"# making many protected-mode apps to crash.\n"\
"# Default: 8192\n"\
"\n"\
"$_ems = (8192)\n"\
"\n"\
"# DOS segment in UMA where the EMS frame is put.\n"\
"# Default: 0xe000\n"\
"\n"\
"$_ems_frame = (0xe000)\n"\
"\n"\
"# the amount of EMS-mappable pages in UMA.\n"\
"# Possible values: 0 to 12\n"\
"# Default: 4\n"\
"\n"\
"$_ems_uma_pages = (4)\n"\
"\n"\
"# the amount of EMS-mappable pages in conventional memory.\n"\
"# Possible values: 0 to 24\n"\
"# Default: 24\n"\
"\n"\
"$_ems_conv_pages = (24)\n"\
"\n"\
"# DPMI memory size in Kbytes; default: 0x20000\n"\
"\n"\
"$_dpmi = (0x20000)\n"\
"\n"\
"# DPMI base address; default: auto\n"\
"# If the default value fails, try 0x10000000\n"\
"\n"\
"$_dpmi_base = (auto)\n"\
"\n"\
"# Some DJGPP-compiled programs have the NULL pointer dereference bugs.\n"\
"# They may work under Windows or QDPMI as these unfortunately do not\n"\
"# prevent that kind of errors.\n"\
"# If you want dosemu to act properly and prevent NULL pointer accesses,\n"\
"# disable this compatibility option.\n"\
"# Default: on\n"\
"\n"\
"$_ignore_djgpp_null_derefs = (on)\n"\
"\n"\
"##############################################################################\n"\
"## Debug settings\n"\
"\n"\
"# debug switches; same format as -D commandline option, default: \"\"=\"-a+cw\".\n"\
"# (but without the -D in front), normally written to ~/.dosemu/boot.log\n"\
"\n"\
"$_debug = \"-a+cw\"\n"\
"\n"\
"# which i/o ports to trace (only displayed if you also use -D+T)\n"\
"# see $_ports below for the syntax\n"\
"\n"\
"$_trace_ports = \"\"\n"\
"\n"\
"##############################################################################\n"\
"## Dosemu-specific hacks\n"\
"\n"\
"# choose the time source for the RTC emulation. Possible values:\n"\
"# \"pit\", \"bios\" and \"linux\". The \"linux\" time source will follow\n"\
"# the system time changes, but it doesn\'t allow to set the time\n"\
"# from DOS. \"bios\" time source is monotonous (will not follow\n"\
"# the system time changes), but allows you to set time from DOS.\n"\
"\n"\
"$_timemode = \"bios\"\n"\
"\n"\
"# set this to some positive value (eg. Default: 10)\n"\
"# if you want to play Doom or Duke3D with sound.\n"\
"\n"\
"$_cli_timeout = (10)\n"\
"\n"\
"##############################################################################\n"\
"## Terminal related settings\n"\
"\n"\
"# Character set used externally to dosemu\n"\
"# Default: \"\" == use the character set from the locale or else:\n"\
"# \"cp437\", \"cp737\", \"cp773\", \"cp775\", \"cp850\", \"cp852\", \"cp857\", \"cp860\",\n"\
"# \"cp861\", \"cp862\", \"cp863\", \"cp864\", \"cp865\", \"cp866\", \"cp869\", \"cp874\",\n"\
"# \"cp1125\", \"cp1251\"\n"\
"# \"iso8859-1\", \"iso8859-2\", \"iso8859-3\", \"iso8859-4\", \"iso8859-5\", \"iso8859-6\",\n"\
"# \"iso8859-7\", \"iso8859-8\", \"iso8859_9\", \"iso8859-14\", \"iso8859-15\", \"koi8-r\"\n"\
"# \"koi8-u\", \"koi8-ru\", \"utf8\"\n"\
"\n"\
"$_external_char_set = \"\"\n"\
"\n"\
"# Character set used by dos programs\n"\
"# Default: \"\" == use \"cp437\" or else:\n"\
"# \"cp437\", \"cp737\", \"cp773\", \"cp775\", \"cp850\", \"cp852\", \"cp857\", \"cp860\",\n"\
"# \"cp861\", \"cp862\", \"cp863\", \"cp864\", \"cp865\", \"cp866\", \"cp869\", \"cp874\",\n"\
"# \"cp895\", \"cp1125\", \"cp1251\", \"bg-mik\"\n"\
"\n"\
"$_internal_char_set = \"\"\n"\
"\n"\
"# terminal with color support. Default: (on)\n"\
"\n"\
"$_term_color = (on)\n"\
"\n"\
"# xterm, putty and compatibles window title. Default: %s - DOSEMU\n"\
"# where %s is the DOS program\'s name. Use \"\" to not change the title\n"\
"\n"\
"$_xterm_title = \"%s - DOSEMU\"\n"\
"\n"\
"# Video adapter style used: one of: vga, ega, mda, mga, cga, none\n"\
"# Default: \"vga\"; none=dumb terminal mode.\n"\
"\n"\
"$_video = \"vga\"\n"\
"\n"\
"##############################################################################\n"\
"## Keyboard related settings\n"\
"\n"\
"# Keyboard layout: default: \'auto\' (which tries to generate the table from\n"\
"# the current Linux console settings)\n"\
"# or one of: finnish(-latin1), de(-latin1), be, it, us, uk, dk(-latin1),\n"\
"# keyb-no, no-latin1, dvorak, pl, po, sg(-latin1), fr(-latin1), sf(-latin1),\n"\
"# es(-latin1), sw, hu(-latin2), hu-cwi, keyb-user, hr-cp852, hr-latin2,\n"\
"# cz-qwerty, cz-qwertz, ru, tr.\n"\
"\n"\
"$_layout = \"auto\"\n"\
"\n"\
"# bypass normal keyboard input on the Linux console, maybe dangerous\n"\
"# default: (auto), use only with -s or -k, or (0): off, use -k, or (1): on.\n"\
"\n"\
"$_rawkeyboard = (auto)\n"\
"\n"\
"# 30 == Ctrl-^ (Ctrl-6 on US keyboards), special-sequence prefix for terminals\n"\
"# use Ctrl-^ h for help\n"\
"\n"\
"$_escchar = (30)\n"\
"\n"\
"##############################################################################\n"\
"## Mouse settings\n"\
"\n"\
"# Use internal mouse driver. Default = (on).\n"\
"\n"\
"$_mouse_internal = (on)\n"\
"\n"\
"# Mouse protocol: one of (microsoft, mousesystems, logitech, mmseries,\n"\
"# mouseman, hitachi, busmouse, ps2, imps2).\n"\
"# Default: \"ps2\"\n"\
"\n"\
"$_mouse = \"ps2\"\n"\
"\n"\
"# Mouse device: if you want to use the internal mouse driver, you can give\n"\
"# the real mouse device such as \"/dev/input/mice\", \"/dev/mouse\", \"/dev/psaux\"\n"\
"# (for PS/2), or \"/dev/gpmdata\" (for GPM repeater usage).\n"\
"# If you intend to use dosemu-dedicated serial mouse, set this to \"comX\"\n"\
"# rather than \"/dev/ttySx\" because the serial port needs a special mouse\n"\
"# backend.\n"\
"# \"\" means: do not read the mouse device directly (no mouse in\n"\
"# console \"$_graphics=(1)\" mode, but GPM can still be used in other modes).\n"\
"# Default: \"/dev/input/mice\"\n"\
"\n"\
"$_mouse_dev = \"/dev/input/mice\"\n"\
"\n"\
"# Default: \"\" or one or more of: \"emulate3buttons cleardtr\"\n"\
"\n"\
"$_mouse_flags = \"\"\n"\
"\n"\
"# baudrate, default: 0 == don\'t set\n"\
"\n"\
"$_mouse_baud = (0)\n"\
"\n"\
"##############################################################################\n"\
"## Joystick config\n"\
"\n"\
"# 1st and 2nd joystick device\n"\
"# e.g. \"/dev/js0\" or default: \"/dev/js0 /dev/js1\"\n"\
"#      (or \"\" if you don\'t want joystick support)\n"\
"\n"\
"$_joy_device = \"/dev/js0 /dev/js1\"\n"\
"\n"\
"# range for joystick axis readings, must be > 0, default: 1\n"\
"\n"\
"$_joy_dos_min = (1)\n"\
"\n"\
"# avoid setting the maximum to > 250, default: 150\n"\
"\n"\
"$_joy_dos_max = (150)\n"\
"\n"\
"# the higher, the less sensitive - useful if you have a wobbly joystick.\n"\
"# default: 1\n"\
"\n"\
"$_joy_granularity = (1)\n"\
"\n"\
"# delay between nonblocking linux joystick reads increases performance if >0\n"\
"# and processor>=Pentium recommended: 1-50ms or 0 if unsure. default: 1\n"\
"\n"\
"$_joy_latency = (1)\n"\
"\n"\
"##############################################################################\n"\
"## Serial port settings\n"\
"\n"\
"# use e.g. \"/dev/mouse\", \"/dev/ttyS0\", \"/dev/ttyS1\", ...\n"\
"#\n"\
"# All \"/dev/ttyXX\" may be suffixed by the IRQ\n"\
"# used (instead of the default one), such as \"/dev/ttyS2 irq 5\"\n"\
"# or \"/dev/ttyS3 irq 9\".\n"\
"#\n"\
"# \"low_latency\" keyword may be used to switch the uart into a low_latency\n"\
"# mode. This may be needed for the software flow control (XOFF) to work right.\n"\
"# It is not supported by most uart drivers and slows down the transfer.\n"\
"#\n"\
"# \"pseudo\" keyword may be used to force the pseudo-TTY mode.\n"\
"# A wrong but quick way to bypass the hardware flow control.\n"\
"#\n"\
"# \"rtscts\" keyword may be used as a wrong but quick way to enforce the\n"\
"# hardware flow control.\n"\
"#\n"\
"# \"virtual\" keyword may be used to redirect the COM port to the terminal.\n"\
"# A wrong but quick way for the sysop to play his BBS door games locally.\n"\
"#\n"\
"# \"mouse\" keyword enables the serial mouse emulation on the specified port.\n"\
"# You can then use native mouse driver, like mouse.com. This is usually\n"\
"# not what you want: better luck with $_mouse_dev option above.\n"\
"#\n"\
"# \"vmodem\" keyword enables the modem emulation on the specified port.\n"\
"# You can then dial to the IP addresses, which will establish the telnet\n"\
"# connection.\n"\
"#\n"\
"# Default: \"\"\n"\
"\n"\
"$_com1 = \"\"\n"\
"$_com2 = \"\"\n"\
"$_com3 = \"\"\n"\
"$_com4 = \"\"\n"\
"\n"\
"$_com5 = \"\"\n"\
"$_com6 = \"\"\n"\
"$_com7 = \"\"\n"\
"$_com8 = \"\"\n"\
"$_com9 = \"\"\n"\
"$_com10 = \"\"\n"\
"$_com11 = \"\"\n"\
"$_com12 = \"\"\n"\
"$_com13 = \"\"\n"\
"$_com14 = \"\"\n"\
"$_com15 = \"\"\n"\
"$_com16 = \"\"\n"\
"\n"\
"# tty lock directory. Empty string \"\" means no tty locks.\n"\
"# default: \"/var/lock\"\n"\
"\n"\
"$_ttylocks = \"/var/lock\"\n"\
"\n"\
"##############################################################################\n"\
"## Printer and parallel port settings\n"\
"\n"\
"# Print commands to use for LPT1, LPT2 and LPT3.\n"\
"# Default: \"lpr -l\", \"lpr -l -P lpt2\", and \"\" (disabled)\n"\
"# Which means: use the default print queue for LPT1, \"lpt2\" queue for LPT2.\n"\
"# \"-l\" means raw printing mode (no preprocessing).\n"\
"\n"\
"$_lpt1 = \"lpr -l\"\n"\
"$_lpt2 = \"lpr -P cups-pdf\"\n"\
"$_lpt3 = \"\"\n"\
"$_lpt4 = \"\"\n"\
"$_lpt5 = \"\"\n"\
"$_lpt6 = \"\"\n"\
"$_lpt7 = \"\"\n"\
"$_lpt8 = \"\"\n"\
"$_lpt9 = \"\"\n"\
"\n"\
"# idle time in seconds before spooling out. Default: (20)\n"\
"\n"\
"$_printer_timeout = (20)\n"\
"\n"\
"##############################################################################\n"\
"## Speaker and sound settings\n"\
"\n"\
"# speaker: default: \"emulated\", or \"native\" (console only) or \"\" (off)\n"\
"\n"\
"$_speaker = \"emulated\"\n"\
"\n"\
"# sound support\n"\
"\n"\
"$_sound = (on)\n"\
"\n"\
"# (emulated!) Sound Blaster base i/o port, default: (0x220)\n"\
"\n"\
"$_sb_base = (0x220)\n"\
"\n"\
"# Sound Blaster IRQ setting, default: (5)\n"\
"\n"\
"$_sb_irq = (5)\n"\
"\n"\
"# Sound Blaster 8 bit DMA setting, default: (1)\n"\
"\n"\
"$_sb_dma = (1)\n"\
"\n"\
"# Sound Blaster 16 bit DMA setting, default: (5)\n"\
"\n"\
"$_sb_hdma = (5)\n"\
"\n"\
"# MPU-401 base i/o port\n"\
"\n"\
"$_mpu_base = (0x330)\n"\
"\n"\
"# MIDI synth mode\n"\
"# Supported values: \"gm\", \"mt32\"\n"\
"# Default: \"gm\"\n"\
"\n"\
"$_midi_synth = \"gm\"\n"\
"\n"\
"# MPU-401 irq for GM synth mode\n"\
"# Default: auto (which is equal to $_sb_irq)\n"\
"\n"\
"$_mpu_irq = (auto)\n"\
"\n"\
"# MPU-401 irq for mt32 synth mode\n"\
"# Default: 2\n"\
"\n"\
"$_mpu_irq_mt32 = (2)\n"\
"\n"\
"# Sound output driver.\n"\
"# Supported drivers: ao, sdl (if compiled in)\n"\
"# Default: \"\" (which means auto)\n"\
"\n"\
"$_sound_driver = \"\"\n"\
"\n"\
"# MIDI output drivers.\n"\
"# Comma-separated list of midi drivers to enable.\n"\
"# Supported drivers: fluid, timidity, munt, alsa_midi, oss_midi\n"\
"# Default: \"\" (which means auto)\n"\
"# Note: if you use $_wav_file option to record the sound and want\n"\
"# the rendered midi to also be recorded there, you need to select\n"\
"# either \"fluid\" or \"timidity\" here. Unfortunately, most existing\n"\
"# versions of fluidsynth and timidity are incompatible with dosemu.\n"\
"\n"\
"$_midi_driver = \"\"\n"\
"\n"\
"# munt ROMs path.\n"\
"# Path to munt ROM files.\n"\
"# Default: \"roms\" (which means ~/.dosemu/roms)\n"\
"\n"\
"$_munt_roms = \"roms\"\n"\
"\n"\
"# Sound and MIDI plugin parameters.\n"\
"# Syntax: plugin1:param1=val1,plugin2:param2=val2...\"\n"\
"# Description: dosemu implements many sound and midi plugins.\n"\
"# Some of them may be selected with the $_sound_driver and $_midi_driver\n"\
"# options above; some are managed by dosemu automatically.\n"\
"# This option allows to pass the parameters to any of them.\n"\
"# Example: \"alsa_virmidi:dev_name=munt\"\n"\
"# Default: \"\"\n"\
"\n"\
"$_snd_plugin_params = \"\"\n"\
"\n"\
"# PCM high-pass filter.\n"\
"# It is needed for better integration with the desktop sound stack.\n"\
"# In some cases pulseaudio may not be able to properly mix dosemu\'s\n"\
"# sound stream with the desktop sounds, so your mp3 music may be\n"\
"# silenced or distorted while you are playing some DOS game.\n"\
"# This filter helps pulseaudio to do its work properly.\n"\
"# With some volume settings and some pulseaudio versions this filter\n"\
"# is needed even if dosemu is the only active sound source.\n"\
"# Default: on\n"\
"\n"\
"$_pcm_hpf = (on)\n"\
"\n"\
"# midi file to capture midi music to.\n"\
"# Default: \"\"\n"\
"\n"\
"$_midi_file = \"\"\n"\
"\n"\
"# wav file to capture sound to.\n"\
"# Note: this also captures the midi music, so you may not need\n"\
"# to use the $_midi_file option above.\n"\
"# Default: \"\"\n"\
"\n"\
"$_wav_file = \"\"\n"\
"\n"\
"##############################################################################\n"\
"## Network settings\n"\
"\n"\
"# Enable built-in Packet Driver. Default: on\n"\
"\n"\
"$_pktdriver = (on)\n"\
"\n"\
"# Virtual networking type. \"eth\" for exclusive NIC access, \"tap\" for\n"\
"# using the TAP virtual device, or \"vde\" if you\'d like to use VDE\n"\
"# as a backend for networking DOSemu (this will provide you with an\n"\
"# internet access that works out of the box, assuming you have slirp\n"\
"# installed on your system).\n"\
"# NOTE: \"eth\" and \"tap\" methods require root privileges.\n"\
"# \"eth\" method is deprecated.\n"\
"# Default: \"\" (auto)\n"\
"\n"\
"$_vnet = \"\"\n"\
"\n"\
"# Network device for packet driver in \"eth\" mode.\n"\
"# Default: \"eth1\"\n"\
"\n"\
"$_ethdev = \"eth1\"\n"\
"\n"\
"# Network device for packet driver in \"tap\" mode.\n"\
"# Default: \"\" (dynamic TAP allocation)\n"\
"\n"\
"$_tapdev = \"\"\n"\
"\n"\
"# vdeswitch socket name for packet driver in \"vde\" mode.\n"\
"# If empty string is specified, dosemu will try to set up the VDE switch\n"\
"# automatically.\n"\
"# Default: \"\"\n"\
"\n"\
"$_vdeswitch = \"\"\n"\
"\n"\
"# extra arguments for slirpvde. See \"man slirpvde\" for details.\n"\
"# Default: \"--dhcp\"\n"\
"\n"\
"$_slirpargs = \"--dhcp\"\n"\
"\n"\
"# use Novell 802.3 hack. Default: off\n"\
"\n"\
"$_novell_hack = (off)\n"\
"\n"\
"# NOTE: IPX needs root privileges unless you setup /proc/net/ipx_route\n"\
"# in advance.\n"\
"# Default: (off)\n"\
"\n"\
"$_ipxsupport = (off)\n"\
"\n"\
"# IPX network address to use. One of those listed in /proc/net/ipx/interface.\n"\
"# Address 0 means use the network to which the primary interface, if exist,\n"\
"# is attached to.\n"\
"# Default: 0\n"\
"\n"\
"$_ipx_network = (0)\n"\
"\n"\
"##############################################################################\n"\
"## Settings for X Window System (xdosemu, dosemu -X)\n"\
"## Some apply to SDL (dosemu -S) driver as well.\n"\
"\n"\
"# Title in the top bar of the window. Default = \"DOS in a BOX\"\n"\
"\n"\
"$_X_title = \"DOS in a BOX\"\n"\
"\n"\
"# Show name of running app in the top bar of the window. Default: on\n"\
"\n"\
"$_X_title_show_appname = (on)\n"\
"\n"\
"# Text for icon, when minimized. Default = \"xdosemu\"\n"\
"\n"\
"$_X_icon_name = \"xdosemu\"\n"\
"\n"\
"# Start DOSEMU in fullscreen mode. Default = \"off\"\n"\
"\n"\
"$_X_fullscreen = (off)\n"\
"\n"\
"# on==translate keyboard via dosemu keytables, or \'off\' or \'auto\'. Default:auto\n"\
"\n"\
"$_X_keycode = (auto)\n"\
"\n"\
"# blink rate for the cursor\n"\
"\n"\
"$_X_blinkrate = (12)\n"\
"\n"\
"# name of the X font that is used (e.g. \"vga\") default = \"\" (bitmap fonts)\n"\
"\n"\
"$_X_font = \"\"\n"\
"\n"\
"# Use shared memory extensions. Faster, but problematic with remote X.\n"\
"# Default: on\n"\
"\n"\
"$_X_mitshm = (on)\n"\
"\n"\
"# share the colormap with other applications. Default: off\n"\
"\n"\
"$_X_sharecmap = (off)\n"\
"\n"\
"# Set fixed aspect for resizing the graphics window. Default: on\n"\
"\n"\
"$_X_fixed_aspect = (on)\n"\
"\n"\
"# Always use an aspect ratio of 4:3 for graphics. Default: off\n"\
"\n"\
"$_X_aspect_43 = (off)\n"\
"\n"\
"# Use linear filtering for >15 bpp interpolation. Default: off\n"\
"\n"\
"$_X_lin_filt = (off)\n"\
"\n"\
"# Use bi-linear filtering for >15 bpp interpolation. Default: off\n"\
"\n"\
"$_X_bilin_filt = (off)\n"\
"\n"\
"# initial size factor for video mode 0x13 (320x200)\n"\
"\n"\
"$_X_mode13fact = (2)\n"\
"\n"\
"# \"x,y\" of initial windows size (defaults to \"\"=float)\n"\
"\n"\
"$_X_winsize = \"\"\n"\
"\n"\
"# gamma correction. Default: 1.0\n"\
"\n"\
"$_X_gamma = (1.0)\n"\
"\n"\
"# size (in Kbytes) of the frame buffer for emulated vga. Default: 4096\n"\
"\n"\
"$_X_vgaemu_memsize = (4096)\n"\
"\n"\
"# use linear frame buffer in VESA modes. Default: on\n"\
"\n"\
"$_X_lfb = (on)\n"\
"\n"\
"# use protected mode interface for VESA modes. Default: on\n"\
"\n"\
"$_X_pm_interface = (on)\n"\
"\n"\
"# KeySym name to activate mouse grab, \"\"=off. Default: \"Home\" (ctrl+alt+home)\n"\
"\n"\
"$_X_mgrab_key = \"Home\"\n"\
"\n"\
"# List of vesamodes to add. The list has to contain SPACE separated\n"\
"# \"xres,yres\" pairs, as follows: \"xres,yres ... xres,yres\". Default: \"\"\n"\
"\n"\
"$_X_vesamode = \"\"\n"\
"\n"\
"# pause xdosemu if it loses focus\n"\
"\n"\
"$_X_background_pause = (off)\n"\
"\n"\
"##############################################################################\n"\
"## Settings specific to SDL video driver (dosemu -S)\n"\
"\n"\
"# Use software rendering.\n"\
"# Default: on (we still have problems with HW acceleration)\n"\
"\n"\
"$_SDL_swrend = (on)\n"\
"\n"\
"##############################################################################\n"\
"## Direct hardware access\n"\
"\n"\
"# NOTE: the settings below here that are marked [priv] are only valid in\n"\
"# a system-wide dosemu.conf and cannot be changed by ~/.dosemurc.\n"\
"# For these settings to take effect, DOSEMU must be run with root privileges;\n"\
"# run it as root, via sudo, or suid with adjustments in dosemu.users,\n"\
"# and using the -s switch.\n"\
"\n"\
"# [priv] list of portnumbers such as \"0x1ce 0x1cf 0x238\" or\n"\
"# \"0x1ce range 0x280,0x29f 310\" or \"range 0x1a0,(0x1a0+15)\". Default: \"\"\n"\
"$_ports = \"device /dev/null fast 0x200\"\n"\
"$_ports = $_ports, \" device /dev/lp0 range 0x378 0x37a\"\n"\
"# The blank is important\n"\
"# \"device\" means: if the ports are registered, open this device to block\n"\
"# access. The open must be successful or access to the ports will be denied.\n"\
"# If you know what you are doing, use /dev/null to fake a device to block\n"\
"\n"\
"$_ports = \"\"\n"\
"\n"\
"# [priv] list of IRQ numbers (2-15) to pass to DOS such as \"3 8 10\".Default: \"\"\n"\
"# This does not work on x86-64.\n"\
"\n"\
"$_irqpassing = \"\"\n"\
"\n"\
"# [priv] DOS memory to map directly: list of segment values/ranges such as\n"\
"\n"\
"# \"0xc8000 range 0xcc000,0xcffff\". Default: \"\"\n"\
"\n"\
"$_hardware_ram = \"\"\n"\
"\n"\
"# [priv] (on): give access to the PCI configuration space.\n"\
"# (auto): restricted, mostly emulated access if the video card requires it.\n"\
"# Default: (auto)\n"\
"\n"\
"$_pci = (auto)\n"\
"\n"\
"##############################################################################\n"\
"## Console video\n"\
"\n"\
"# The following settings apply to direct console video only (not in X)\n"\
"# Many are privileged, and need suid/sudo/root and the -s switch.\n"\
"\n"\
"# use \'console\' video (direct video ram access). Default:\n"\
"# (auto) -- use only if KMS is not active\n"\
"\n"\
"$_console = (auto)\n"\
"\n"\
"# use the cards BIOS to set graphics and allow direct port i/o. Default:\n"\
"# (auto) -- use only if KMS is not active\n"\
"\n"\
"$_graphics = (auto)\n"\
"\n"\
"# [priv] run the VGA card\'s initialization BIOS routine (most cards don\'t\n"\
"# need this). Default: (0)\n"\
"\n"\
"$_vbios_post = (0)\n"\
"\n"\
"# [priv] set the address of your VBIOS (e.g. 0xc000, 0xe000).\n"\
"# Default: (0)=autodetect.\n"\
"\n"\
"$_vbios_seg = (0)\n"\
"\n"\
"# [priv] set the size of your BIOS (e.g. 0x10000, 0x8000).\n"\
"\n"\
"# Default: (0)=autodetect.\n"\
"\n"\
"$_vbios_size = (0)\n"\
"\n"\
"# [priv] amount in K of (real) video RAM to save/restore\n"\
"# when switching virtual consoles. (auto) means all video RAM,\n"\
"# which can take *too* long if you have a lot of the video memory.\n"\
"# (off) means no video RAM saving.\n"\
"# Default: 4096\n"\
"\n"\
"$_vmemsize = (4096)\n"\
"\n"\
"# [priv] real chipset: one of: plainvga, svgalib, vesa\n"\
"# svgalib is available only if it is compiled in.\n"\
"# \"vesa\" will probably work; if not, try \"plainvga\". Default: \"vesa\"\n"\
"\n"\
"$_chipset = \"vesa\"\n"\
"\n"\
"# [priv] if you have one vga _plus_ one hgc (2 monitors)\n"\
"\n"\
"$_dualmon = (0)\n"\
;
