/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1




/* Copy the first part of user declarations.  */
#line 28 "parser.y" /* yacc.c:339  */


#define PARSER_VERSION_STRING "parser_version_3"

#include "config.h"
#include <stdlib.h>
#include <termios.h>
#include <sys/types.h>
#include <fcntl.h>
#include <stdio.h>
#include <ctype.h>
#include <string.h>
#include <setjmp.h>
#include <sys/stat.h>                    /* structure stat       */
#include <unistd.h>                      /* prototype for stat() */
#include <sys/wait.h>
#include <signal.h>
#include <stdarg.h>
#include <pwd.h>
#include <syslog.h>
#include <string.h>
#include <errno.h>
#include <assert.h>
#ifdef __linux__
#include <mntent.h>
#endif

#include "dosemu_config.h"
#include "emu.h"
#ifdef X86_EMULATOR
#include "cpu-emu.h"
#endif
#include "disks.h"
#include "port.h"
#define allow_io	port_allow_io
#include "lpt.h"
#include "video.h"
#include "vc.h"
#include "mouse.h"
#include "serial.h"
#include "timers.h"
#include "keymaps.h"
#include "keyb_server.h"
#include "memory.h"
#include "mapping.h"
#include "utilities.h"
#include "aspi.h"
#include "pktdrvr.h"
#include "iodev.h" /* for TM_BIOS / TM_PIT / TM_LINUX */

#define USERVAR_PREF	"dosemu_"
static int user_scope_level;

static int after_secure_check = 0;
static serial_t *sptr;
static serial_t nullser;
static mouse_t *mptr = &config.mouse;
static int c_ser = 0;

static struct disk *dptr;
static struct disk nulldisk;
static int c_hdisks = 0;
static int c_fdisks = 0;

int dexe_running = 0;
static int dexe_forbid_disk = 1;
char own_hostname[128];

static struct printer nullptr;
static struct printer *pptr = &nullptr;
static int c_printers = 0;

static int ports_permission = IO_RDWR;
static unsigned int ports_ormask = 0;
static unsigned int ports_andmask = 0xFFFF;
static unsigned int portspeed = 0;
static char dev_name[255]= "";

static int errors = 0;
static int warnings = 0;

static int priv_lvl = 0;
static int saved_priv_lvl = 0; 


static char *file_being_parsed;

			/* this to ensure we are parsing a new style */
static int parser_version_3_style_used = 0;
#define CONFNAME_V3USED "version_3_style_used"

	/* local procedures */

static void start_ports(void);
static void start_mouse(void);
static void stop_mouse(void);
static void start_debug(void);
static void start_video(void);
static void stop_video(void);
static void set_vesamodes(int width, int height, int color_bits);
static int detect_vbios_seg(void);
static int detect_vbios_size(void);
static void stop_ttylocks(void);
static void start_serial(void);
static void stop_serial(void);
static void start_printer(void);
static void stop_printer(void);
static void start_keyboard(void);
static void keytable_start(int layout);
static void keytable_stop(void);
static void dump_keytables_to_file(char *name);
static void stop_terminal(void);
static void start_disk(void);
static void do_part(char *);
static void start_floppy(void);
static void stop_disk(int token);
static void start_vnet(char *);
static FILE* open_file(char* filename);
static void close_file(FILE* file);
static void write_to_syslog(char *message);
static void set_irq_value(int bits, int i1);
static void set_irq_range(int bits, int i1, int i2);
static int undefine_config_variable(char *name);
static void check_user_var(char *name);
static char *run_shell(char *command);
static int for_each_handling(int loopid, char *varname, char *delim, char *list);
static void enter_user_scope(int incstackptr);
static void leave_user_scope(int incstackptr);
static void handle_features(int which, int value);
static void set_joy_device(char *devstring);
static int parse_timemode(const char *);

	/* class stuff */
#define IFCLASS(m) if (is_in_allowed_classes(m))

#define CL_ALL			-1
#define CL_VAR		    0x200
#define CL_VPORT	   0x2000
#define CL_PORT		  0x20000
#define CL_PCI		  0x40000
#define CL_IRQ		 0x200000
#define CL_HARDRAM	0x1000000
#define CL_NET		0x2000000

static int is_in_allowed_classes(int mask);

#define TOF(x) ( x.type == TYPE_REAL ? x.value.r : x.value.i )
#define V_VAL(x,y,z) \
do { x.type = y.type; if (x.type == TYPE_REAL) x.value.r = (z); \
      else x.value.i = (z); } \
while (0)

	/* variables in lexer.l */




	/* for unicode keyboard plugin */
static void keyb_mod(int wich, t_keysym keynum, int unicode);
static void dump_keytable_part(FILE *f, t_keysym *map, int size);



#include "translate.h"
#include "dosemu_charset.h"
	/* for translate plugin */

static void set_internal_charset(char *charset_name);
static void set_external_charset(char *charset_name);


#line 238 "parser.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "parser.h".  */
#ifndef YY_YY_PARSER_H_INCLUDED
# define YY_YY_PARSER_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    INTEGER = 258,
    L_OFF = 259,
    L_ON = 260,
    L_AUTO = 261,
    L_YES = 262,
    L_NO = 263,
    CHIPSET_TYPE = 264,
    KEYB_LAYOUT = 265,
    REAL = 266,
    STRING = 267,
    VARIABLE = 268,
    EXPRTEST = 269,
    INTCAST = 270,
    REALCAST = 271,
    AND_OP = 272,
    OR_OP = 273,
    XOR_OP = 274,
    SHR_OP = 275,
    SHL_OP = 276,
    NOT_OP = 277,
    EQ_OP = 278,
    GE_OP = 279,
    LE_OP = 280,
    NEQ_OP = 281,
    STR_EQ_OP = 282,
    STR_NEQ_OP = 283,
    L_AND_OP = 284,
    L_OR_OP = 285,
    UMINUS = 286,
    UPLUS = 287,
    BIT_NOT_OP = 288,
    STRLEN = 289,
    STRTOL = 290,
    STRNCMP = 291,
    STRCAT = 292,
    STRPBRK = 293,
    STRSPLIT = 294,
    STRCHR = 295,
    STRRCHR = 296,
    STRSTR = 297,
    STRDEL = 298,
    STRSPN = 299,
    STRCSPN = 300,
    SHELL = 301,
    DEFINED = 302,
    DEFINE = 303,
    UNDEF = 304,
    IFSTATEMENT = 305,
    WHILESTATEMENT = 306,
    FOREACHSTATEMENT = 307,
    ENTER_USER_SPACE = 308,
    LEAVE_USER_SPACE = 309,
    CHECKUSERVAR = 310,
    DOSBANNER = 311,
    FASTFLOPPY = 312,
    HOGTHRESH = 313,
    SPEAKER = 314,
    IPXSUPPORT = 315,
    IPXNETWORK = 316,
    NOVELLHACK = 317,
    ETHDEV = 318,
    TAPDEV = 319,
    VDESWITCH = 320,
    SLIRPARGS = 321,
    VNET = 322,
    DEBUG = 323,
    MOUSE = 324,
    SERIAL = 325,
    COM = 326,
    KEYBOARD = 327,
    TERMINAL = 328,
    VIDEO = 329,
    EMURETRACE = 330,
    TIMER = 331,
    MATHCO = 332,
    CPU = 333,
    CPUSPEED = 334,
    RDTSC = 335,
    BOOTDRIVE = 336,
    SWAP_BOOTDRIVE = 337,
    L_XMS = 338,
    L_DPMI = 339,
    DPMI_BASE = 340,
    PM_DOS_API = 341,
    NO_NULL_CHECKS = 342,
    PORTS = 343,
    DISK = 344,
    DOSMEM = 345,
    EXT_MEM = 346,
    L_EMS = 347,
    UMB_A0 = 348,
    UMB_B0 = 349,
    UMB_F0 = 350,
    EMS_SIZE = 351,
    EMS_FRAME = 352,
    EMS_UMA_PAGES = 353,
    EMS_CONV_PAGES = 354,
    TTYLOCKS = 355,
    L_SOUND = 356,
    L_SND_OSS = 357,
    L_JOYSTICK = 358,
    FULL_FILE_LOCKS = 359,
    DEXE = 360,
    ALLOWDISK = 361,
    FORCEXDOS = 362,
    XDOSONLY = 363,
    ABORT = 364,
    WARN = 365,
    L_FLOPPY = 366,
    EMUSYS = 367,
    EMUINI = 368,
    L_X = 369,
    L_SDL = 370,
    DOSEMUMAP = 371,
    LOGBUFSIZE = 372,
    LOGFILESIZE = 373,
    MAPPINGDRIVER = 374,
    LFN_SUPPORT = 375,
    EMULATED = 376,
    NATIVE = 377,
    CPUEMU = 378,
    CPU_VM = 379,
    VM86 = 380,
    FULL = 381,
    VM86SIM = 382,
    FULLSIM = 383,
    KVM = 384,
    RAWKEYBOARD = 385,
    PRESTROKE = 386,
    KEYTABLE = 387,
    SHIFT_MAP = 388,
    ALT_MAP = 389,
    NUMPAD_MAP = 390,
    DUMP = 391,
    DGRAVE = 392,
    DACUTE = 393,
    DCIRCUM = 394,
    DTILDE = 395,
    DBREVE = 396,
    DABOVED = 397,
    DDIARES = 398,
    DABOVER = 399,
    DDACUTE = 400,
    DCEDILLA = 401,
    DIOTA = 402,
    DOGONEK = 403,
    DCARON = 404,
    NETWORK = 405,
    PKTDRIVER = 406,
    DIRECTORY = 407,
    NAMESTUB = 408,
    BINARY = 409,
    BASE = 410,
    IRQ = 411,
    DEVICE = 412,
    CHARSET = 413,
    BAUDRATE = 414,
    VIRTUAL = 415,
    VMODEM = 416,
    PSEUDO = 417,
    RTSCTS = 418,
    LOWLAT = 419,
    PCCOM = 420,
    MICROSOFT = 421,
    MS3BUTTON = 422,
    LOGITECH = 423,
    MMSERIES = 424,
    MOUSEMAN = 425,
    HITACHI = 426,
    MOUSESYSTEMS = 427,
    BUSMOUSE = 428,
    PS2 = 429,
    IMPS2 = 430,
    INTERNALDRIVER = 431,
    EMULATE3BUTTONS = 432,
    CLEARDTR = 433,
    L_DISPLAY = 434,
    L_TITLE = 435,
    X_TITLE_SHOW_APPNAME = 436,
    ICON_NAME = 437,
    X_KEYCODE = 438,
    X_BLINKRATE = 439,
    X_SHARECMAP = 440,
    X_MITSHM = 441,
    X_FONT = 442,
    X_FIXED_ASPECT = 443,
    X_ASPECT_43 = 444,
    X_LIN_FILT = 445,
    X_BILIN_FILT = 446,
    X_MODE13FACT = 447,
    X_WINSIZE = 448,
    X_GAMMA = 449,
    X_FULLSCREEN = 450,
    VGAEMU_MEMSIZE = 451,
    VESAMODE = 452,
    X_LFB = 453,
    X_PM_INTERFACE = 454,
    X_MGRAB_KEY = 455,
    X_BACKGROUND_PAUSE = 456,
    SDL_SWREND = 457,
    VGA = 458,
    MGA = 459,
    CGA = 460,
    EGA = 461,
    NONE = 462,
    CONSOLE = 463,
    GRAPHICS = 464,
    CHIPSET = 465,
    FULLREST = 466,
    PARTREST = 467,
    MEMSIZE = 468,
    VBIOS_SIZE_TOK = 469,
    VBIOS_SEG = 470,
    VGAEMUBIOS_FILE = 471,
    VBIOS_FILE = 472,
    VBIOS_COPY = 473,
    VBIOS_MMAP = 474,
    DUALMON = 475,
    VBIOS_POST = 476,
    FORCE_VT_SWITCH = 477,
    PCI = 478,
    COLOR = 479,
    ESCCHAR = 480,
    XTERM_TITLE = 481,
    IO = 482,
    PORT = 483,
    CONFIG = 484,
    READ = 485,
    WRITE = 486,
    KEYB = 487,
    PRINTER = 488,
    WARNING = 489,
    GENERAL = 490,
    HARDWARE = 491,
    L_IPC = 492,
    SOUND = 493,
    TRACE = 494,
    CLEAR = 495,
    LPT = 496,
    COMMAND = 497,
    TIMEOUT = 498,
    L_FILE = 499,
    L_PARTITION = 500,
    WHOLEDISK = 501,
    THREEINCH = 502,
    THREEINCH_720 = 503,
    THREEINCH_2880 = 504,
    FIVEINCH = 505,
    FIVEINCH_360 = 506,
    READONLY = 507,
    LAYOUT = 508,
    SECTORS = 509,
    CYLINDERS = 510,
    TRACKS = 511,
    HEADS = 512,
    OFFSET = 513,
    HDIMAGE = 514,
    HDTYPE1 = 515,
    HDTYPE2 = 516,
    HDTYPE9 = 517,
    DISKCYL4096 = 518,
    RDONLY = 519,
    WRONLY = 520,
    RDWR = 521,
    ORMASK = 522,
    ANDMASK = 523,
    RANGE = 524,
    FAST = 525,
    SLOW = 526,
    SILLYINT = 527,
    USE_SIGIO = 528,
    HARDWARE_RAM = 529,
    SB_BASE = 530,
    SB_IRQ = 531,
    SB_DMA = 532,
    SB_HDMA = 533,
    MPU_BASE = 534,
    MPU_IRQ = 535,
    MPU_IRQ_MT32 = 536,
    MIDI_SYNTH = 537,
    SOUND_DRIVER = 538,
    MIDI_DRIVER = 539,
    MUNT_ROMS = 540,
    SND_PLUGIN_PARAMS = 541,
    PCM_HPF = 542,
    MIDI_FILE = 543,
    WAV_FILE = 544,
    CDROM = 545,
    ASPI = 546,
    DEVICETYPE = 547,
    TARGET = 548,
    FEATURE = 549,
    JOYSTICK = 550,
    JOY_DEVICE = 551,
    JOY_DOS_MIN = 552,
    JOY_DOS_MAX = 553,
    JOY_GRANULARITY = 554,
    JOY_LATENCY = 555,
    CLI_TIMEOUT = 556,
    TIMEMODE = 557,
    UNICODE = 558,
    SHIFT_ALT_MAP = 559,
    CTRL_MAP = 560,
    CTRL_ALT_MAP = 561,
    INTERNAL = 562,
    EXTERNAL = 563
  };
#endif
/* Tokens.  */
#define INTEGER 258
#define L_OFF 259
#define L_ON 260
#define L_AUTO 261
#define L_YES 262
#define L_NO 263
#define CHIPSET_TYPE 264
#define KEYB_LAYOUT 265
#define REAL 266
#define STRING 267
#define VARIABLE 268
#define EXPRTEST 269
#define INTCAST 270
#define REALCAST 271
#define AND_OP 272
#define OR_OP 273
#define XOR_OP 274
#define SHR_OP 275
#define SHL_OP 276
#define NOT_OP 277
#define EQ_OP 278
#define GE_OP 279
#define LE_OP 280
#define NEQ_OP 281
#define STR_EQ_OP 282
#define STR_NEQ_OP 283
#define L_AND_OP 284
#define L_OR_OP 285
#define UMINUS 286
#define UPLUS 287
#define BIT_NOT_OP 288
#define STRLEN 289
#define STRTOL 290
#define STRNCMP 291
#define STRCAT 292
#define STRPBRK 293
#define STRSPLIT 294
#define STRCHR 295
#define STRRCHR 296
#define STRSTR 297
#define STRDEL 298
#define STRSPN 299
#define STRCSPN 300
#define SHELL 301
#define DEFINED 302
#define DEFINE 303
#define UNDEF 304
#define IFSTATEMENT 305
#define WHILESTATEMENT 306
#define FOREACHSTATEMENT 307
#define ENTER_USER_SPACE 308
#define LEAVE_USER_SPACE 309
#define CHECKUSERVAR 310
#define DOSBANNER 311
#define FASTFLOPPY 312
#define HOGTHRESH 313
#define SPEAKER 314
#define IPXSUPPORT 315
#define IPXNETWORK 316
#define NOVELLHACK 317
#define ETHDEV 318
#define TAPDEV 319
#define VDESWITCH 320
#define SLIRPARGS 321
#define VNET 322
#define DEBUG 323
#define MOUSE 324
#define SERIAL 325
#define COM 326
#define KEYBOARD 327
#define TERMINAL 328
#define VIDEO 329
#define EMURETRACE 330
#define TIMER 331
#define MATHCO 332
#define CPU 333
#define CPUSPEED 334
#define RDTSC 335
#define BOOTDRIVE 336
#define SWAP_BOOTDRIVE 337
#define L_XMS 338
#define L_DPMI 339
#define DPMI_BASE 340
#define PM_DOS_API 341
#define NO_NULL_CHECKS 342
#define PORTS 343
#define DISK 344
#define DOSMEM 345
#define EXT_MEM 346
#define L_EMS 347
#define UMB_A0 348
#define UMB_B0 349
#define UMB_F0 350
#define EMS_SIZE 351
#define EMS_FRAME 352
#define EMS_UMA_PAGES 353
#define EMS_CONV_PAGES 354
#define TTYLOCKS 355
#define L_SOUND 356
#define L_SND_OSS 357
#define L_JOYSTICK 358
#define FULL_FILE_LOCKS 359
#define DEXE 360
#define ALLOWDISK 361
#define FORCEXDOS 362
#define XDOSONLY 363
#define ABORT 364
#define WARN 365
#define L_FLOPPY 366
#define EMUSYS 367
#define EMUINI 368
#define L_X 369
#define L_SDL 370
#define DOSEMUMAP 371
#define LOGBUFSIZE 372
#define LOGFILESIZE 373
#define MAPPINGDRIVER 374
#define LFN_SUPPORT 375
#define EMULATED 376
#define NATIVE 377
#define CPUEMU 378
#define CPU_VM 379
#define VM86 380
#define FULL 381
#define VM86SIM 382
#define FULLSIM 383
#define KVM 384
#define RAWKEYBOARD 385
#define PRESTROKE 386
#define KEYTABLE 387
#define SHIFT_MAP 388
#define ALT_MAP 389
#define NUMPAD_MAP 390
#define DUMP 391
#define DGRAVE 392
#define DACUTE 393
#define DCIRCUM 394
#define DTILDE 395
#define DBREVE 396
#define DABOVED 397
#define DDIARES 398
#define DABOVER 399
#define DDACUTE 400
#define DCEDILLA 401
#define DIOTA 402
#define DOGONEK 403
#define DCARON 404
#define NETWORK 405
#define PKTDRIVER 406
#define DIRECTORY 407
#define NAMESTUB 408
#define BINARY 409
#define BASE 410
#define IRQ 411
#define DEVICE 412
#define CHARSET 413
#define BAUDRATE 414
#define VIRTUAL 415
#define VMODEM 416
#define PSEUDO 417
#define RTSCTS 418
#define LOWLAT 419
#define PCCOM 420
#define MICROSOFT 421
#define MS3BUTTON 422
#define LOGITECH 423
#define MMSERIES 424
#define MOUSEMAN 425
#define HITACHI 426
#define MOUSESYSTEMS 427
#define BUSMOUSE 428
#define PS2 429
#define IMPS2 430
#define INTERNALDRIVER 431
#define EMULATE3BUTTONS 432
#define CLEARDTR 433
#define L_DISPLAY 434
#define L_TITLE 435
#define X_TITLE_SHOW_APPNAME 436
#define ICON_NAME 437
#define X_KEYCODE 438
#define X_BLINKRATE 439
#define X_SHARECMAP 440
#define X_MITSHM 441
#define X_FONT 442
#define X_FIXED_ASPECT 443
#define X_ASPECT_43 444
#define X_LIN_FILT 445
#define X_BILIN_FILT 446
#define X_MODE13FACT 447
#define X_WINSIZE 448
#define X_GAMMA 449
#define X_FULLSCREEN 450
#define VGAEMU_MEMSIZE 451
#define VESAMODE 452
#define X_LFB 453
#define X_PM_INTERFACE 454
#define X_MGRAB_KEY 455
#define X_BACKGROUND_PAUSE 456
#define SDL_SWREND 457
#define VGA 458
#define MGA 459
#define CGA 460
#define EGA 461
#define NONE 462
#define CONSOLE 463
#define GRAPHICS 464
#define CHIPSET 465
#define FULLREST 466
#define PARTREST 467
#define MEMSIZE 468
#define VBIOS_SIZE_TOK 469
#define VBIOS_SEG 470
#define VGAEMUBIOS_FILE 471
#define VBIOS_FILE 472
#define VBIOS_COPY 473
#define VBIOS_MMAP 474
#define DUALMON 475
#define VBIOS_POST 476
#define FORCE_VT_SWITCH 477
#define PCI 478
#define COLOR 479
#define ESCCHAR 480
#define XTERM_TITLE 481
#define IO 482
#define PORT 483
#define CONFIG 484
#define READ 485
#define WRITE 486
#define KEYB 487
#define PRINTER 488
#define WARNING 489
#define GENERAL 490
#define HARDWARE 491
#define L_IPC 492
#define SOUND 493
#define TRACE 494
#define CLEAR 495
#define LPT 496
#define COMMAND 497
#define TIMEOUT 498
#define L_FILE 499
#define L_PARTITION 500
#define WHOLEDISK 501
#define THREEINCH 502
#define THREEINCH_720 503
#define THREEINCH_2880 504
#define FIVEINCH 505
#define FIVEINCH_360 506
#define READONLY 507
#define LAYOUT 508
#define SECTORS 509
#define CYLINDERS 510
#define TRACKS 511
#define HEADS 512
#define OFFSET 513
#define HDIMAGE 514
#define HDTYPE1 515
#define HDTYPE2 516
#define HDTYPE9 517
#define DISKCYL4096 518
#define RDONLY 519
#define WRONLY 520
#define RDWR 521
#define ORMASK 522
#define ANDMASK 523
#define RANGE 524
#define FAST 525
#define SLOW 526
#define SILLYINT 527
#define USE_SIGIO 528
#define HARDWARE_RAM 529
#define SB_BASE 530
#define SB_IRQ 531
#define SB_DMA 532
#define SB_HDMA 533
#define MPU_BASE 534
#define MPU_IRQ 535
#define MPU_IRQ_MT32 536
#define MIDI_SYNTH 537
#define SOUND_DRIVER 538
#define MIDI_DRIVER 539
#define MUNT_ROMS 540
#define SND_PLUGIN_PARAMS 541
#define PCM_HPF 542
#define MIDI_FILE 543
#define WAV_FILE 544
#define CDROM 545
#define ASPI 546
#define DEVICETYPE 547
#define TARGET 548
#define FEATURE 549
#define JOYSTICK 550
#define JOY_DEVICE 551
#define JOY_DOS_MIN 552
#define JOY_DOS_MAX 553
#define JOY_GRANULARITY 554
#define JOY_LATENCY 555
#define CLI_TIMEOUT 556
#define TIMEMODE 557
#define UNICODE 558
#define SHIFT_ALT_MAP 559
#define CTRL_MAP 560
#define CTRL_ALT_MAP 561
#define INTERNAL 562
#define EXTERNAL 563

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 206 "parser.y" /* yacc.c:355  */

	int i_value;
	char *s_value;
	float r_value;
	struct {
		enum {
			TYPE_NONE,
			TYPE_INTEGER,
			TYPE_BOOLEAN,
			TYPE_REAL
		} type;
		union {
			int i;
			float r;
		} value;
	} t_value;

#line 912 "parser.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif



int yyparse (void);

#endif /* !YY_YY_PARSER_H_INCLUDED  */

/* Copy the second part of user declarations.  */
#line 224 "parser.y" /* yacc.c:358  */

#include "lexer.h"

#line 931 "parser.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  246
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   3148

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  322
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  89
/* YYNRULES -- Number of rules.  */
#define YYNRULES  510
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  949

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   563

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     319,   320,    36,    34,   321,    35,     2,    37,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,   316,
      27,    26,    28,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   317,     2,   318,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    29,    30,    31,    32,    33,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   355,   355,   356,   357,   360,   361,   364,   366,   367,
     368,   369,   391,   394,   398,   403,   404,   405,   424,   425,
     435,   439,   440,   445,   450,   455,   460,   465,   470,   474,
     478,   483,   493,   502,   507,   522,   532,   542,   548,   554,
     566,   570,   581,   593,   597,   602,   609,   610,   615,   620,
     625,   630,   635,   640,   645,   650,   651,   656,   657,   662,
     663,   671,   672,   673,   674,   675,   676,   677,   692,   691,
     695,   696,   699,   704,   703,   707,   706,   710,   714,   713,
     718,   717,   721,   720,   724,   730,   735,   734,   737,   739,
     738,   743,   742,   746,   759,   771,   770,   774,   775,   776,
     777,   778,   779,   781,   780,   783,   789,   791,   790,   796,
     800,   802,   808,   810,   813,   816,   821,   822,   823,   824,
     826,   828,   830,   834,   836,   838,   842,   846,   858,   861,
     862,   864,   866,   868,   870,   871,   872,   876,   880,   884,
     890,   896,   902,   908,   912,   916,   924,   926,   928,   930,
     932,   934,   936,   938,   940,   942,   944,   945,   946,   947,
     948,   949,   955,   956,   960,   977,   987,   988,   989,  1002,
    1014,  1018,  1021,  1022,  1031,  1032,  1045,  1049,  1057,  1058,
    1060,  1061,  1062,  1063,  1064,  1065,  1066,  1067,  1068,  1069,
    1070,  1071,  1072,  1073,  1074,  1075,  1080,  1085,  1086,  1087,
    1088,  1089,  1090,  1091,  1093,  1094,  1095,  1096,  1100,  1101,
    1103,  1106,  1107,  1110,  1111,  1115,  1127,  1128,  1130,  1131,
    1132,  1133,  1134,  1135,  1136,  1137,  1138,  1139,  1140,  1146,
    1147,  1148,  1149,  1154,  1155,  1157,  1158,  1159,  1160,  1161,
    1166,  1167,  1169,  1170,  1171,  1172,  1173,  1174,  1179,  1180,
    1183,  1186,  1189,  1192,  1193,  1194,  1197,  1198,  1202,  1206,
    1217,  1228,  1229,  1230,  1231,  1232,  1235,  1240,  1241,  1243,
    1244,  1245,  1248,  1257,  1258,  1260,  1261,  1262,  1263,  1264,
    1265,  1266,  1267,  1268,  1269,  1270,  1271,  1272,  1273,  1274,
    1275,  1276,  1277,  1278,  1279,  1280,  1281,  1282,  1283,  1284,
    1285,  1287,  1292,  1293,  1295,  1296,  1297,  1298,  1299,  1305,
    1310,  1315,  1321,  1326,  1331,  1336,  1341,  1346,  1351,  1356,
    1358,  1363,  1364,  1366,  1367,  1367,  1368,  1369,  1370,  1371,
    1374,  1377,  1378,  1381,  1381,  1382,  1382,  1383,  1383,  1384,
    1384,  1385,  1385,  1386,  1386,  1387,  1387,  1390,  1391,  1394,
    1395,  1396,  1397,  1398,  1399,  1400,  1401,  1402,  1403,  1404,
    1405,  1406,  1407,  1408,  1409,  1410,  1419,  1420,  1422,  1423,
    1424,  1425,  1427,  1432,  1433,  1435,  1436,  1448,  1449,  1450,
    1451,  1452,  1453,  1454,  1455,  1456,  1457,  1459,  1464,  1465,
    1467,  1468,  1469,  1470,  1471,  1472,  1474,  1479,  1480,  1482,
    1483,  1484,  1485,  1486,  1487,  1488,  1509,  1515,  1522,  1524,
    1527,  1528,  1530,  1531,  1532,  1533,  1534,  1535,  1536,  1537,
    1538,  1539,  1540,  1546,  1552,  1560,  1567,  1574,  1576,  1583,
    1585,  1590,  1591,  1593,  1600,  1606,  1616,  1626,  1627,  1628,
    1629,  1630,  1631,  1632,  1633,  1634,  1637,  1640,  1641,  1643,
    1645,  1647,  1649,  1651,  1652,  1655,  1660,  1661,  1663,  1664,
    1665,  1666,  1667,  1668,  1669,  1670,  1673,  1678,  1679,  1681,
    1686,  1691,  1696,  1710,  1714,  1718,  1721,  1726,  1727,  1729,
    1735,  1741,  1748,  1755,  1758,  1763,  1766,  1769,  1777,  1786,
    1787,  1788,  1789,  1791,  1796,  1797,  1798,  1799,  1800,  1801,
    1803,  1806,  1807,  1808,  1809,  1810,  1812,  1815,  1816,  1819,
    1820
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "INTEGER", "L_OFF", "L_ON", "L_AUTO",
  "L_YES", "L_NO", "CHIPSET_TYPE", "KEYB_LAYOUT", "REAL", "STRING",
  "VARIABLE", "EXPRTEST", "INTCAST", "REALCAST", "AND_OP", "OR_OP",
  "XOR_OP", "SHR_OP", "SHL_OP", "NOT_OP", "EQ_OP", "GE_OP", "LE_OP", "'='",
  "'<'", "'>'", "NEQ_OP", "STR_EQ_OP", "STR_NEQ_OP", "L_AND_OP", "L_OR_OP",
  "'+'", "'-'", "'*'", "'/'", "UMINUS", "UPLUS", "BIT_NOT_OP", "STRLEN",
  "STRTOL", "STRNCMP", "STRCAT", "STRPBRK", "STRSPLIT", "STRCHR",
  "STRRCHR", "STRSTR", "STRDEL", "STRSPN", "STRCSPN", "SHELL", "DEFINED",
  "DEFINE", "UNDEF", "IFSTATEMENT", "WHILESTATEMENT", "FOREACHSTATEMENT",
  "ENTER_USER_SPACE", "LEAVE_USER_SPACE", "CHECKUSERVAR", "DOSBANNER",
  "FASTFLOPPY", "HOGTHRESH", "SPEAKER", "IPXSUPPORT", "IPXNETWORK",
  "NOVELLHACK", "ETHDEV", "TAPDEV", "VDESWITCH", "SLIRPARGS", "VNET",
  "DEBUG", "MOUSE", "SERIAL", "COM", "KEYBOARD", "TERMINAL", "VIDEO",
  "EMURETRACE", "TIMER", "MATHCO", "CPU", "CPUSPEED", "RDTSC", "BOOTDRIVE",
  "SWAP_BOOTDRIVE", "L_XMS", "L_DPMI", "DPMI_BASE", "PM_DOS_API",
  "NO_NULL_CHECKS", "PORTS", "DISK", "DOSMEM", "EXT_MEM", "L_EMS",
  "UMB_A0", "UMB_B0", "UMB_F0", "EMS_SIZE", "EMS_FRAME", "EMS_UMA_PAGES",
  "EMS_CONV_PAGES", "TTYLOCKS", "L_SOUND", "L_SND_OSS", "L_JOYSTICK",
  "FULL_FILE_LOCKS", "DEXE", "ALLOWDISK", "FORCEXDOS", "XDOSONLY", "ABORT",
  "WARN", "L_FLOPPY", "EMUSYS", "EMUINI", "L_X", "L_SDL", "DOSEMUMAP",
  "LOGBUFSIZE", "LOGFILESIZE", "MAPPINGDRIVER", "LFN_SUPPORT", "EMULATED",
  "NATIVE", "CPUEMU", "CPU_VM", "VM86", "FULL", "VM86SIM", "FULLSIM",
  "KVM", "RAWKEYBOARD", "PRESTROKE", "KEYTABLE", "SHIFT_MAP", "ALT_MAP",
  "NUMPAD_MAP", "DUMP", "DGRAVE", "DACUTE", "DCIRCUM", "DTILDE", "DBREVE",
  "DABOVED", "DDIARES", "DABOVER", "DDACUTE", "DCEDILLA", "DIOTA",
  "DOGONEK", "DCARON", "NETWORK", "PKTDRIVER", "DIRECTORY", "NAMESTUB",
  "BINARY", "BASE", "IRQ", "DEVICE", "CHARSET", "BAUDRATE", "VIRTUAL",
  "VMODEM", "PSEUDO", "RTSCTS", "LOWLAT", "PCCOM", "MICROSOFT",
  "MS3BUTTON", "LOGITECH", "MMSERIES", "MOUSEMAN", "HITACHI",
  "MOUSESYSTEMS", "BUSMOUSE", "PS2", "IMPS2", "INTERNALDRIVER",
  "EMULATE3BUTTONS", "CLEARDTR", "L_DISPLAY", "L_TITLE",
  "X_TITLE_SHOW_APPNAME", "ICON_NAME", "X_KEYCODE", "X_BLINKRATE",
  "X_SHARECMAP", "X_MITSHM", "X_FONT", "X_FIXED_ASPECT", "X_ASPECT_43",
  "X_LIN_FILT", "X_BILIN_FILT", "X_MODE13FACT", "X_WINSIZE", "X_GAMMA",
  "X_FULLSCREEN", "VGAEMU_MEMSIZE", "VESAMODE", "X_LFB", "X_PM_INTERFACE",
  "X_MGRAB_KEY", "X_BACKGROUND_PAUSE", "SDL_SWREND", "VGA", "MGA", "CGA",
  "EGA", "NONE", "CONSOLE", "GRAPHICS", "CHIPSET", "FULLREST", "PARTREST",
  "MEMSIZE", "VBIOS_SIZE_TOK", "VBIOS_SEG", "VGAEMUBIOS_FILE",
  "VBIOS_FILE", "VBIOS_COPY", "VBIOS_MMAP", "DUALMON", "VBIOS_POST",
  "FORCE_VT_SWITCH", "PCI", "COLOR", "ESCCHAR", "XTERM_TITLE", "IO",
  "PORT", "CONFIG", "READ", "WRITE", "KEYB", "PRINTER", "WARNING",
  "GENERAL", "HARDWARE", "L_IPC", "SOUND", "TRACE", "CLEAR", "LPT",
  "COMMAND", "TIMEOUT", "L_FILE", "L_PARTITION", "WHOLEDISK", "THREEINCH",
  "THREEINCH_720", "THREEINCH_2880", "FIVEINCH", "FIVEINCH_360",
  "READONLY", "LAYOUT", "SECTORS", "CYLINDERS", "TRACKS", "HEADS",
  "OFFSET", "HDIMAGE", "HDTYPE1", "HDTYPE2", "HDTYPE9", "DISKCYL4096",
  "RDONLY", "WRONLY", "RDWR", "ORMASK", "ANDMASK", "RANGE", "FAST", "SLOW",
  "SILLYINT", "USE_SIGIO", "HARDWARE_RAM", "SB_BASE", "SB_IRQ", "SB_DMA",
  "SB_HDMA", "MPU_BASE", "MPU_IRQ", "MPU_IRQ_MT32", "MIDI_SYNTH",
  "SOUND_DRIVER", "MIDI_DRIVER", "MUNT_ROMS", "SND_PLUGIN_PARAMS",
  "PCM_HPF", "MIDI_FILE", "WAV_FILE", "CDROM", "ASPI", "DEVICETYPE",
  "TARGET", "FEATURE", "JOYSTICK", "JOY_DEVICE", "JOY_DOS_MIN",
  "JOY_DOS_MAX", "JOY_GRANULARITY", "JOY_LATENCY", "CLI_TIMEOUT",
  "TIMEMODE", "UNICODE", "SHIFT_ALT_MAP", "CTRL_MAP", "CTRL_ALT_MAP",
  "INTERNAL", "EXTERNAL", "';'", "'{'", "'}'", "'('", "')'", "','",
  "$accept", "lines", "optdelim", "line", "$@1", "$@2", "$@3", "$@4",
  "$@5", "$@6", "$@7", "$@8", "$@9", "$@10", "$@11", "$@12", "expression",
  "real_expression", "typed_expr", "int_expr", "bool_expr", "real_expr",
  "variable_content", "string_unquoted", "string_expr", "strarglist",
  "strarglist_item", "check_user_var_list", "x_flags", "x_flag",
  "sdl_flags", "sdl_flag", "dexeflags", "dexeflag", "sound_flags",
  "sound_flag", "joystick_flags", "joystick_flag", "video_flags",
  "video_flag", "term_flags", "term_flag", "debug_flags", "debug_flag",
  "mouse_flags", "mouse_flag", "keyboard_flags", "keyboard_flag", "$@13",
  "keyboard_mods", "keyboard_mod", "$@14", "$@15", "$@16", "$@17", "$@18",
  "$@19", "$@20", "keyboard_modvals", "keyboard_modval", "ttylocks_flags",
  "ttylocks_flag", "serial_flags", "serial_flag", "printer_flags",
  "printer_flag", "floppy_flags", "floppy_flag", "disk_flags", "disk_flag",
  "port_flags", "port_flag", "trace_port_flags", "trace_port_flag",
  "sillyint_flags", "sillyint_flag", "ems_flags", "ems_flag",
  "hardware_ram_flags", "hardware_ram_flag", "bool", "floppy_bool",
  "int_bool", "irq_bool", "speaker", "cpuemu", "cpu_vm", "charset_flags",
  "charset_flag", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,    61,    60,    62,   281,
     282,   283,   284,   285,    43,    45,    42,    47,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,    59,   123,   125,    40,
      41,    44
};
# endif

#define YYPACT_NINF -761

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-761)))

#define YYTABLE_NINF -325

#define yytable_value_is_error(Yytable_value) \
  0

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const yytype_int16 yypact[] =
{
    2744,  -761,  -761,    19,  1973,  -258,    51,    51,  -249,    76,
      83,  -761,  -761,    79,  1973,  1973,  1973,    43,  1973,  1973,
    1973,   155,   155,   155,   155,   155,    91,  -761,  -761,  -761,
    -219,  -761,  1973,  1973,  1973,  1324,  2025,  1973,   155,  1973,
    1973,  1973,  1973,  1973,  -761,  -761,  1973,  1973,  1514,  1973,
    1973,  1973,  -216,  -212,  1571,  1973,  -204,    91,    91,  -761,
     107,   130,  -187,  -181,   155,  1973,  1973,   155,  1973,   161,
     212,   155,    16,  1973,  -177,  1973,   155,  -761,  1973,    57,
    1973,  -761,  -159,  -156,  -151,  1973,   155,  1641,  -761,    91,
    -761,  -761,  -761,  -761,  -761,  -761,  -761,    78,  -761,  -173,
    -140,  1973,  1973,  1973,  1973,  -125,  -123,  -122,  -121,  -117,
    -116,  -115,  -105,  -100,   -99,   -97,   -96,   -94,   -93,  1973,
    1817,  -761,  -761,  -761,    85,  -761,   133,    91,  -761,  -761,
    -761,  1973,   -90,   -88,  -761,   -87,  -761,  1817,  -761,  -761,
    -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,
    -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,  1973,   -89,
    -761,   -69,  -761,   -63,   -52,   -45,   183,   -44,  -761,  -761,
    -761,  -761,  -761,   250,  -761,  1817,  -761,  -761,  -761,  -761,
    -761,  -761,  -761,   -43,   -41,  -761,  -761,    28,  -761,  -761,
    -761,  -761,    29,  1344,   221,  -761,  -761,   -64,   -69,   -69,
     -31,   155,  -761,   155,  -761,  1296,    82,  -761,  -761,  -761,
    -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,
    -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,   155,
    -761,  -272,  -761,  -761,   -30,  -761,   -20,   -19,  -761,  -761,
     -16,   155,   155,  1973,  -761,  -761,  -761,  -761,  2482,  -761,
     -69,  1973,  1973,   789,  -761,  -761,  -761,   155,   155,   155,
      91,   155,   155,   155,   155,   155,   155,   155,   155,    91,
      51,   602,  1973,  1973,  1973,  1973,  1973,  1973,  1973,  1973,
    1973,  1973,  1973,  1973,  1973,  1973,  1973,  1973,  1973,   155,
     155,  -237,    -5,     8,   313,   315,   670,  2846,    91,   664,
     931,    98,  -761,  -761,  1973,  1973,    68,  -761,   915,  -761,
      36,  1020,  -761,  -761,  -761,  1973,  1973,  1973,  1973,  1973,
      20,  -761,  -761,  -761,   155,   155,  -761,    90,  -761,  1973,
    1973,  1973,  1973,  1973,  1973,  1973,   155,   155,   155,   155,
     155,  1973,   155,   155,  1148,  -761,   155,  1973,  1973,  1973,
    1973,   134,  -761,  -761,  -761,  -761,  -103,  -761,   639,    24,
      31,   155,   155,  1973,   155,  1973,  1973,  -761,  1973,   155,
    1973,  -761,  -761,  -761,  1973,  2087,  1973,  1973,  1973,  2139,
    1973,  1973,   155,  1973,  1219,  -761,  1973,  -171,  -761,    33,
    -761,   334,   339,  -133,  -761,     7,    13,    65,    84,    56,
      55,   349,  -761,  -761,   700,   947,    77,    80,    62,  -199,
      97,   100,   102,   104,   105,   106,   109,   112,  -192,    81,
    -761,   789,   789,   789,   789,   789,   446,   446,   446,   446,
     446,   446,   175,   175,   150,   150,  -761,  -761,  -761,  -761,
    -761,  -761,  1973,    86,  -761,  -761,  -761,  -761,  -761,  1973,
    1973,  1973,  1973,  1973,  1973,  1973,  1973,  1973,  1973,  1973,
    1973,  1973,  1973,  1973,  1973,  1973,  1973,  1973,  1973,  1973,
    1973,  1973,  1973,   355,  -761,  -761,  -761,  -761,   155,  1973,
    -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,
    -761,  -761,  -761,    63,  -761,  -761,  -761,  -761,  1973,  1973,
    1973,   155,  -761,  -761,  -761,  -761,  -761,  -761,    99,  -761,
    -761,  -761,  1973,    52,   138,  -761,  -761,  -761,  -761,  -761,
    -761,  -761,  -761,  -761,  -761,  -761,  -761,   370,   393,   395,
    -761,  -761,  1973,  1973,  1973,   155,   155,  -761,  -761,  -761,
    -761,  -761,  -761,   356,  -761,  -761,  -761,  -761,   155,  -761,
    -761,  -761,  1973,  1973,  2201,  -761,  -761,  1973,     6,  -761,
    -761,  -761,   155,   155,   155,   155,   394,  -761,  1973,  1973,
    1973,  1973,  1973,   155,  -761,  -761,  -761,  -761,   126,  -761,
    -761,  -761,  -761,  -761,   115,  -761,  -761,  -761,  -761,  -761,
    -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,
    -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,
    -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,   155,
     155,   155,  -761,  -761,  -761,  -761,  -761,  -761,   205,  -761,
    -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,
    -761,  -761,   408,   122,  -761,  -761,  -761,   425,   127,  -761,
    -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,  1770,  -761,
    -761,  -761,  -761,  -761,  -761,  1973,  1973,   155,  1973,   155,
     220,  -761,  -761,  -761,  -761,  -761,  2253,  1973,    12,  -761,
    -761,  -761,  -761,  2305,  1921,  1973,    53,  -761,  -761,  -761,
    -761,  2367,  1973,    94,  -761,  -761,   155,  1973,  -761,  -761,
    -761,  -761,   155,  -761,   155,  1973,   155,   155,   155,  1973,
     155,   155,  -761,  -761,   129,   155,  -761,  -761,  -761,  -761,
    -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,
    -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,
    -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,
    -761,  -761,  -761,  -761,  -761,   136,  -761,  -761,  -761,  -761,
    -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,
    -761,   447,   137,   135,  -761,  -761,  -761,  -761,  -761,   454,
    -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,
    -761,  -761,  -761,  -761,  -761,  -761,  1973,   464,  1973,  1973,
    1973,  1973,  1973,  1973,  1973,   449,  1070,  -761,  -761,  -761,
    -761,  -761,  -761,  -761,  -761,   469,   152,   164,  -761,  -761,
     519,   208,  2419,  -761,   210,  -761,  -761,   528,   211,   213,
    -761,  -761,   234,   217,   215,   222,   216,   223,   225,   226,
     227,   229,   230,  -761,   231,   236,  -761,  1973,  -761,  -761,
    -761,  -761,   233,   521,   534,   535,   536,   537,   538,  -761,
    -761,  -761,  -761,  1973,  -761,  -761,  1973,   562,   266,  -761,
    -761,  1973,  -761,  1973,  -761,  1973,  -761,  1973,  -761,  -761,
    -761,  1973,  -761,  -761,    91,  1770,  -761,  1973,  -761,  -761,
    -761,  -761,  -761,  -761,   462,  -761,  -761,  -761,  1973,  -761,
     270,   281,   282,   283,  -129,  1152,  -761,   462,   462,   462,
     462,   462,   462,  -761,  -761,  -761,  -761,  -761,  -761,  -761,
    -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,  1973,  -761,
     284,  -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,   284,
     284,   284,   284,   284,   284,   304,   462,  -761,  -761
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
       0,   113,   112,     0,     0,     0,     0,     0,     0,     0,
       0,    15,    16,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    73,    75,    78,    80,
       0,    68,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    86,    89,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    91,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    95,     0,     0,
     103,   107,     0,     0,     0,     0,     0,     0,     2,     0,
     129,   160,   159,   134,   157,   158,   162,   145,   164,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      19,   116,   117,   118,   127,   166,     0,     0,   165,     9,
      10,     0,     0,     0,   176,    18,   485,   114,    44,   486,
      30,     8,   493,   489,   492,   491,   490,    67,    58,   487,
      59,    65,   171,    61,    62,    63,    64,    66,     0,     0,
     174,    72,   172,     0,     0,     0,     0,     0,    45,    41,
      57,    32,    31,   129,    35,   115,    37,    39,    40,    51,
      52,    53,    54,     0,     0,    55,    56,     0,    47,    48,
      49,    50,     0,     0,     0,   101,    28,     0,    20,    21,
       0,     0,    22,     0,    26,     0,     0,    24,    42,    43,
      25,    29,   500,   494,   499,   495,   496,   497,   498,    34,
     506,   501,   505,   504,   502,   503,    33,    84,    82,     0,
      60,     0,    38,    70,     0,    99,     0,     0,   488,   105,
       0,     0,     0,     0,   110,   111,     1,     5,     0,     3,
      17,     0,     0,   156,   124,   123,   133,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   272,   271,     0,     0,     0,   267,     0,    36,
       0,     0,   476,   469,   475,     0,     0,     0,     0,     0,
       0,   467,   372,   371,     0,     0,   370,     0,   366,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   216,     0,     0,     0,     0,
       0,     0,   233,   213,   214,   215,     0,   211,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   186,   187,     0,
       0,   191,   192,   193,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   178,     0,     0,   208,     0,
      85,     0,     0,     0,   507,     0,     0,     0,     0,     0,
       0,     0,     6,     4,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     128,   130,   131,   132,   125,   126,   146,   148,   149,   150,
     151,   147,   152,   153,   119,   120,   121,   122,   154,   155,
      14,    11,     0,     0,   177,   175,   301,   276,   300,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   273,   173,   320,   319,     0,     0,
     309,   310,   313,   312,   316,   317,   311,   318,   314,   315,
     305,   306,   308,     0,   302,   387,   386,   385,     0,     0,
       0,     0,   376,   378,   377,   379,   380,   381,     0,   373,
     330,   329,     0,     0,     0,   321,   270,   269,    71,   268,
     266,   265,   242,   243,   244,   245,   246,   251,   249,     0,
     253,   254,     0,     0,     0,     0,     0,   257,   258,   262,
     261,   263,   264,     0,   240,   446,   433,   445,     0,   437,
     438,   439,     0,     0,     0,   442,   443,     0,     0,   431,
     430,   429,     0,     0,     0,     0,     0,   412,     0,     0,
       0,     0,     0,     0,   414,   415,   416,   413,     0,   410,
     471,   472,   473,   474,     0,    46,   468,   368,   369,    77,
     367,   218,   221,   219,   220,   222,   224,   225,   223,   226,
     227,   228,   229,   230,   231,   232,   100,   217,   235,   236,
     237,   238,   239,   102,   234,   106,   212,   409,   408,     0,
       0,     0,   400,   402,   401,   403,   404,   399,     0,   397,
      23,    27,   180,   181,   182,   183,   184,   185,   188,   189,
     190,   194,   129,     0,   197,   198,   199,   129,     0,   204,
     205,   206,   207,    97,   179,   210,    98,   209,     0,   509,
     510,     7,   508,   396,   395,     0,     0,     0,     0,     0,
       0,   388,   455,   449,   454,   453,     0,     0,     0,   447,
     466,   458,   465,     0,     0,     0,     0,   456,   484,   479,
     483,     0,     0,     0,   477,    93,     0,     0,   135,   163,
     137,   136,     0,   167,     0,     0,     0,     0,     0,     0,
       0,     0,   170,   161,     0,     0,   291,   277,   283,   275,
     289,   290,   279,   294,   296,   297,   295,   285,   286,   278,
     280,   281,   282,   284,   287,   288,   292,   293,   298,   299,
      74,   274,   304,   307,    76,   303,   382,   383,   384,   375,
      79,   374,   328,   327,   326,   323,    81,   322,   252,   250,
     247,   248,   260,   259,   256,   255,    69,   241,   444,   440,
     441,   129,     0,     0,    87,   432,   428,   422,   423,   427,
     425,   417,   418,   419,   420,   421,   424,    90,   411,   470,
     405,   407,   406,    92,   398,   195,     0,   200,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   331,   394,   390,
     391,   392,   393,    96,   389,   129,     0,     0,    88,   448,
     129,     0,     0,   460,     0,   104,   457,   129,     0,     0,
     108,   478,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    12,     0,     0,   435,     0,   434,   426,
     196,   201,   202,     0,     0,     0,     0,     0,     0,   339,
      83,   332,   451,     0,   450,   461,     0,   129,     0,   459,
     481,     0,   480,     0,   109,     0,   139,     0,   140,   141,
     142,     0,   143,   144,     0,     0,   436,     0,   341,   343,
     345,   335,   333,   337,     0,   452,   462,   463,     0,   482,
       0,     0,     0,     0,     0,     0,   203,     0,     0,     0,
       0,     0,     0,   363,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   349,     0,   365,
     340,   347,   464,    94,   138,   168,   169,    13,   325,   342,
     344,   346,   336,   334,   338,     0,     0,   364,   348
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
    -761,  -761,  -761,   -70,  -761,  -761,  -761,  -761,  -761,  -761,
    -761,  -761,  -761,  -761,  -761,  -761,   -13,  -761,  2853,  -761,
    -761,  -761,   688,    -6,   980,   -53,   306,  -761,  -761,   244,
    -761,   245,  -761,   277,  -761,   297,  -761,   291,  -761,   101,
    -761,   337,  -761,   173,  -761,   154,  -761,   140,  -761,  -236,
    -760,  -761,  -761,  -761,  -761,  -761,  -761,  -761,  -394,  -298,
    -761,   323,  -761,   148,  -761,   -12,  -761,    32,  -761,    88,
    -761,   103,  -761,   -11,  -761,   -27,  -761,   342,  -761,   -25,
      39,  -761,   108,  -761,  -761,  -761,  -761,  -761,   276
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    87,   248,    88,   167,   159,   163,   164,   165,   389,
     183,   184,   200,   234,   237,   240,   136,   174,   137,   121,
     122,   123,   124,   125,   126,   161,   162,   135,   384,   385,
     387,   388,   356,   357,   344,   345,   351,   352,   543,   544,
     306,   307,   473,   474,   493,   494,   514,   515,   845,   806,
     807,   911,   910,   912,   894,   907,   908,   909,   930,   931,
     327,   328,   508,   509,   670,   671,   628,   629,   578,   579,
     558,   559,   678,   679,   686,   687,   320,   321,   693,   694,
     138,   140,   150,   239,   147,   219,   226,   393,   394
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     129,   130,   139,   141,   198,   199,   149,   545,   663,   546,
     353,   354,   355,   672,   672,   673,   673,   249,   547,   664,
     169,   312,   172,   313,   674,   674,   228,   149,   149,   312,
     322,   313,   314,   149,   149,   149,   250,   545,   386,   546,
     314,   323,   391,   392,   142,    89,   861,   143,   547,   353,
     354,   355,   208,   209,   680,   144,   681,   148,   753,   151,
     754,   127,   755,   128,   476,   682,   680,   238,   681,   302,
     131,   168,   149,   170,   291,   477,   176,   682,   178,   132,
     303,   181,   182,   440,   298,   688,   133,   689,   189,   190,
     191,   322,   134,   195,   196,   688,   690,   689,   166,   510,
     495,   192,   323,   128,    98,   193,   690,   211,  -165,  -165,
     511,   496,   230,   197,   232,  -171,  -171,   235,   292,   128,
      98,   703,   298,   315,   316,   317,   318,   560,   712,   298,
     205,   315,   316,   317,   318,   108,   206,   110,   561,   510,
     231,   114,   128,    98,   117,   861,   251,   656,   179,   180,
     511,   108,   236,   110,   185,   186,   188,   114,   241,   229,
     117,   242,   212,   289,   290,   213,   243,   128,    98,   665,
     548,   145,   146,   214,   108,   497,   110,   498,   403,   252,
     114,   391,   392,   117,   302,   661,   287,   288,   324,   325,
     326,   937,   298,   244,   257,   303,   258,   259,   260,   108,
     548,   110,   261,   262,   263,   114,   617,   409,   117,   285,
     286,   287,   288,   220,   264,   615,   418,   618,   221,   265,
     266,   663,   267,   268,   222,   269,   270,   478,   297,   479,
     401,   293,   664,   294,   295,   512,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   324,
     325,   326,   298,   309,   299,   666,   667,   668,   669,   675,
     675,   499,   500,   501,   419,   300,   502,   503,   504,   505,
     506,   507,   301,   308,   310,   512,   311,   549,   550,   551,
     552,   553,   554,   555,   556,   562,   358,   395,   676,   676,
     563,   386,   517,   215,   216,   217,   218,   396,   397,   304,
     305,   398,   580,   581,   582,   583,   584,   549,   550,   551,
     552,   553,   554,   555,   556,   441,   591,   592,   593,   594,
     595,   149,   597,   619,   774,   557,   443,   442,   444,   683,
     818,   677,   677,   684,   609,   610,   611,   612,   585,   319,
     223,   683,   630,   516,   224,   684,   659,   319,   225,   631,
     658,   660,   636,   637,   696,   557,   446,   520,   513,   447,
     691,   641,   643,   644,   620,   646,   648,   448,   521,   621,
     691,   825,   685,   655,   695,   697,   758,   564,   565,   566,
     603,   744,   665,   702,   685,   567,   518,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   700,   513,   759,
     701,   713,   634,   692,   760,   715,   780,   638,   589,   640,
     158,   795,   830,   692,   304,   305,   645,   750,   704,   649,
     650,   705,   652,   706,   201,   707,   708,   709,   797,   714,
     710,   449,   450,   711,   451,   789,   452,   346,   347,   348,
     349,   350,   596,   796,   787,   453,   454,   203,   798,   843,
     846,   455,   613,  -324,   456,   848,   756,   849,   847,   622,
     623,   624,   625,   626,   627,   913,   743,   851,   666,   667,
     668,   669,   862,   863,   128,   859,   457,   458,   283,   284,
     285,   286,   287,   288,   864,   746,   747,   748,   716,   717,
     718,   719,   720,   721,   722,   723,   724,   725,   726,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   459,   939,   940,   941,   942,   943,   944,   761,
     762,   763,   865,   793,   346,   347,   348,   349,   350,   866,
     869,   870,   871,   872,   873,   874,   875,   877,   813,   769,
     770,   772,   876,   878,   773,   879,   880,   888,   881,   882,
     883,   752,   884,   885,   887,   781,   782,   783,   784,   785,
     889,   890,   891,   892,   893,   897,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   898,   933,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   934,   935,   936,   475,   946,   914,   915,   916,   917,
     918,   919,   920,   921,   922,   923,   924,   925,   926,   272,
     273,   274,   275,   276,   947,   277,   278,   279,   654,   280,
     281,   282,   657,   616,   283,   284,   285,   286,   287,   288,
     617,   607,   614,   519,   767,   805,   741,   745,   948,   905,
     590,   618,   808,   809,   757,   811,   751,   472,   814,   826,
     794,   775,   586,   816,   817,   476,   788,   819,   831,   662,
     821,   823,   824,   740,   766,     0,   477,     0,   828,   829,
       0,     0,     0,     0,   833,     0,     0,   272,   273,   274,
     275,   276,   836,   277,   278,   279,   840,   280,   281,   282,
       0,     0,   283,   284,   285,   286,   287,   288,     0,   152,
     152,   152,   152,   152,   152,     0,     0,   272,   273,   274,
     275,   276,     0,   277,   278,   279,   152,   280,   281,   282,
       0,     0,   283,   284,   285,   286,   287,   288,     0,     0,
       0,     0,     0,     0,     0,   152,   152,     0,   152,   152,
       0,     0,   152,     0,     0,   152,     0,   619,     0,   152,
       0,     0,     0,     0,   152,     0,     0,     0,     0,     0,
       0,     0,   927,     0,   152,     0,     0,   152,     0,     0,
       0,   928,     0,   850,     0,   852,   853,   854,   855,   856,
     857,   858,     0,   805,     0,     0,     0,     0,   620,     0,
       0,     0,     0,   621,     0,     0,     0,     0,     0,   868,
       0,     0,   277,   278,   279,   152,   280,   281,   282,     0,
       0,   283,   284,   285,   286,   287,   288,     0,   478,     0,
     479,   904,     0,     0,   886,     0,     0,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     895,     0,     0,   896,     0,     0,     0,     0,   899,     0,
     900,     0,   901,     0,   902,     0,     0,     0,   903,     0,
       0,     0,   805,     0,   906,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   932,     0,     0,   929,   152,
       0,   152,   805,   622,   623,   624,   625,   626,   627,     0,
       0,   929,   929,   929,   929,   929,   929,     0,     0,     0,
       0,     0,     0,     0,     0,   945,   520,   152,     0,     0,
       0,     0,   420,     0,     0,     0,     0,   521,     0,   152,
     152,     0,   495,     0,     0,     0,     0,     0,     0,     0,
     929,     0,     0,   496,     0,   152,   152,   152,   152,   152,
     152,   152,   152,   152,   152,   152,   152,   152,     0,     0,
       0,     0,     0,     0,   272,   273,   274,   275,   276,     0,
     277,   278,   279,     0,   280,   281,   282,   152,   152,   283,
     284,   285,   286,   287,   288,     0,   152,     0,     0,     0,
     445,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   153,   154,   155,   156,   157,   160,   497,     0,   498,
       0,     0,   152,   152,     0,     0,     0,     0,   177,     0,
     698,   560,     0,     0,   152,   152,   152,   152,   152,     0,
     152,   152,   561,     0,   152,     0,     0,   160,   160,     0,
     202,   204,     0,     0,   207,     0,     0,   210,     0,   152,
     152,   227,   152,     0,     0,     0,   233,   152,     0,     0,
       0,     0,     0,     0,     0,     0,   245,     0,     0,   160,
     152,     0,     0,    90,    91,    92,    93,    94,    95,     0,
       0,    96,    97,    98,     0,    99,   100,     0,     0,     0,
       0,     0,   101,   499,   500,   501,     0,     0,   502,   503,
     504,   505,   506,   507,   102,   103,     0,   160,     0,     0,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    90,    91,    92,    93,    94,
      95,     0,     0,    96,    97,    98,   152,    99,   100,     0,
       0,     0,     0,     0,   101,     0,     0,     0,     0,   562,
       0,   359,     0,   360,   563,     0,   102,   103,     0,   152,
       0,     0,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,     0,     0,   390,
     799,   800,   801,     0,     0,     0,     0,     0,     0,     0,
       0,   399,   400,   152,   152,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   152,   406,   407,   408,
     160,   410,   411,   412,   413,   414,   415,   416,   417,   160,
     152,   152,   152,   152,     0,     0,     0,     0,     0,     0,
       0,   152,     0,     0,     0,     0,     0,   699,     0,   438,
     439,   564,   565,   566,     0,     0,     0,     0,   160,   567,
       0,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,     0,   799,   800,   801,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   587,   588,     0,   152,   152,   152,
       0,     0,     0,     0,     0,     0,   598,   599,   600,   601,
     602,     0,   604,   605,     0,     0,   608,    90,    91,    92,
      93,    94,    95,     0,     0,    96,    97,    98,     0,    99,
     100,   632,   633,     0,   635,     0,   101,     0,     0,   639,
       0,     0,     0,     0,     0,   152,     0,   152,   102,   103,
       0,     0,   651,     0,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,     0,
       0,   802,   803,   804,   152,     0,     0,     0,   860,   119,
     152,     0,   152,     0,   152,   152,   152,     0,   152,   152,
       0,     0,     0,   152,     0,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,     0,     0,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,     0,     0,     0,     0,
       0,     0,   171,     0,     0,     0,     0,     0,   742,     0,
       0,     0,     0,   802,   803,   804,   606,     0,     0,     0,
     938,   119,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   749,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   764,   765,    90,    91,    92,
      93,    94,    95,     0,     0,    96,    97,    98,   768,    99,
     100,     0,     0,     0,     0,     0,   101,   653,     0,     0,
       0,     0,   776,   777,   778,   779,     0,     0,   102,   103,
       0,     0,     0,   786,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,     0,
       0,     0,   152,     0,    90,    91,    92,    93,    94,    95,
       0,     0,    96,    97,    98,     0,    99,   100,     0,     0,
       0,     0,     0,   101,     0,     0,     0,     0,     0,   790,
     791,   792,     0,     0,     0,   102,   103,     0,     0,     0,
       0,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   246,     1,   119,     0,     0,     0,   810,     0,   812,
       0,     0,     0,     2,     3,     4,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   832,     0,     0,     0,
       0,     0,   834,     0,   835,     0,   837,   838,   839,     0,
     841,   842,     0,     0,     5,   844,     6,     7,     8,     9,
      10,    11,    12,    13,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,     0,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,     0,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,     0,     0,     0,     0,    52,    53,
       0,    54,    55,    56,     0,     0,     0,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,     0,
       0,    69,    70,    90,    91,    92,    93,    94,    95,    71,
      72,    96,    97,    98,     0,    99,   100,     0,     0,     0,
       0,     0,   101,     0,     0,     0,     0,     0,     0,    73,
       0,     0,     0,     0,   102,   103,    74,     0,     0,     0,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,     0,     0,     0,     0,     0,
       0,   187,     0,   119,   272,   273,   274,   275,   276,     0,
     277,   278,   279,     0,   280,   281,   282,     0,     0,   283,
     284,   285,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   160,     0,     0,     0,     0,     0,
       0,    75,     0,     0,    76,     0,     0,     0,     0,     0,
       0,    77,     0,     0,     0,     0,    78,    79,   194,     0,
     119,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     799,   800,   801,     0,     0,     0,     0,     0,     0,     0,
      80,     0,    81,     0,    90,    91,    92,    93,    94,    95,
       0,     0,    96,    97,    98,     0,    99,   100,    82,    83,
       0,     0,    84,   101,     0,     0,     0,     0,     0,    85,
      86,     0,     0,     0,     0,   102,   103,   247,     0,     0,
       0,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    90,    91,    92,    93,
      94,    95,     0,     0,    96,    97,    98,     0,    99,   100,
       0,     0,     0,     0,     0,   101,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   102,   103,     0,
       0,     0,     0,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   173,    91,
      92,    93,    94,    95,     0,     0,    96,    97,    98,     0,
      99,   100,     0,     0,     0,     0,     0,   101,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   102,
     103,     0,     0,     0,     0,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
       0,   802,   803,   804,     0,     0,     0,     0,     0,   119,
     642,    91,    92,    93,    94,    95,     0,     0,    96,    97,
      98,     0,    99,   100,     0,     0,     0,     0,     0,   101,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   102,   103,     0,     0,     0,     0,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   647,    91,    92,    93,    94,    95,     0,     0,
      96,    97,    98,     0,    99,   100,     0,     0,     0,     0,
       0,   101,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   102,   103,     0,     0,     0,     0,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,     0,     0,     0,   822,     0,     0,
       0,     0,     0,     0,   771,    91,    92,    93,    94,    95,
       0,     0,    96,    97,    98,     0,    99,   100,     0,     0,
       0,     0,     0,   101,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   102,   103,     0,     0,     0,
     119,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   815,    91,    92,    93,
      94,    95,     0,     0,    96,    97,    98,     0,    99,   100,
       0,     0,     0,     0,     0,   101,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   102,   103,     0,
       0,     0,   119,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   820,    91,
      92,    93,    94,    95,     0,     0,    96,    97,    98,     0,
      99,   100,     0,     0,     0,     0,     0,   101,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   102,
     103,     0,     0,     0,   119,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     827,    91,    92,    93,    94,    95,     0,     0,    96,    97,
      98,     0,    99,   100,     0,     0,     0,     0,     0,   101,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   102,   103,     0,     0,     0,   119,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   867,    91,    92,    93,    94,    95,     0,     0,
      96,    97,    98,     0,    99,   100,     0,     0,     0,     0,
       0,   101,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   102,   103,     0,     0,     0,   119,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     1,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     2,     3,     4,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     119,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     5,     0,     6,     7,     8,
       9,    10,    11,    12,    13,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
       0,    29,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    39,   119,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,     0,     0,     0,     0,    52,
      53,     0,    54,    55,    56,     0,     0,     0,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
       0,     0,    69,    70,     0,     0,     0,     0,     0,     0,
      71,    72,     0,     0,   119,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      73,     0,     0,     0,     0,     0,     0,    74,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   119,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    75,     0,     0,    76,     0,     0,     0,     0,
       0,     0,    77,     0,     0,     0,     0,    78,    79,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   119,     0,
       0,     0,     0,     0,     0,     1,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     2,     3,     4,     0,
       0,    80,     0,    81,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    82,
      83,     0,     0,    84,     0,     0,     0,     0,     0,     0,
      85,    86,     0,     0,     0,     0,     0,     5,   402,     6,
       7,     8,     9,    10,    11,    12,    13,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,     0,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    39,     0,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,   446,     0,     0,
     447,    52,    53,     0,    54,    55,    56,   120,   448,     0,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,     0,     0,    69,    70,     0,     0,     0,     0,
       0,     0,    71,    72,     0,     0,     0,     0,     0,   175,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    73,     0,     0,     0,     0,     0,     0,    74,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   449,   450,     0,   451,     0,   452,     0,     0,
       0,     0,     0,     0,     0,     0,   453,   454,     0,     0,
       0,     0,   455,     0,     0,   456,     0,     0,     0,     0,
       0,     0,     0,     0,   253,   254,   255,   256,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   457,   458,     0,
       0,     0,   271,     0,    75,     0,     0,    76,     0,     0,
       0,     0,     0,     0,    77,     0,     0,     0,     0,    78,
      79,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,   296,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    80,     0,    81,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    82,    83,     0,     0,    84,     0,     0,     0,     0,
       0,     0,    85,    86,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,     0,     0,     0,     0,     0,   472
};

static const yytype_int16 yycheck[] =
{
       6,     7,    15,    16,    57,    58,    19,     1,     1,     3,
     113,   114,   115,     1,     1,     3,     3,    87,    12,    12,
      33,     1,    35,     3,    12,    12,    10,    40,    41,     1,
       1,     3,    12,    46,    47,    48,    89,     1,   209,     3,
      12,    12,   314,   315,     1,    26,   806,     4,    12,   113,
     114,   115,    65,    66,     1,    12,     3,    18,     6,    20,
       8,   319,    10,    12,     1,    12,     1,    80,     3,     1,
     319,    32,    85,    34,   127,    12,    37,    12,    39,     3,
      12,    42,    43,   320,   321,     1,     3,     3,    49,    50,
      51,     1,    13,    54,    55,     1,    12,     3,   317,     1,
       1,   317,    12,    12,    13,   317,    12,    68,    30,    31,
      12,    12,    73,   317,    75,    30,    31,    78,   131,    12,
      13,   320,   321,   103,   104,   105,   106,     1,   320,   321,
     317,   103,   104,   105,   106,    44,   317,    46,    12,     1,
     317,    50,    12,    13,    53,   905,   319,   318,    40,    41,
      12,    44,    95,    46,    46,    47,    48,    50,   317,   143,
      53,   317,     1,    30,    31,     4,   317,    12,    13,   162,
     164,   128,   129,    12,    44,    76,    46,    78,   248,   319,
      50,   314,   315,    53,     1,   318,    36,    37,   159,   160,
     161,   320,   321,    85,   319,    12,   319,   319,   319,    44,
     164,    46,   319,   319,   319,    50,     1,   260,    53,    34,
      35,    36,    37,     1,   319,   318,   269,    12,     6,   319,
     319,     1,   319,   319,    12,   319,   319,   164,   317,   166,
     243,   321,    12,   321,   321,   137,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   159,
     160,   161,   321,     3,   317,   248,   249,   250,   251,   247,
     247,   162,   163,   164,   270,   317,   167,   168,   169,   170,
     171,   172,   317,   317,   317,   137,   317,   271,   272,   273,
     274,   275,   276,   277,   278,   159,   317,   317,   276,   276,
     164,   209,   305,   132,   133,   134,   135,   317,   317,   231,
     232,   317,   315,   316,   317,   318,   319,   271,   272,   273,
     274,   275,   276,   277,   278,   320,   329,   330,   331,   332,
     333,   334,   335,   118,   318,   319,    13,   319,    13,   276,
     318,   319,   319,   280,   347,   348,   349,   350,   318,   319,
     128,   276,   318,   304,   132,   280,    12,   319,   136,   318,
     317,    12,   365,   366,   299,   319,     1,     1,   260,     4,
     276,   374,   375,   376,   159,   378,   379,    12,    12,   164,
     276,   318,   319,   386,   318,    26,     6,   251,   252,   253,
     341,   318,   162,   321,   319,   259,   318,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   320,   260,     6,
     320,   320,   363,   319,     9,   319,    12,   368,   318,   370,
     319,     3,   318,   319,   231,   232,   377,   318,   321,   380,
     381,   321,   383,   321,   317,   321,   321,   321,     3,   442,
     321,    76,    77,   321,    79,   320,    81,   303,   304,   305,
     306,   307,   334,   321,   318,    90,    91,   317,   321,   320,
       3,    96,   318,   317,    99,   320,   318,     3,   321,   254,
     255,   256,   257,   258,   259,     3,   479,     3,   248,   249,
     250,   251,     3,   321,    12,    26,   121,   122,    32,    33,
      34,    35,    36,    37,   320,   498,   499,   500,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   157,   907,   908,   909,   910,   911,   912,   532,
     533,   534,     3,   318,   303,   304,   305,   306,   307,   321,
     320,     3,   321,   320,   300,   318,   321,   321,   318,   552,
     553,   554,   320,   320,   557,   320,   320,    26,   321,   320,
     320,   512,   321,   317,   321,   568,   569,   570,   571,   572,
      26,    26,    26,    26,    26,     3,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   321,   318,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   320,   320,   320,   298,   321,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,    17,
      18,    19,    20,    21,   320,    23,    24,    25,   384,    27,
      28,    29,   387,   356,    32,    33,    34,    35,    36,    37,
       1,   344,   351,   306,   543,   658,   473,   493,   946,   885,
     327,    12,   665,   666,   514,   668,   508,   302,   670,   686,
     628,   558,   320,   676,   677,     1,   578,   678,   693,   393,
     683,   684,   685,   318,   318,    -1,    12,    -1,   691,   692,
      -1,    -1,    -1,    -1,   697,    -1,    -1,    17,    18,    19,
      20,    21,   705,    23,    24,    25,   709,    27,    28,    29,
      -1,    -1,    32,    33,    34,    35,    36,    37,    -1,    21,
      22,    23,    24,    25,    26,    -1,    -1,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    38,    27,    28,    29,
      -1,    -1,    32,    33,    34,    35,    36,    37,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    57,    58,    -1,    60,    61,
      -1,    -1,    64,    -1,    -1,    67,    -1,   118,    -1,    71,
      -1,    -1,    -1,    -1,    76,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   310,    -1,    86,    -1,    -1,    89,    -1,    -1,
      -1,   319,    -1,   796,    -1,   798,   799,   800,   801,   802,
     803,   804,    -1,   806,    -1,    -1,    -1,    -1,   159,    -1,
      -1,    -1,    -1,   164,    -1,    -1,    -1,    -1,    -1,   822,
      -1,    -1,    23,    24,    25,   127,    27,    28,    29,    -1,
      -1,    32,    33,    34,    35,    36,    37,    -1,   164,    -1,
     166,   884,    -1,    -1,   847,    -1,    -1,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     863,    -1,    -1,   866,    -1,    -1,    -1,    -1,   871,    -1,
     873,    -1,   875,    -1,   877,    -1,    -1,    -1,   881,    -1,
      -1,    -1,   885,    -1,   887,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   898,    -1,    -1,   894,   201,
      -1,   203,   905,   254,   255,   256,   257,   258,   259,    -1,
      -1,   907,   908,   909,   910,   911,   912,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   928,     1,   229,    -1,    -1,
      -1,    -1,   320,    -1,    -1,    -1,    -1,    12,    -1,   241,
     242,    -1,     1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     946,    -1,    -1,    12,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,    -1,
      -1,    -1,    -1,    -1,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    27,    28,    29,   289,   290,    32,
      33,    34,    35,    36,    37,    -1,   298,    -1,    -1,    -1,
     320,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    21,    22,    23,    24,    25,    26,    76,    -1,    78,
      -1,    -1,   324,   325,    -1,    -1,    -1,    -1,    38,    -1,
     320,     1,    -1,    -1,   336,   337,   338,   339,   340,    -1,
     342,   343,    12,    -1,   346,    -1,    -1,    57,    58,    -1,
      60,    61,    -1,    -1,    64,    -1,    -1,    67,    -1,   361,
     362,    71,   364,    -1,    -1,    -1,    76,   369,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    86,    -1,    -1,    89,
     382,    -1,    -1,     3,     4,     5,     6,     7,     8,    -1,
      -1,    11,    12,    13,    -1,    15,    16,    -1,    -1,    -1,
      -1,    -1,    22,   162,   163,   164,    -1,    -1,   167,   168,
     169,   170,   171,   172,    34,    35,    -1,   127,    -1,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     3,     4,     5,     6,     7,
       8,    -1,    -1,    11,    12,    13,   478,    15,    16,    -1,
      -1,    -1,    -1,    -1,    22,    -1,    -1,    -1,    -1,   159,
      -1,   201,    -1,   203,   164,    -1,    34,    35,    -1,   501,
      -1,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    -1,    -1,   229,
     140,   141,   142,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   241,   242,   535,   536,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   548,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     562,   563,   564,   565,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   573,    -1,    -1,    -1,    -1,    -1,   320,    -1,   289,
     290,   251,   252,   253,    -1,    -1,    -1,    -1,   298,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,    -1,   140,   141,   142,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   324,   325,    -1,   619,   620,   621,
      -1,    -1,    -1,    -1,    -1,    -1,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,    -1,   346,     3,     4,     5,
       6,     7,     8,    -1,    -1,    11,    12,    13,    -1,    15,
      16,   361,   362,    -1,   364,    -1,    22,    -1,    -1,   369,
      -1,    -1,    -1,    -1,    -1,   667,    -1,   669,    34,    35,
      -1,    -1,   382,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    -1,
      -1,   311,   312,   313,   696,    -1,    -1,    -1,   318,   319,
     702,    -1,   704,    -1,   706,   707,   708,    -1,   710,   711,
      -1,    -1,    -1,   715,    -1,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,    -1,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   128,    -1,    -1,    -1,    -1,    -1,   478,    -1,
      -1,    -1,    -1,   311,   312,   313,   318,    -1,    -1,    -1,
     318,   319,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   501,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   535,   536,     3,     4,     5,
       6,     7,     8,    -1,    -1,    11,    12,    13,   548,    15,
      16,    -1,    -1,    -1,    -1,    -1,    22,   318,    -1,    -1,
      -1,    -1,   562,   563,   564,   565,    -1,    -1,    34,    35,
      -1,    -1,    -1,   573,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    -1,
      -1,    -1,   884,    -1,     3,     4,     5,     6,     7,     8,
      -1,    -1,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      -1,    -1,    -1,    22,    -1,    -1,    -1,    -1,    -1,   619,
     620,   621,    -1,    -1,    -1,    34,    35,    -1,    -1,    -1,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,     0,     1,   319,    -1,    -1,    -1,   667,    -1,   669,
      -1,    -1,    -1,    12,    13,    14,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   696,    -1,    -1,    -1,
      -1,    -1,   702,    -1,   704,    -1,   706,   707,   708,    -1,
     710,   711,    -1,    -1,    53,   715,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    -1,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,   107,   108,
      -1,   110,   111,   112,    -1,    -1,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
      -1,   130,   131,     3,     4,     5,     6,     7,     8,   138,
     139,    11,    12,    13,    -1,    15,    16,    -1,    -1,    -1,
      -1,    -1,    22,    -1,    -1,    -1,    -1,    -1,    -1,   158,
      -1,    -1,    -1,    -1,    34,    35,   165,    -1,    -1,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    -1,    -1,    -1,    -1,    -1,
      -1,   317,    -1,   319,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    32,
      33,    34,    35,    36,    37,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   884,    -1,    -1,    -1,    -1,    -1,
      -1,   230,    -1,    -1,   233,    -1,    -1,    -1,    -1,    -1,
      -1,   240,    -1,    -1,    -1,    -1,   245,   246,   317,    -1,
     319,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     140,   141,   142,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     279,    -1,   281,    -1,     3,     4,     5,     6,     7,     8,
      -1,    -1,    11,    12,    13,    -1,    15,    16,   297,   298,
      -1,    -1,   301,    22,    -1,    -1,    -1,    -1,    -1,   308,
     309,    -1,    -1,    -1,    -1,    34,    35,   316,    -1,    -1,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,     3,     4,     5,     6,
       7,     8,    -1,    -1,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    -1,    -1,    -1,    22,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    34,    35,    -1,
      -1,    -1,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,     3,     4,
       5,     6,     7,     8,    -1,    -1,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    -1,    -1,    -1,    22,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    34,
      35,    -1,    -1,    -1,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      -1,   311,   312,   313,    -1,    -1,    -1,    -1,    -1,   319,
       3,     4,     5,     6,     7,     8,    -1,    -1,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    -1,    -1,    -1,    22,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    34,    35,    -1,    -1,    -1,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,     3,     4,     5,     6,     7,     8,    -1,    -1,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    -1,    -1,
      -1,    22,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    34,    35,    -1,    -1,    -1,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    -1,    -1,    -1,   276,    -1,    -1,
      -1,    -1,    -1,    -1,     3,     4,     5,     6,     7,     8,
      -1,    -1,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      -1,    -1,    -1,    22,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    34,    35,    -1,    -1,    -1,
     319,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,     3,     4,     5,     6,
       7,     8,    -1,    -1,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    -1,    -1,    -1,    22,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    34,    35,    -1,
      -1,    -1,   319,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,     3,     4,
       5,     6,     7,     8,    -1,    -1,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    -1,    -1,    -1,    22,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    34,
      35,    -1,    -1,    -1,   319,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       3,     4,     5,     6,     7,     8,    -1,    -1,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    -1,    -1,    -1,    22,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    34,    35,    -1,    -1,    -1,   319,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,     3,     4,     5,     6,     7,     8,    -1,    -1,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    -1,    -1,
      -1,    22,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    34,    35,    -1,    -1,    -1,   319,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    12,    13,    14,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     319,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    53,    -1,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    75,    76,    77,
      -1,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,   319,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
     108,    -1,   110,   111,   112,    -1,    -1,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
      -1,    -1,   130,   131,    -1,    -1,    -1,    -1,    -1,    -1,
     138,   139,    -1,    -1,   319,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     158,    -1,    -1,    -1,    -1,    -1,    -1,   165,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   319,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   230,    -1,    -1,   233,    -1,    -1,    -1,    -1,
      -1,    -1,   240,    -1,    -1,    -1,    -1,   245,   246,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   319,    -1,
      -1,    -1,    -1,    -1,    -1,     1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    12,    13,    14,    -1,
      -1,   279,    -1,   281,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   297,
     298,    -1,    -1,   301,    -1,    -1,    -1,    -1,    -1,    -1,
     308,   309,    -1,    -1,    -1,    -1,    -1,    53,   316,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    -1,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,     1,    -1,    -1,
       4,   107,   108,    -1,   110,   111,   112,     4,    12,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,    -1,    -1,   130,   131,    -1,    -1,    -1,    -1,
      -1,    -1,   138,   139,    -1,    -1,    -1,    -1,    -1,    36,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   158,    -1,    -1,    -1,    -1,    -1,    -1,   165,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    76,    77,    -1,    79,    -1,    81,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    -1,    -1,
      -1,    -1,    96,    -1,    -1,    99,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   101,   102,   103,   104,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   121,   122,    -1,
      -1,    -1,   119,    -1,   230,    -1,    -1,   233,    -1,    -1,
      -1,    -1,    -1,    -1,   240,    -1,    -1,    -1,    -1,   245,
     246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   157,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   158,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   279,    -1,   281,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   297,   298,    -1,    -1,   301,    -1,    -1,    -1,    -1,
      -1,    -1,   308,   309,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   251,   252,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,    -1,    -1,    -1,    -1,    -1,    -1,   302
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,     1,    12,    13,    14,    53,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   107,   108,   110,   111,   112,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   130,
     131,   138,   139,   158,   165,   230,   233,   240,   245,   246,
     279,   281,   297,   298,   301,   308,   309,   323,   325,    26,
       3,     4,     5,     6,     7,     8,    11,    12,    13,    15,
      16,    22,    34,    35,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,   319,
     340,   341,   342,   343,   344,   345,   346,   319,    12,   345,
     345,   319,     3,     3,    13,   349,   338,   340,   402,   338,
     403,   338,     1,     4,    12,   128,   129,   406,   402,   338,
     404,   402,   344,   346,   346,   346,   346,   346,   319,   327,
     346,   347,   348,   328,   329,   330,   317,   326,   402,   338,
     402,   128,   338,     3,   339,   340,   402,   346,   402,   404,
     404,   402,   402,   332,   333,   404,   404,   317,   404,   402,
     402,   402,   317,   317,   317,   402,   402,   317,   347,   347,
     334,   317,   346,   317,   346,   317,   317,   346,   338,   338,
     346,   402,     1,     4,    12,   132,   133,   134,   135,   407,
       1,     6,    12,   128,   132,   136,   408,   346,    10,   143,
     402,   317,   402,   346,   335,   402,    95,   336,   338,   405,
     337,   317,   317,   317,   404,   346,     0,   316,   324,   325,
     347,   319,   319,   340,   340,   340,   340,   319,   319,   319,
     319,   319,   319,   319,   319,   319,   319,   319,   319,   319,
     319,   340,    17,    18,    19,    20,    21,    23,    24,    25,
      27,    28,    29,    32,    33,    34,    35,    36,    37,    30,
      31,   347,   338,   321,   321,   321,   340,   317,   321,   317,
     317,   317,     1,    12,   231,   232,   362,   363,   317,     3,
     317,   317,     1,     3,    12,   103,   104,   105,   106,   319,
     398,   399,     1,    12,   159,   160,   161,   382,   383,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   356,   357,   303,   304,   305,   306,
     307,   358,   359,   113,   114,   115,   354,   355,   317,   346,
     346,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   350,   351,   209,   352,   353,   331,
     346,   314,   315,   409,   410,   317,   317,   317,   317,   346,
     346,   338,   316,   325,   340,   340,   346,   346,   346,   347,
     346,   346,   346,   346,   346,   346,   346,   346,   347,   345,
     320,   340,   340,   340,   340,   340,   340,   340,   340,   340,
     340,   340,   340,   340,   340,   340,   340,   340,   346,   346,
     320,   320,   319,    13,    13,   320,     1,     4,    12,    76,
      77,    79,    81,    90,    91,    96,    99,   121,   122,   157,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   302,   364,   365,   348,     1,    12,   164,   166,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   366,   367,     1,    12,    76,    78,   162,
     163,   164,   167,   168,   169,   170,   171,   172,   384,   385,
       1,    12,   137,   260,   368,   369,   402,   338,   318,   363,
       1,    12,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   360,   361,     1,     3,    12,   164,   271,
     272,   273,   274,   275,   276,   277,   278,   319,   392,   393,
       1,    12,   159,   164,   251,   252,   253,   259,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   390,   391,
     338,   338,   338,   338,   338,   318,   399,   346,   346,   318,
     383,   338,   338,   338,   338,   338,   404,   338,   346,   346,
     346,   346,   346,   402,   346,   346,   318,   357,   346,   338,
     338,   338,   338,   318,   359,   318,   355,     1,    12,   118,
     159,   164,   254,   255,   256,   257,   258,   259,   388,   389,
     318,   318,   346,   346,   402,   346,   338,   338,   402,   346,
     402,   338,     3,   338,   338,   402,   338,     3,   338,   402,
     402,   346,   402,   318,   351,   338,   318,   353,   317,    12,
      12,   318,   410,     1,    12,   162,   248,   249,   250,   251,
     386,   387,     1,     3,    12,   247,   276,   319,   394,   395,
       1,     3,    12,   276,   280,   319,   396,   397,     1,     3,
      12,   276,   319,   400,   401,   318,   299,    26,   320,   320,
     320,   320,   321,   320,   321,   321,   321,   321,   321,   321,
     321,   321,   320,   320,   338,   319,   402,   402,   402,   402,
     402,   402,   402,   402,   402,   402,   402,   402,   402,   402,
     402,   402,   402,   402,   402,   402,   402,   402,   402,   402,
     318,   365,   346,   338,   318,   367,   338,   338,   338,   346,
     318,   385,   402,     6,     8,    10,   318,   369,     6,     6,
       9,   338,   338,   338,   346,   346,   318,   361,   346,   338,
     338,     3,   338,   338,   318,   393,   346,   346,   346,   346,
      12,   338,   338,   338,   338,   338,   346,   318,   391,   320,
     346,   346,   346,   318,   389,     3,   321,     3,   321,   140,
     141,   142,   311,   312,   313,   338,   371,   372,   338,   338,
     346,   338,   346,   318,   387,     3,   338,   338,   318,   395,
       3,   338,   276,   338,   338,   318,   397,     3,   338,   338,
     318,   401,   346,   338,   346,   346,   338,   346,   346,   346,
     338,   346,   346,   320,   346,   370,     3,   321,   320,     3,
     338,     3,   338,   338,   338,   338,   338,   338,   338,    26,
     318,   372,     3,   321,   320,     3,   321,     3,   338,   320,
       3,   321,   320,   300,   318,   321,   320,   321,   320,   320,
     320,   321,   320,   320,   321,   317,   338,   321,    26,    26,
      26,    26,    26,    26,   376,   338,   338,     3,   321,   338,
     338,   338,   338,   338,   347,   371,   338,   377,   378,   379,
     374,   373,   375,     3,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   310,   319,   345,
     380,   381,   338,   318,   320,   320,   320,   320,   318,   380,
     380,   380,   380,   380,   380,   338,   321,   320,   381
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   322,   323,   323,   323,   324,   324,   325,   325,   325,
     325,   325,   325,   325,   325,   325,   325,   325,   325,   325,
     325,   325,   325,   325,   325,   325,   325,   325,   325,   325,
     325,   325,   325,   325,   325,   325,   325,   325,   325,   325,
     325,   325,   325,   325,   325,   325,   325,   325,   325,   325,
     325,   325,   325,   325,   325,   325,   325,   325,   325,   325,
     325,   325,   325,   325,   325,   325,   325,   325,   326,   325,
     325,   325,   325,   327,   325,   328,   325,   325,   329,   325,
     330,   325,   331,   325,   325,   325,   332,   325,   325,   333,
     325,   334,   325,   325,   325,   335,   325,   325,   325,   325,
     325,   325,   325,   336,   325,   325,   325,   337,   325,   325,
     325,   325,   325,   325,   338,   339,   340,   340,   340,   340,
     340,   340,   340,   340,   340,   340,   340,   340,   340,   341,
     341,   341,   341,   341,   341,   341,   341,   341,   341,   341,
     341,   341,   341,   341,   341,   341,   342,   342,   342,   342,
     342,   342,   342,   342,   342,   342,   342,   342,   342,   342,
     342,   342,   343,   343,   344,   345,   346,   346,   346,   346,
     346,   346,   347,   347,   348,   348,   349,   349,   350,   350,
     351,   351,   351,   351,   351,   351,   351,   351,   351,   351,
     351,   351,   351,   351,   351,   351,   351,   351,   351,   351,
     351,   351,   351,   351,   351,   351,   351,   351,   352,   352,
     353,   354,   354,   355,   355,   355,   356,   356,   357,   357,
     357,   357,   357,   357,   357,   357,   357,   357,   357,   357,
     357,   357,   357,   358,   358,   359,   359,   359,   359,   359,
     360,   360,   361,   361,   361,   361,   361,   361,   361,   361,
     361,   361,   361,   361,   361,   361,   361,   361,   361,   361,
     361,   361,   361,   361,   361,   361,   361,   362,   362,   363,
     363,   363,   363,   364,   364,   365,   365,   365,   365,   365,
     365,   365,   365,   365,   365,   365,   365,   365,   365,   365,
     365,   365,   365,   365,   365,   365,   365,   365,   365,   365,
     365,   365,   366,   366,   367,   367,   367,   367,   367,   367,
     367,   367,   367,   367,   367,   367,   367,   367,   367,   367,
     367,   368,   368,   369,   370,   369,   369,   369,   369,   369,
     369,   371,   371,   373,   372,   374,   372,   375,   372,   376,
     372,   377,   372,   378,   372,   379,   372,   380,   380,   381,
     381,   381,   381,   381,   381,   381,   381,   381,   381,   381,
     381,   381,   381,   381,   381,   381,   382,   382,   383,   383,
     383,   383,   383,   384,   384,   385,   385,   385,   385,   385,
     385,   385,   385,   385,   385,   385,   385,   385,   386,   386,
     387,   387,   387,   387,   387,   387,   387,   388,   388,   389,
     389,   389,   389,   389,   389,   389,   389,   389,   389,   389,
     390,   390,   391,   391,   391,   391,   391,   391,   391,   391,
     391,   391,   391,   391,   391,   391,   391,   391,   391,   391,
     391,   392,   392,   393,   393,   393,   393,   393,   393,   393,
     393,   393,   393,   393,   393,   393,   393,   394,   394,   395,
     395,   395,   395,   395,   395,   395,   396,   396,   397,   397,
     397,   397,   397,   397,   397,   397,   397,   398,   398,   399,
     399,   399,   399,   399,   399,   399,   399,   400,   400,   401,
     401,   401,   401,   401,   401,   402,   403,   404,   405,   406,
     406,   406,   406,   406,   407,   407,   407,   407,   407,   407,
     407,   408,   408,   408,   408,   408,   408,   409,   409,   410,
     410
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     2,     3,     1,     2,     4,     2,     2,
       2,     4,     6,     9,     4,     1,     1,     3,     2,     2,
       2,     2,     2,     4,     2,     2,     2,     4,     2,     2,
       2,     2,     2,     2,     2,     2,     3,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     4,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     0,     5,
       2,     4,     2,     0,     5,     0,     5,     4,     0,     5,
       0,     5,     0,     6,     2,     3,     0,     5,     5,     0,
       5,     0,     5,     4,     8,     0,     5,     4,     4,     2,
       4,     2,     4,     0,     5,     2,     4,     0,     5,     6,
       2,     2,     1,     1,     1,     1,     1,     1,     1,     3,
       3,     3,     3,     2,     2,     3,     3,     1,     3,     1,
       3,     3,     3,     2,     1,     4,     4,     4,     8,     6,
       6,     6,     6,     6,     6,     1,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     2,     1,     1,     1,
       1,     4,     1,     4,     1,     1,     1,     4,     8,     8,
       4,     1,     1,     3,     1,     3,     1,     3,     1,     2,
       2,     2,     2,     2,     2,     2,     1,     1,     2,     2,
       2,     1,     1,     1,     2,     3,     4,     2,     2,     2,
       3,     4,     4,     6,     2,     2,     2,     2,     1,     2,
       2,     1,     2,     1,     1,     1,     1,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     1,     2,     2,     2,     2,     2,     2,
       1,     2,     1,     1,     1,     1,     1,     2,     2,     1,
       2,     1,     2,     1,     1,     2,     2,     1,     1,     2,
       2,     1,     1,     1,     1,     1,     1,     1,     2,     2,
       2,     1,     1,     1,     2,     2,     1,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       1,     1,     1,     2,     2,     1,     1,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     2,     2,     0,     6,     2,     2,     2,     1,
       1,     1,     2,     0,     5,     0,     5,     0,     5,     0,
       4,     0,     5,     0,     5,     0,     5,     1,     3,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     3,     1,     1,     2,     2,     2,
       1,     1,     1,     1,     2,     2,     1,     1,     1,     1,
       1,     1,     2,     2,     2,     1,     1,     1,     1,     2,
       2,     2,     2,     2,     2,     1,     1,     1,     2,     1,
       1,     1,     1,     1,     1,     2,     2,     2,     1,     1,
       1,     2,     1,     1,     1,     1,     1,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     3,     2,     2,     1,
       1,     1,     2,     1,     3,     3,     4,     1,     1,     1,
       2,     2,     1,     1,     2,     1,     1,     1,     2,     1,
       3,     3,     4,     1,     1,     1,     1,     2,     1,     3,
       2,     3,     4,     4,     5,     1,     1,     1,     2,     1,
       3,     2,     2,     2,     2,     1,     1,     1,     2,     1,
       3,     3,     4,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     2,
       2
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256



/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)

/* This macro is provided for backward compatibility. */
#ifndef YY_LOCATION_PRINT
# define YY_LOCATION_PRINT(File, Loc) ((void) 0)
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  yy_symbol_value_print (yyoutput, yytype, yyvaluep);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                                              );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep)
{
  YYUSE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
/* The lookahead symbol.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yystacksize);

        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex (&yylval);
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 7:
#line 364 "parser.y" /* yacc.c:1646  */
    {}
#line 3213 "parser.c" /* yacc.c:1646  */
    break;

  case 8:
#line 366 "parser.y" /* yacc.c:1646  */
    { config.hogthreshold = (yyvsp[0].i_value); }
#line 3219 "parser.c" /* yacc.c:1646  */
    break;

  case 9:
#line 367 "parser.y" /* yacc.c:1646  */
    { IFCLASS(CL_VAR){ define_config_variable((yyvsp[0].s_value));} free((yyvsp[0].s_value)); }
#line 3225 "parser.c" /* yacc.c:1646  */
    break;

  case 10:
#line 368 "parser.y" /* yacc.c:1646  */
    { IFCLASS(CL_VAR){ undefine_config_variable((yyvsp[0].s_value));} free((yyvsp[0].s_value)); }
#line 3231 "parser.c" /* yacc.c:1646  */
    break;

  case 11:
#line 369 "parser.y" /* yacc.c:1646  */
    {
			/* NOTE:
			 * We _need_ absolutely to return to state stack 0
			 * because we 'backward' modify the input stream for
			 * the parser (in lexer). Hence, _if_ the parser needs
			 * to read one token more than needed, we are lost,
			 * because we can't discard it. So please, don't
			 * play with the grammar without knowing what you do.
			 * The ')' _will_ return to state stack 0, but fiddling
			 * with brackets '()' in the underlaying 'expression'
			 * rules may distroy this.
			 *                          -- Hans 971231
			 */
			tell_lexer_if((yyvsp[-1].i_value));
		}
#line 3251 "parser.c" /* yacc.c:1646  */
    break;

  case 12:
#line 391 "parser.y" /* yacc.c:1646  */
    {
			tell_lexer_loop((yyvsp[-4].i_value), (yyvsp[-1].i_value));
		}
#line 3259 "parser.c" /* yacc.c:1646  */
    break;

  case 13:
#line 394 "parser.y" /* yacc.c:1646  */
    {
			tell_lexer_loop((yyvsp[-7].i_value), for_each_handling((yyvsp[-7].i_value),(yyvsp[-5].s_value),(yyvsp[-3].s_value),(yyvsp[-1].s_value)));
			free((yyvsp[-5].s_value)); free((yyvsp[-3].s_value)); free((yyvsp[-1].s_value));
		}
#line 3268 "parser.c" /* yacc.c:1646  */
    break;

  case 14:
#line 398 "parser.y" /* yacc.c:1646  */
    {
			char *s = run_shell((yyvsp[-1].s_value));
			if (s) free(s);
			free((yyvsp[-1].s_value));
		}
#line 3278 "parser.c" /* yacc.c:1646  */
    break;

  case 15:
#line 403 "parser.y" /* yacc.c:1646  */
    { enter_user_scope((yyvsp[0].i_value)); }
#line 3284 "parser.c" /* yacc.c:1646  */
    break;

  case 16:
#line 404 "parser.y" /* yacc.c:1646  */
    { leave_user_scope((yyvsp[0].i_value)); }
#line 3290 "parser.c" /* yacc.c:1646  */
    break;

  case 17:
#line 405 "parser.y" /* yacc.c:1646  */
    {
		    if (!parser_version_3_style_used) {
			parser_version_3_style_used = 1;
			define_config_variable(CONFNAME_V3USED);
		    }
		    if ((strpbrk((yyvsp[-2].s_value), "uhc") == (yyvsp[-2].s_value)) && ((yyvsp[-2].s_value)[1] == '_'))
			yyerror("reserved variable %s can't be set\n", (yyvsp[-2].s_value));
		    else {
			if (user_scope_level) {
			    char *s = malloc(strlen((yyvsp[-2].s_value))+sizeof(USERVAR_PREF));
			    strcpy(s, USERVAR_PREF);
			    strcat(s,(yyvsp[-2].s_value));
			    setenv(s, (yyvsp[0].s_value), 1);
			    free(s);
			}
			else IFCLASS(CL_VAR) setenv((yyvsp[-2].s_value), (yyvsp[0].s_value), 1);
		    }
		    free((yyvsp[-2].s_value)); free((yyvsp[0].s_value));
		}
#line 3314 "parser.c" /* yacc.c:1646  */
    break;

  case 19:
#line 425 "parser.y" /* yacc.c:1646  */
    {
		    if ((yyvsp[0].t_value).type == TYPE_REAL)
			c_printf("CONF TESTING: exprtest real %f\n", (yyvsp[0].t_value).value.r);
		    else
			c_printf("CONF TESTING: exprtest int %d\n", (yyvsp[0].t_value).value.i);
		}
#line 3325 "parser.c" /* yacc.c:1646  */
    break;

  case 20:
#line 436 "parser.y" /* yacc.c:1646  */
    { if ((yyvsp[0].s_value)[0]) fprintf(stderr,"CONF aborted with: %s\n", (yyvsp[0].s_value));
			exit(99);
		    }
#line 3333 "parser.c" /* yacc.c:1646  */
    break;

  case 21:
#line 439 "parser.y" /* yacc.c:1646  */
    { c_printf("CONF: %s\n", (yyvsp[0].s_value)); free((yyvsp[0].s_value)); }
#line 3339 "parser.c" /* yacc.c:1646  */
    break;

  case 22:
#line 441 "parser.y" /* yacc.c:1646  */
    {
		    free(config.emusys); config.emusys = (yyvsp[0].s_value);
		    c_printf("CONF: config.emusys = '%s'\n", (yyvsp[0].s_value));
		    }
#line 3348 "parser.c" /* yacc.c:1646  */
    break;

  case 23:
#line 446 "parser.y" /* yacc.c:1646  */
    {
		    free(config.emusys); config.emusys = (yyvsp[-1].s_value);
		    c_printf("CONF: config.emusys = '%s'\n", (yyvsp[-1].s_value));
		    }
#line 3357 "parser.c" /* yacc.c:1646  */
    break;

  case 24:
#line 451 "parser.y" /* yacc.c:1646  */
    {
		    DOSEMU_MAP_PATH = (yyvsp[0].s_value);
		    c_printf("CONF: dosemu.map path = '%s'\n", (yyvsp[0].s_value));
		    }
#line 3366 "parser.c" /* yacc.c:1646  */
    break;

  case 25:
#line 456 "parser.y" /* yacc.c:1646  */
    {
		    free(config.mappingdriver); config.mappingdriver = (yyvsp[0].s_value);
		    c_printf("CONF: mapping driver = '%s'\n", (yyvsp[0].s_value));
		    }
#line 3375 "parser.c" /* yacc.c:1646  */
    break;

  case 26:
#line 461 "parser.y" /* yacc.c:1646  */
    {
                    free(config.emuini); config.emuini = (yyvsp[0].s_value);
                    c_printf("CONF: config.emuini = '%s'\n", (yyvsp[0].s_value));
                    }
#line 3384 "parser.c" /* yacc.c:1646  */
    break;

  case 27:
#line 466 "parser.y" /* yacc.c:1646  */
    {
                    free(config.emuini); config.emuini = (yyvsp[-1].s_value);
                    c_printf("CONF: config.emuini = '%s'\n", (yyvsp[-1].s_value));
		    }
#line 3393 "parser.c" /* yacc.c:1646  */
    break;

  case 28:
#line 471 "parser.y" /* yacc.c:1646  */
    {
		    config.full_file_locks = ((yyvsp[0].i_value)!=0);
		    }
#line 3401 "parser.c" /* yacc.c:1646  */
    break;

  case 29:
#line 475 "parser.y" /* yacc.c:1646  */
    {
		    config.lfn = ((yyvsp[0].i_value)!=0);
		    }
#line 3409 "parser.c" /* yacc.c:1646  */
    break;

  case 30:
#line 479 "parser.y" /* yacc.c:1646  */
    {
			config.fastfloppy = ((yyvsp[0].i_value)!=0);
			c_printf("CONF: fastfloppy = %d\n", config.fastfloppy);
			}
#line 3418 "parser.c" /* yacc.c:1646  */
    break;

  case 31:
#line 484 "parser.y" /* yacc.c:1646  */
    {
			int cpu = cpu_override (((yyvsp[0].i_value)%100)==86?((yyvsp[0].i_value)/100)%10:0);
			if (cpu > 0) {
				c_printf("CONF: CPU set to %d86\n",cpu);
				vm86s.cpu_type = cpu;
			}
			else
				yyerror("error in CPU user override\n");
			}
#line 3432 "parser.c" /* yacc.c:1646  */
    break;

  case 32:
#line 494 "parser.y" /* yacc.c:1646  */
    {
			vm86s.cpu_type = 5;
#ifdef X86_EMULATOR
			config.cpuemu = 1;
			c_printf("CONF: CPUEMU set to %d for %d86\n",
				config.cpuemu, (int)vm86s.cpu_type);
#endif
			}
#line 3445 "parser.c" /* yacc.c:1646  */
    break;

  case 33:
#line 503 "parser.y" /* yacc.c:1646  */
    {
			config.cpu_vm = (yyvsp[0].i_value);
			c_printf("CONF: CPU VM set to %d\n", config.cpu_vm);
			}
#line 3454 "parser.c" /* yacc.c:1646  */
    break;

  case 34:
#line 508 "parser.y" /* yacc.c:1646  */
    {
#ifdef X86_EMULATOR
			config.cpuemu = (yyvsp[0].i_value);
			if (config.cpuemu > 4) {
				config.cpuemu -= 2;
#ifdef HOST_ARCH_X86
				config.cpusim = 1;
#endif
			}
			c_printf("CONF: %s CPUEMU set to %d for %d86\n",
				CONFIG_CPUSIM ? "simulated" : "JIT",
				config.cpuemu, (int)vm86s.cpu_type);
#endif
			}
#line 3473 "parser.c" /* yacc.c:1646  */
    break;

  case 35:
#line 523 "parser.y" /* yacc.c:1646  */
    { 
#if 0 /* no longer used, but left in for dosemu.conf compatibility */
			if (config.realcpu >= CPU_586) {
			  config.cpu_spd = ((double)LLF_US)/(yyvsp[0].r_value);
			  config.cpu_tick_spd = ((double)LLF_TICKS)/(yyvsp[0].r_value);
			  c_printf("CONF: CPU speed = %g\n", ((double)(yyvsp[0].r_value)));
			}
#endif
			}
#line 3487 "parser.c" /* yacc.c:1646  */
    break;

  case 36:
#line 533 "parser.y" /* yacc.c:1646  */
    { 
#if 0 /* no longer used, but left in for dosemu.conf compatibility */
			if (config.realcpu >= CPU_586) {
			  config.cpu_spd = (LLF_US*(yyvsp[0].i_value))/(yyvsp[-1].i_value);
			  config.cpu_tick_spd = (LLF_TICKS*(yyvsp[0].i_value))/(yyvsp[-1].i_value);
			  c_printf("CONF: CPU speed = %d/%d\n", (yyvsp[-1].i_value), (yyvsp[0].i_value));
			}
#endif
			}
#line 3501 "parser.c" /* yacc.c:1646  */
    break;

  case 37:
#line 543 "parser.y" /* yacc.c:1646  */
    {
			config.rdtsc = ((yyvsp[0].i_value)!=0);
			c_printf("CONF: %sabling use of pentium timer\n",
				(config.rdtsc?"En":"Dis"));
		    }
#line 3511 "parser.c" /* yacc.c:1646  */
    break;

  case 38:
#line 549 "parser.y" /* yacc.c:1646  */
    {
		      config.pci_video = ((yyvsp[0].i_value)!=0);
		      IFCLASS(CL_PCI) {}
		      config.pci = (abs((yyvsp[0].i_value))==2); 
		    }
#line 3521 "parser.c" /* yacc.c:1646  */
    break;

  case 39:
#line 555 "parser.y" /* yacc.c:1646  */
    {
                      if ((yyvsp[0].s_value)[0] == 0) {
		        config.hdiskboot = -1;
		      } else if ((yyvsp[0].s_value)[0] >= 'a') {
		        config.hdiskboot = (yyvsp[0].s_value)[0] - 'a';
		      } else {
		        error("wrong value for $_bootdrive\n");
		        config.hdiskboot = 2;
		      }
		      free((yyvsp[0].s_value));
		    }
#line 3537 "parser.c" /* yacc.c:1646  */
    break;

  case 40:
#line 567 "parser.y" /* yacc.c:1646  */
    {
		      config.swap_bootdrv = ((yyvsp[0].i_value)!=0);
		    }
#line 3545 "parser.c" /* yacc.c:1646  */
    break;

  case 41:
#line 571 "parser.y" /* yacc.c:1646  */
    {
		    config.freq = (yyvsp[0].i_value);
		    if ((yyvsp[0].i_value)) {
		        config.update = 1000000 / (yyvsp[0].i_value);
		    } else {
			config.update = 54925;
			config.freq = 18;
		    }
		    c_printf("CONF: timer freq=%d, update=%d\n",config.freq,config.update);
		    }
#line 3560 "parser.c" /* yacc.c:1646  */
    break;

  case 42:
#line 582 "parser.y" /* yacc.c:1646  */
    {
		      char *b;
		      flush_log();
		      b = malloc((yyvsp[0].i_value)+1024);
		      if (!b) {
			error("cannot get logbuffer\n");
			exit(1);
		      }
		      logptr = logbuf = b;
		      logbuf_size = (yyvsp[0].i_value);
		    }
#line 3576 "parser.c" /* yacc.c:1646  */
    break;

  case 43:
#line 594 "parser.y" /* yacc.c:1646  */
    {
		      logfile_limit = (yyvsp[0].i_value);
		    }
#line 3584 "parser.c" /* yacc.c:1646  */
    break;

  case 44:
#line 598 "parser.y" /* yacc.c:1646  */
    {
		    config.dosbanner = ((yyvsp[0].i_value)!=0);
		    c_printf("CONF: dosbanner %s\n", ((yyvsp[0].i_value)) ? "on" : "off");
		    }
#line 3593 "parser.c" /* yacc.c:1646  */
    break;

  case 45:
#line 603 "parser.y" /* yacc.c:1646  */
    { IFCLASS(CL_VPORT){
		    if ((yyvsp[0].i_value) && !config.emuretrace && priv_lvl)
		      yyerror("Can not modify video port access in user config file");
		    config.emuretrace = ((yyvsp[0].i_value)!=0);
		    c_printf("CONF: emu_retrace %s\n", ((yyvsp[0].i_value)) ? "on" : "off");
		    }}
#line 3604 "parser.c" /* yacc.c:1646  */
    break;

  case 47:
#line 611 "parser.y" /* yacc.c:1646  */
    {
		    if ((yyvsp[0].i_value) >= 0) config.ems_size = (yyvsp[0].i_value);
		    if ((yyvsp[0].i_value) > 0) c_printf("CONF: %dk bytes EMS memory\n", (yyvsp[0].i_value));
		    }
#line 3613 "parser.c" /* yacc.c:1646  */
    break;

  case 48:
#line 616 "parser.y" /* yacc.c:1646  */
    {
		    config.umb_a0 = (yyvsp[0].i_value);
		    if ((yyvsp[0].i_value) > 0) c_printf("CONF: umb at 0a0000: %s\n", ((yyvsp[0].i_value)) ? "on" : "off");
		    }
#line 3622 "parser.c" /* yacc.c:1646  */
    break;

  case 49:
#line 621 "parser.y" /* yacc.c:1646  */
    {
		    config.umb_b0 = ((yyvsp[0].i_value)!=0);
		    if ((yyvsp[0].i_value) > 0) c_printf("CONF: umb at 0b0000: %s\n", ((yyvsp[0].i_value)) ? "on" : "off");
		    }
#line 3631 "parser.c" /* yacc.c:1646  */
    break;

  case 50:
#line 626 "parser.y" /* yacc.c:1646  */
    {
		    config.umb_f0 = ((yyvsp[0].i_value)!=0);
		    if ((yyvsp[0].i_value) > 0) c_printf("CONF: umb at 0f0000: %s\n", ((yyvsp[0].i_value)) ? "on" : "off");
		    }
#line 3640 "parser.c" /* yacc.c:1646  */
    break;

  case 51:
#line 631 "parser.y" /* yacc.c:1646  */
    {
		    if ((yyvsp[0].i_value)>=0) config.dpmi = (yyvsp[0].i_value);
		    c_printf("CONF: DPMI-Server %s (%#x)\n", ((yyvsp[0].i_value)) ? "on" : "off", ((yyvsp[0].i_value)));
		    }
#line 3649 "parser.c" /* yacc.c:1646  */
    break;

  case 52:
#line 636 "parser.y" /* yacc.c:1646  */
    {
		    config.dpmi_base = (yyvsp[0].i_value);
		    c_printf("CONF: DPMI base addr = %#x\n", (yyvsp[0].i_value));
		    }
#line 3658 "parser.c" /* yacc.c:1646  */
    break;

  case 53:
#line 641 "parser.y" /* yacc.c:1646  */
    {
		    config.pm_dos_api = ((yyvsp[0].i_value)!=0);
		    c_printf("CONF: PM DOS API Translator %s\n", ((yyvsp[0].i_value)) ? "on" : "off");
		    }
#line 3667 "parser.c" /* yacc.c:1646  */
    break;

  case 54:
#line 646 "parser.y" /* yacc.c:1646  */
    {
		    config.no_null_checks = ((yyvsp[0].i_value)!=0);
		    c_printf("CONF: No DJGPP NULL deref checks: %s\n", ((yyvsp[0].i_value)) ? "on" : "off");
		    }
#line 3676 "parser.c" /* yacc.c:1646  */
    break;

  case 55:
#line 650 "parser.y" /* yacc.c:1646  */
    { if ((yyvsp[0].i_value)>=0) config.mem_size = (yyvsp[0].i_value); }
#line 3682 "parser.c" /* yacc.c:1646  */
    break;

  case 56:
#line 652 "parser.y" /* yacc.c:1646  */
    {
		    if ((yyvsp[0].i_value)>=0) config.ext_mem = (yyvsp[0].i_value);
		    if ((yyvsp[0].i_value) > 0) c_printf("CONF: %dk bytes XMS memory\n", (yyvsp[0].i_value));
		    }
#line 3691 "parser.c" /* yacc.c:1646  */
    break;

  case 57:
#line 656 "parser.y" /* yacc.c:1646  */
    { config.mathco = ((yyvsp[0].i_value)!=0); }
#line 3697 "parser.c" /* yacc.c:1646  */
    break;

  case 58:
#line 658 "parser.y" /* yacc.c:1646  */
    {
		    config.ipxsup = ((yyvsp[0].i_value)!=0);
		    c_printf("CONF: IPX support %s\n", ((yyvsp[0].i_value)) ? "on" : "off");
		    }
#line 3706 "parser.c" /* yacc.c:1646  */
    break;

  case 59:
#line 662 "parser.y" /* yacc.c:1646  */
    { config.ipx_net = (yyvsp[0].i_value); }
#line 3712 "parser.c" /* yacc.c:1646  */
    break;

  case 60:
#line 664 "parser.y" /* yacc.c:1646  */
    {
		      if (config.vnet == VNET_TYPE_TAP || config.vnet == VNET_TYPE_VDE || (yyvsp[0].i_value) == 0 || is_in_allowed_classes(CL_NET)) {
			config.pktdrv = ((yyvsp[0].i_value)!=0);
			c_printf("CONF: Packet Driver %s.\n", 
				((yyvsp[0].i_value)) ? "enabled" : "disabled");
		      }
		    }
#line 3724 "parser.c" /* yacc.c:1646  */
    break;

  case 61:
#line 671 "parser.y" /* yacc.c:1646  */
    { free(config.ethdev); config.ethdev = (yyvsp[0].s_value); }
#line 3730 "parser.c" /* yacc.c:1646  */
    break;

  case 62:
#line 672 "parser.y" /* yacc.c:1646  */
    { free(config.tapdev); config.tapdev = (yyvsp[0].s_value); }
#line 3736 "parser.c" /* yacc.c:1646  */
    break;

  case 63:
#line 673 "parser.y" /* yacc.c:1646  */
    { free(config.vdeswitch); config.vdeswitch = (yyvsp[0].s_value); }
#line 3742 "parser.c" /* yacc.c:1646  */
    break;

  case 64:
#line 674 "parser.y" /* yacc.c:1646  */
    { free(config.slirp_args); config.slirp_args = (yyvsp[0].s_value); }
#line 3748 "parser.c" /* yacc.c:1646  */
    break;

  case 65:
#line 675 "parser.y" /* yacc.c:1646  */
    { config.pktflags = ((yyvsp[0].i_value)!=0); }
#line 3754 "parser.c" /* yacc.c:1646  */
    break;

  case 66:
#line 676 "parser.y" /* yacc.c:1646  */
    { start_vnet((yyvsp[0].s_value)); free((yyvsp[0].s_value)); }
#line 3760 "parser.c" /* yacc.c:1646  */
    break;

  case 67:
#line 678 "parser.y" /* yacc.c:1646  */
    {
		    if ((yyvsp[0].i_value) == SPKR_NATIVE) {
		      if (can_do_root_stuff) {
                        c_printf("CONF: allowing speaker port access!\n");
		      } else {
                        c_printf("CONF: native speaker not allowed: emulate\n");
			(yyvsp[0].i_value) = SPKR_EMULATED;
		      }
		    }
		    else
                      c_printf("CONF: not allowing speaker port access\n");
		    config.speaker = (yyvsp[0].i_value);
		    }
#line 3778 "parser.c" /* yacc.c:1646  */
    break;

  case 68:
#line 692 "parser.y" /* yacc.c:1646  */
    { start_video(); }
#line 3784 "parser.c" /* yacc.c:1646  */
    break;

  case 69:
#line 694 "parser.y" /* yacc.c:1646  */
    { stop_video(); }
#line 3790 "parser.c" /* yacc.c:1646  */
    break;

  case 70:
#line 695 "parser.y" /* yacc.c:1646  */
    { free(config.xterm_title); config.xterm_title = (yyvsp[0].s_value); }
#line 3796 "parser.c" /* yacc.c:1646  */
    break;

  case 71:
#line 698 "parser.y" /* yacc.c:1646  */
    { stop_terminal(); }
#line 3802 "parser.c" /* yacc.c:1646  */
    break;

  case 72:
#line 699 "parser.y" /* yacc.c:1646  */
    {
			parse_debugflags((yyvsp[0].s_value), 1);
			free((yyvsp[0].s_value));
		}
#line 3811 "parser.c" /* yacc.c:1646  */
    break;

  case 73:
#line 704 "parser.y" /* yacc.c:1646  */
    { start_debug(); }
#line 3817 "parser.c" /* yacc.c:1646  */
    break;

  case 75:
#line 707 "parser.y" /* yacc.c:1646  */
    { start_mouse(); }
#line 3823 "parser.c" /* yacc.c:1646  */
    break;

  case 76:
#line 709 "parser.y" /* yacc.c:1646  */
    { stop_mouse(); }
#line 3829 "parser.c" /* yacc.c:1646  */
    break;

  case 77:
#line 712 "parser.y" /* yacc.c:1646  */
    { stop_ttylocks(); }
#line 3835 "parser.c" /* yacc.c:1646  */
    break;

  case 78:
#line 714 "parser.y" /* yacc.c:1646  */
    { start_serial(); }
#line 3841 "parser.c" /* yacc.c:1646  */
    break;

  case 79:
#line 716 "parser.y" /* yacc.c:1646  */
    { stop_serial(); }
#line 3847 "parser.c" /* yacc.c:1646  */
    break;

  case 80:
#line 718 "parser.y" /* yacc.c:1646  */
    { start_keyboard(); }
#line 3853 "parser.c" /* yacc.c:1646  */
    break;

  case 82:
#line 721 "parser.y" /* yacc.c:1646  */
    {keytable_start((yyvsp[0].i_value));}
#line 3859 "parser.c" /* yacc.c:1646  */
    break;

  case 83:
#line 723 "parser.y" /* yacc.c:1646  */
    {keytable_stop();}
#line 3865 "parser.c" /* yacc.c:1646  */
    break;

  case 84:
#line 725 "parser.y" /* yacc.c:1646  */
    {
		    append_pre_strokes((yyvsp[0].s_value));
		    c_printf("CONF: appending pre-strokes '%s'\n", (yyvsp[0].s_value));
		    free((yyvsp[0].s_value));
		    }
#line 3875 "parser.c" /* yacc.c:1646  */
    break;

  case 85:
#line 730 "parser.y" /* yacc.c:1646  */
    {
			dump_keytables_to_file((yyvsp[0].s_value));
			free((yyvsp[0].s_value));
		    }
#line 3884 "parser.c" /* yacc.c:1646  */
    break;

  case 86:
#line 735 "parser.y" /* yacc.c:1646  */
    { IFCLASS(CL_PORT) start_ports(); }
#line 3890 "parser.c" /* yacc.c:1646  */
    break;

  case 89:
#line 739 "parser.y" /* yacc.c:1646  */
    { start_disk(); }
#line 3896 "parser.c" /* yacc.c:1646  */
    break;

  case 90:
#line 741 "parser.y" /* yacc.c:1646  */
    { stop_disk(DISK); }
#line 3902 "parser.c" /* yacc.c:1646  */
    break;

  case 91:
#line 743 "parser.y" /* yacc.c:1646  */
    { start_floppy(); }
#line 3908 "parser.c" /* yacc.c:1646  */
    break;

  case 92:
#line 745 "parser.y" /* yacc.c:1646  */
    { stop_disk(L_FLOPPY); }
#line 3914 "parser.c" /* yacc.c:1646  */
    break;

  case 93:
#line 747 "parser.y" /* yacc.c:1646  */
    {
		    static int which = 0;
		    if (which >= 3) {
			c_printf("CONF: too many cdrom drives defined\n");
			free((yyvsp[-1].s_value));
		    }
		    else {
			Path_cdrom[which] = (yyvsp[-1].s_value);
			c_printf("CONF: cdrom MSCD000%d on %s\n", which+1 ,(yyvsp[-1].s_value));
			which++;
		    }
		    }
#line 3931 "parser.c" /* yacc.c:1646  */
    break;

  case 94:
#line 760 "parser.y" /* yacc.c:1646  */
    {
		    char *s = aspi_add_device((yyvsp[-5].s_value), (yyvsp[-3].s_value), (yyvsp[-1].i_value));
		    if (s) {
			c_printf("CONF: aspi available for %s\n", s);
			free(s);
		    }
		    else c_printf("CONF: aspi device %s not available\n", (yyvsp[-5].s_value));
		    free((yyvsp[-5].s_value));
		    free((yyvsp[-3].s_value));
		    }
#line 3946 "parser.c" /* yacc.c:1646  */
    break;

  case 95:
#line 771 "parser.y" /* yacc.c:1646  */
    { start_printer(); }
#line 3952 "parser.c" /* yacc.c:1646  */
    break;

  case 96:
#line 773 "parser.y" /* yacc.c:1646  */
    { stop_printer(); }
#line 3958 "parser.c" /* yacc.c:1646  */
    break;

  case 99:
#line 776 "parser.y" /* yacc.c:1646  */
    { config.sound = ((yyvsp[0].i_value)!=0); }
#line 3964 "parser.c" /* yacc.c:1646  */
    break;

  case 101:
#line 778 "parser.y" /* yacc.c:1646  */
    { if (! (yyvsp[0].i_value)) { config.joy_device[0] = config.joy_device[1] = NULL; } }
#line 3970 "parser.c" /* yacc.c:1646  */
    break;

  case 103:
#line 781 "parser.y" /* yacc.c:1646  */
    { IFCLASS(CL_IRQ) config.sillyint=0; }
#line 3976 "parser.c" /* yacc.c:1646  */
    break;

  case 105:
#line 784 "parser.y" /* yacc.c:1646  */
    { IFCLASS(CL_IRQ) if ((yyvsp[0].i_value)) {
		        config.sillyint = 1 << (yyvsp[0].i_value);
		        c_printf("CONF: IRQ %d for irqpassing\n", (yyvsp[0].i_value));
		      }
		    }
#line 3986 "parser.c" /* yacc.c:1646  */
    break;

  case 107:
#line 791 "parser.y" /* yacc.c:1646  */
    { IFCLASS(CL_HARDRAM) {}
		    if (priv_lvl)
		      yyerror("Can not change hardware ram access settings in user config file");
		    }
#line 3995 "parser.c" /* yacc.c:1646  */
    break;

  case 109:
#line 797 "parser.y" /* yacc.c:1646  */
    {
			handle_features((yyvsp[-3].i_value), (yyvsp[-1].i_value));
		    }
#line 4003 "parser.c" /* yacc.c:1646  */
    break;

  case 110:
#line 801 "parser.y" /* yacc.c:1646  */
    { config.cli_timeout = (yyvsp[0].i_value); }
#line 4009 "parser.c" /* yacc.c:1646  */
    break;

  case 111:
#line 803 "parser.y" /* yacc.c:1646  */
    {
		    config.timemode = parse_timemode((yyvsp[0].s_value));
		    c_printf("CONF: time mode = '%s'\n", (yyvsp[0].s_value));
		    free((yyvsp[0].s_value));
		    }
#line 4019 "parser.c" /* yacc.c:1646  */
    break;

  case 112:
#line 809 "parser.y" /* yacc.c:1646  */
    { yyerror("unrecognized command '%s'", (yyvsp[0].s_value)); free((yyvsp[0].s_value)); }
#line 4025 "parser.c" /* yacc.c:1646  */
    break;

  case 114:
#line 813 "parser.y" /* yacc.c:1646  */
    { (yyval.i_value) = TOF((yyvsp[0].t_value)); }
#line 4031 "parser.c" /* yacc.c:1646  */
    break;

  case 115:
#line 816 "parser.y" /* yacc.c:1646  */
    { (yyval.r_value) = TOF((yyvsp[0].t_value)); }
#line 4037 "parser.c" /* yacc.c:1646  */
    break;

  case 116:
#line 821 "parser.y" /* yacc.c:1646  */
    {(yyval.t_value).type = TYPE_INTEGER; (yyval.t_value).value.i=(yyvsp[0].i_value);}
#line 4043 "parser.c" /* yacc.c:1646  */
    break;

  case 117:
#line 822 "parser.y" /* yacc.c:1646  */
    {(yyval.t_value).type = TYPE_BOOLEAN; (yyval.t_value).value.i=(yyvsp[0].i_value);}
#line 4049 "parser.c" /* yacc.c:1646  */
    break;

  case 118:
#line 823 "parser.y" /* yacc.c:1646  */
    {(yyval.t_value).type = TYPE_REAL; (yyval.t_value).value.r=(yyvsp[0].r_value);}
#line 4055 "parser.c" /* yacc.c:1646  */
    break;

  case 119:
#line 825 "parser.y" /* yacc.c:1646  */
    {V_VAL((yyval.t_value),(yyvsp[-2].t_value),TOF((yyvsp[-2].t_value)) + TOF((yyvsp[0].t_value))); }
#line 4061 "parser.c" /* yacc.c:1646  */
    break;

  case 120:
#line 827 "parser.y" /* yacc.c:1646  */
    {V_VAL((yyval.t_value),(yyvsp[-2].t_value),TOF((yyvsp[-2].t_value)) - TOF((yyvsp[0].t_value))); }
#line 4067 "parser.c" /* yacc.c:1646  */
    break;

  case 121:
#line 829 "parser.y" /* yacc.c:1646  */
    {V_VAL((yyval.t_value),(yyvsp[-2].t_value),TOF((yyvsp[-2].t_value)) * TOF((yyvsp[0].t_value))); }
#line 4073 "parser.c" /* yacc.c:1646  */
    break;

  case 122:
#line 830 "parser.y" /* yacc.c:1646  */
    {
			if (TOF((yyvsp[0].t_value)))	V_VAL((yyval.t_value),(yyvsp[-2].t_value),TOF((yyvsp[-2].t_value)) / TOF((yyvsp[0].t_value)));
			else V_VAL((yyval.t_value),(yyvsp[-2].t_value),TOF((yyvsp[0].t_value)));
		}
#line 4082 "parser.c" /* yacc.c:1646  */
    break;

  case 123:
#line 835 "parser.y" /* yacc.c:1646  */
    {V_VAL((yyval.t_value),(yyvsp[0].t_value),-TOF((yyvsp[0].t_value))); }
#line 4088 "parser.c" /* yacc.c:1646  */
    break;

  case 124:
#line 837 "parser.y" /* yacc.c:1646  */
    {V_VAL((yyval.t_value),(yyvsp[0].t_value),TOF((yyvsp[0].t_value))); }
#line 4094 "parser.c" /* yacc.c:1646  */
    break;

  case 125:
#line 839 "parser.y" /* yacc.c:1646  */
    { unsigned int shift = (1 << (int)TOF((yyvsp[0].t_value)));
			if (!shift) (yyval.t_value) = (yyvsp[-2].t_value);
			else V_VAL((yyval.t_value), (yyvsp[-2].t_value), TOF((yyvsp[-2].t_value)) / shift);}
#line 4102 "parser.c" /* yacc.c:1646  */
    break;

  case 126:
#line 843 "parser.y" /* yacc.c:1646  */
    { unsigned int shift = (1 << (int)TOF((yyvsp[0].t_value)));
			if (!shift) (yyval.t_value) = (yyvsp[-2].t_value);
			else V_VAL((yyval.t_value), (yyvsp[-2].t_value), TOF((yyvsp[-2].t_value)) * shift);}
#line 4110 "parser.c" /* yacc.c:1646  */
    break;

  case 127:
#line 846 "parser.y" /* yacc.c:1646  */
    {
			char *s;
			(yyval.t_value).type = TYPE_INTEGER;
			(yyval.t_value).value.i = strtoul((yyvsp[0].s_value),&s,0);
			switch (*s) {
				case '.':  case 'e':  case 'E':
				/* we assume a real number */
				(yyval.t_value).type = TYPE_REAL;
				(yyval.t_value).value.r = strtod((yyvsp[0].s_value),0);
			}
			free((yyvsp[0].s_value));
		}
#line 4127 "parser.c" /* yacc.c:1646  */
    break;

  case 128:
#line 858 "parser.y" /* yacc.c:1646  */
    {(yyval.t_value) = (yyvsp[-1].t_value);}
#line 4133 "parser.c" /* yacc.c:1646  */
    break;

  case 130:
#line 863 "parser.y" /* yacc.c:1646  */
    {(yyval.i_value) = (int)TOF((yyvsp[-2].t_value)) & (int)TOF((yyvsp[0].t_value)); }
#line 4139 "parser.c" /* yacc.c:1646  */
    break;

  case 131:
#line 865 "parser.y" /* yacc.c:1646  */
    {(yyval.i_value) = (int)TOF((yyvsp[-2].t_value)) | (int)TOF((yyvsp[0].t_value)); }
#line 4145 "parser.c" /* yacc.c:1646  */
    break;

  case 132:
#line 867 "parser.y" /* yacc.c:1646  */
    {(yyval.i_value) = (int)TOF((yyvsp[-2].t_value)) ^ (int)TOF((yyvsp[0].t_value)); }
#line 4151 "parser.c" /* yacc.c:1646  */
    break;

  case 133:
#line 869 "parser.y" /* yacc.c:1646  */
    {(yyval.i_value) = (int)TOF((yyvsp[0].t_value)) ^ (-1); }
#line 4157 "parser.c" /* yacc.c:1646  */
    break;

  case 134:
#line 870 "parser.y" /* yacc.c:1646  */
    {(yyval.i_value) = -1; }
#line 4163 "parser.c" /* yacc.c:1646  */
    break;

  case 135:
#line 871 "parser.y" /* yacc.c:1646  */
    {(yyval.i_value) = TOF((yyvsp[-1].t_value));}
#line 4169 "parser.c" /* yacc.c:1646  */
    break;

  case 136:
#line 872 "parser.y" /* yacc.c:1646  */
    {
			(yyval.i_value) = strtol((yyvsp[-1].s_value),0,0);
			free((yyvsp[-1].s_value));
		}
#line 4178 "parser.c" /* yacc.c:1646  */
    break;

  case 137:
#line 876 "parser.y" /* yacc.c:1646  */
    {
			(yyval.i_value) = strlen((yyvsp[-1].s_value));
			free((yyvsp[-1].s_value));
		}
#line 4187 "parser.c" /* yacc.c:1646  */
    break;

  case 138:
#line 880 "parser.y" /* yacc.c:1646  */
    {
			(yyval.i_value) = strncmp((yyvsp[-5].s_value),(yyvsp[-3].s_value),(yyvsp[-1].i_value));
			free((yyvsp[-5].s_value)); free((yyvsp[-3].s_value));
		}
#line 4196 "parser.c" /* yacc.c:1646  */
    break;

  case 139:
#line 884 "parser.y" /* yacc.c:1646  */
    {
			char *s = strpbrk((yyvsp[-3].s_value),(yyvsp[-1].s_value));
			if (s) (yyval.i_value) = s - (yyvsp[-3].s_value);
			else (yyval.i_value) = -1;
			free((yyvsp[-3].s_value)); free((yyvsp[-1].s_value));
		}
#line 4207 "parser.c" /* yacc.c:1646  */
    break;

  case 140:
#line 890 "parser.y" /* yacc.c:1646  */
    {
			char *s = strchr((yyvsp[-3].s_value),(yyvsp[-1].s_value)[0]);
			if (s) (yyval.i_value) = s - (yyvsp[-3].s_value);
			else (yyval.i_value) = -1;
			free((yyvsp[-3].s_value)); free((yyvsp[-1].s_value));
		}
#line 4218 "parser.c" /* yacc.c:1646  */
    break;

  case 141:
#line 896 "parser.y" /* yacc.c:1646  */
    {
			char *s = strrchr((yyvsp[-3].s_value),(yyvsp[-1].s_value)[0]);
			if (s) (yyval.i_value) = s - (yyvsp[-3].s_value);
			else (yyval.i_value) = -1;
			free((yyvsp[-3].s_value)); free((yyvsp[-1].s_value));
		}
#line 4229 "parser.c" /* yacc.c:1646  */
    break;

  case 142:
#line 902 "parser.y" /* yacc.c:1646  */
    {
			char *s = strstr((yyvsp[-3].s_value),(yyvsp[-1].s_value));
			if (s) (yyval.i_value) = s - (yyvsp[-3].s_value);
			else (yyval.i_value) = -1;
			free((yyvsp[-3].s_value)); free((yyvsp[-1].s_value));
		}
#line 4240 "parser.c" /* yacc.c:1646  */
    break;

  case 143:
#line 908 "parser.y" /* yacc.c:1646  */
    {
			(yyval.i_value) = strspn((yyvsp[-3].s_value),(yyvsp[-1].s_value));
			free((yyvsp[-3].s_value)); free((yyvsp[-1].s_value));
		}
#line 4249 "parser.c" /* yacc.c:1646  */
    break;

  case 144:
#line 912 "parser.y" /* yacc.c:1646  */
    {
			(yyval.i_value) = strcspn((yyvsp[-3].s_value),(yyvsp[-1].s_value));
			free((yyvsp[-3].s_value)); free((yyvsp[-1].s_value));
		}
#line 4258 "parser.c" /* yacc.c:1646  */
    break;

  case 145:
#line 916 "parser.y" /* yacc.c:1646  */
    {
			if ( (yyvsp[0].s_value)[0] == '\'' && (yyvsp[0].s_value)[1] && (yyvsp[0].s_value)[2] == '\'' && !(yyvsp[0].s_value)[3] )
				(yyval.i_value) = (yyvsp[0].s_value)[1];
			else	yyerror("unrecognized expression '%s'", (yyvsp[0].s_value));
			free((yyvsp[0].s_value));
		}
#line 4269 "parser.c" /* yacc.c:1646  */
    break;

  case 146:
#line 925 "parser.y" /* yacc.c:1646  */
    {(yyval.i_value) = TOF((yyvsp[-2].t_value)) == TOF((yyvsp[0].t_value)); }
#line 4275 "parser.c" /* yacc.c:1646  */
    break;

  case 147:
#line 927 "parser.y" /* yacc.c:1646  */
    {(yyval.i_value) = TOF((yyvsp[-2].t_value)) != TOF((yyvsp[0].t_value)); }
#line 4281 "parser.c" /* yacc.c:1646  */
    break;

  case 148:
#line 929 "parser.y" /* yacc.c:1646  */
    {(yyval.i_value) = TOF((yyvsp[-2].t_value)) >= TOF((yyvsp[0].t_value)); }
#line 4287 "parser.c" /* yacc.c:1646  */
    break;

  case 149:
#line 931 "parser.y" /* yacc.c:1646  */
    {(yyval.i_value) = TOF((yyvsp[-2].t_value)) <= TOF((yyvsp[0].t_value)); }
#line 4293 "parser.c" /* yacc.c:1646  */
    break;

  case 150:
#line 933 "parser.y" /* yacc.c:1646  */
    {(yyval.i_value) = TOF((yyvsp[-2].t_value)) < TOF((yyvsp[0].t_value)); }
#line 4299 "parser.c" /* yacc.c:1646  */
    break;

  case 151:
#line 935 "parser.y" /* yacc.c:1646  */
    {(yyval.i_value) = TOF((yyvsp[-2].t_value)) > TOF((yyvsp[0].t_value)); }
#line 4305 "parser.c" /* yacc.c:1646  */
    break;

  case 152:
#line 937 "parser.y" /* yacc.c:1646  */
    {(yyval.i_value) = TOF((yyvsp[-2].t_value)) && TOF((yyvsp[0].t_value)); }
#line 4311 "parser.c" /* yacc.c:1646  */
    break;

  case 153:
#line 939 "parser.y" /* yacc.c:1646  */
    {(yyval.i_value) = TOF((yyvsp[-2].t_value)) || TOF((yyvsp[0].t_value)); }
#line 4317 "parser.c" /* yacc.c:1646  */
    break;

  case 154:
#line 941 "parser.y" /* yacc.c:1646  */
    {(yyval.i_value) = strcmp((yyvsp[-2].s_value),(yyvsp[0].s_value)) == 0; free((yyvsp[-2].s_value)); free((yyvsp[0].s_value)); }
#line 4323 "parser.c" /* yacc.c:1646  */
    break;

  case 155:
#line 943 "parser.y" /* yacc.c:1646  */
    {(yyval.i_value) = strcmp((yyvsp[-2].s_value),(yyvsp[0].s_value)) != 0; free((yyvsp[-2].s_value)); free((yyvsp[0].s_value)); }
#line 4329 "parser.c" /* yacc.c:1646  */
    break;

  case 156:
#line 944 "parser.y" /* yacc.c:1646  */
    {(yyval.i_value) = (TOF((yyvsp[0].t_value)) ? 0:1); }
#line 4335 "parser.c" /* yacc.c:1646  */
    break;

  case 157:
#line 945 "parser.y" /* yacc.c:1646  */
    {(yyval.i_value) = -2; }
#line 4341 "parser.c" /* yacc.c:1646  */
    break;

  case 158:
#line 946 "parser.y" /* yacc.c:1646  */
    {(yyval.i_value) = 0; }
#line 4347 "parser.c" /* yacc.c:1646  */
    break;

  case 159:
#line 947 "parser.y" /* yacc.c:1646  */
    {(yyval.i_value) = -2; }
#line 4353 "parser.c" /* yacc.c:1646  */
    break;

  case 160:
#line 948 "parser.y" /* yacc.c:1646  */
    {(yyval.i_value) = 0; }
#line 4359 "parser.c" /* yacc.c:1646  */
    break;

  case 161:
#line 949 "parser.y" /* yacc.c:1646  */
    {
			(yyval.i_value) = get_config_variable((yyvsp[-1].s_value)) !=0;
			free((yyvsp[-1].s_value));
		}
#line 4368 "parser.c" /* yacc.c:1646  */
    break;

  case 163:
#line 956 "parser.y" /* yacc.c:1646  */
    {(yyval.r_value) = TOF((yyvsp[-1].t_value));}
#line 4374 "parser.c" /* yacc.c:1646  */
    break;

  case 164:
#line 960 "parser.y" /* yacc.c:1646  */
    {
			char *s = (yyvsp[0].s_value);
			if (get_config_variable(s))
				s = "1";
			else if (strncmp("c_",s,2)
					&& strncmp("u_",s,2)
					&& strncmp("h_",s,2) ) {
				s = checked_getenv(s);
				if (!s) s = "";
			}
			else
				s = "0";
			(yyval.s_value) = strdup(s);
			free((yyvsp[0].s_value));
		}
#line 4394 "parser.c" /* yacc.c:1646  */
    break;

  case 165:
#line 977 "parser.y" /* yacc.c:1646  */
    {
			(yyval.s_value) = (yyvsp[0].s_value);
			if ((yyval.s_value)[0] == '\'' || (yyval.s_value)[0] == '\"') {
				size_t len = strlen((yyvsp[0].s_value)) - 2;
				memmove((yyval.s_value), (yyval.s_value)+1, len);
				(yyval.s_value)[len] = '\0';
			}
		}
#line 4407 "parser.c" /* yacc.c:1646  */
    break;

  case 167:
#line 988 "parser.y" /* yacc.c:1646  */
    {(yyval.s_value) = (yyvsp[-1].s_value); }
#line 4413 "parser.c" /* yacc.c:1646  */
    break;

  case 168:
#line 989 "parser.y" /* yacc.c:1646  */
    {
			int i = (yyvsp[-3].i_value);
			int len = (yyvsp[-1].i_value);
			int slen = strlen((yyvsp[-5].s_value));
			if ((i >=0) && (i < slen) && (len > 0)) {
				if ((i+len) > slen) len = slen - i;
				(yyvsp[-5].s_value)[i+len] = 0;
				(yyval.s_value) = strdup((yyvsp[-5].s_value) + i);
			}
			else
				(yyval.s_value) = strdup("");
			free((yyvsp[-5].s_value));
		}
#line 4431 "parser.c" /* yacc.c:1646  */
    break;

  case 169:
#line 1002 "parser.y" /* yacc.c:1646  */
    {
			int i = (yyvsp[-3].i_value);
			int len = (yyvsp[-1].i_value);
			int slen = strlen((yyvsp[-5].s_value));
			char *s = strdup((yyvsp[-5].s_value));
			if ((i >=0) && (i < slen) && (len > 0)) {
				if ((i+len) > slen) s[i] = 0;
				else memmove(s+i, s+i+len, slen-i-len+1);
			}
			free((yyvsp[-5].s_value));
			(yyval.s_value) = s;
		}
#line 4448 "parser.c" /* yacc.c:1646  */
    break;

  case 170:
#line 1014 "parser.y" /* yacc.c:1646  */
    {
			(yyval.s_value) = run_shell((yyvsp[-1].s_value));
			free((yyvsp[-1].s_value));
		}
#line 4457 "parser.c" /* yacc.c:1646  */
    break;

  case 171:
#line 1018 "parser.y" /* yacc.c:1646  */
    {(yyval.s_value) = (yyvsp[0].s_value);}
#line 4463 "parser.c" /* yacc.c:1646  */
    break;

  case 173:
#line 1022 "parser.y" /* yacc.c:1646  */
    {
			char *s = malloc(strlen((yyvsp[-2].s_value))+strlen((yyvsp[0].s_value))+1);
			strcpy(s, (yyvsp[-2].s_value));
			strcat(s, (yyvsp[0].s_value));
			(yyval.s_value) = s;
			free((yyvsp[-2].s_value)); free((yyvsp[0].s_value));
		}
#line 4475 "parser.c" /* yacc.c:1646  */
    break;

  case 175:
#line 1032 "parser.y" /* yacc.c:1646  */
    {
			int ret;
			if ((yyvsp[-1].t_value).type == TYPE_REAL) {
				ret = asprintf(&(yyval.s_value), "%g", (yyvsp[-1].t_value).value.r);
				assert(ret != -1);
			} else {
				ret = asprintf(&(yyval.s_value), "%d", (yyvsp[-1].t_value).value.i);
				assert(ret != -1);
			}
		}
#line 4490 "parser.c" /* yacc.c:1646  */
    break;

  case 176:
#line 1045 "parser.y" /* yacc.c:1646  */
    {
			check_user_var((yyvsp[0].s_value));
			free((yyvsp[0].s_value));
		}
#line 4499 "parser.c" /* yacc.c:1646  */
    break;

  case 177:
#line 1049 "parser.y" /* yacc.c:1646  */
    {
			check_user_var((yyvsp[0].s_value));
			free((yyvsp[0].s_value));
		}
#line 4508 "parser.c" /* yacc.c:1646  */
    break;

  case 180:
#line 1060 "parser.y" /* yacc.c:1646  */
    { free(config.X_display); config.X_display = (yyvsp[0].s_value); }
#line 4514 "parser.c" /* yacc.c:1646  */
    break;

  case 181:
#line 1061 "parser.y" /* yacc.c:1646  */
    { free(config.X_title); config.X_title = (yyvsp[0].s_value); }
#line 4520 "parser.c" /* yacc.c:1646  */
    break;

  case 182:
#line 1062 "parser.y" /* yacc.c:1646  */
    { config.X_title_show_appname = ((yyvsp[0].i_value)!=0); }
#line 4526 "parser.c" /* yacc.c:1646  */
    break;

  case 183:
#line 1063 "parser.y" /* yacc.c:1646  */
    { free(config.X_icon_name); config.X_icon_name = (yyvsp[0].s_value); }
#line 4532 "parser.c" /* yacc.c:1646  */
    break;

  case 184:
#line 1064 "parser.y" /* yacc.c:1646  */
    { config.X_keycode = (yyvsp[0].i_value); }
#line 4538 "parser.c" /* yacc.c:1646  */
    break;

  case 185:
#line 1065 "parser.y" /* yacc.c:1646  */
    { config.X_blinkrate = (yyvsp[0].i_value); }
#line 4544 "parser.c" /* yacc.c:1646  */
    break;

  case 186:
#line 1066 "parser.y" /* yacc.c:1646  */
    { config.X_sharecmap = 1; }
#line 4550 "parser.c" /* yacc.c:1646  */
    break;

  case 187:
#line 1067 "parser.y" /* yacc.c:1646  */
    { config.X_mitshm = 1; }
#line 4556 "parser.c" /* yacc.c:1646  */
    break;

  case 188:
#line 1068 "parser.y" /* yacc.c:1646  */
    { config.X_mitshm = ((yyvsp[0].i_value)!=0); }
#line 4562 "parser.c" /* yacc.c:1646  */
    break;

  case 189:
#line 1069 "parser.y" /* yacc.c:1646  */
    { free(config.X_font); config.X_font = (yyvsp[0].s_value); }
#line 4568 "parser.c" /* yacc.c:1646  */
    break;

  case 190:
#line 1070 "parser.y" /* yacc.c:1646  */
    { config.X_fixed_aspect = ((yyvsp[0].i_value)!=0); }
#line 4574 "parser.c" /* yacc.c:1646  */
    break;

  case 191:
#line 1071 "parser.y" /* yacc.c:1646  */
    { config.X_aspect_43 = 1; }
#line 4580 "parser.c" /* yacc.c:1646  */
    break;

  case 192:
#line 1072 "parser.y" /* yacc.c:1646  */
    { config.X_lin_filt = 1; }
#line 4586 "parser.c" /* yacc.c:1646  */
    break;

  case 193:
#line 1073 "parser.y" /* yacc.c:1646  */
    { config.X_bilin_filt = 1; }
#line 4592 "parser.c" /* yacc.c:1646  */
    break;

  case 194:
#line 1074 "parser.y" /* yacc.c:1646  */
    { config.X_mode13fact = (yyvsp[0].i_value); }
#line 4598 "parser.c" /* yacc.c:1646  */
    break;

  case 195:
#line 1076 "parser.y" /* yacc.c:1646  */
    {
                     config.X_winsize_x = (yyvsp[-1].i_value);
                     config.X_winsize_y = (yyvsp[0].i_value);
                   }
#line 4607 "parser.c" /* yacc.c:1646  */
    break;

  case 196:
#line 1081 "parser.y" /* yacc.c:1646  */
    {
                     config.X_winsize_x = (yyvsp[-2].i_value);
                     config.X_winsize_y = (yyvsp[0].i_value);
                   }
#line 4616 "parser.c" /* yacc.c:1646  */
    break;

  case 197:
#line 1085 "parser.y" /* yacc.c:1646  */
    { config.X_gamma = (yyvsp[0].i_value); }
#line 4622 "parser.c" /* yacc.c:1646  */
    break;

  case 198:
#line 1086 "parser.y" /* yacc.c:1646  */
    { config.X_fullscreen = (yyvsp[0].i_value); }
#line 4628 "parser.c" /* yacc.c:1646  */
    break;

  case 199:
#line 1087 "parser.y" /* yacc.c:1646  */
    { config.vgaemu_memsize = (yyvsp[0].i_value); }
#line 4634 "parser.c" /* yacc.c:1646  */
    break;

  case 200:
#line 1088 "parser.y" /* yacc.c:1646  */
    { set_vesamodes((yyvsp[-1].i_value),(yyvsp[0].i_value),0);}
#line 4640 "parser.c" /* yacc.c:1646  */
    break;

  case 201:
#line 1089 "parser.y" /* yacc.c:1646  */
    { set_vesamodes((yyvsp[-2].i_value),(yyvsp[-1].i_value),(yyvsp[0].i_value));}
#line 4646 "parser.c" /* yacc.c:1646  */
    break;

  case 202:
#line 1090 "parser.y" /* yacc.c:1646  */
    { set_vesamodes((yyvsp[-2].i_value),(yyvsp[0].i_value),0);}
#line 4652 "parser.c" /* yacc.c:1646  */
    break;

  case 203:
#line 1092 "parser.y" /* yacc.c:1646  */
    { set_vesamodes((yyvsp[-4].i_value),(yyvsp[-2].i_value),(yyvsp[0].i_value));}
#line 4658 "parser.c" /* yacc.c:1646  */
    break;

  case 204:
#line 1093 "parser.y" /* yacc.c:1646  */
    { config.X_lfb = ((yyvsp[0].i_value)!=0); }
#line 4664 "parser.c" /* yacc.c:1646  */
    break;

  case 205:
#line 1094 "parser.y" /* yacc.c:1646  */
    { config.X_pm_interface = ((yyvsp[0].i_value)!=0); }
#line 4670 "parser.c" /* yacc.c:1646  */
    break;

  case 206:
#line 1095 "parser.y" /* yacc.c:1646  */
    { free(config.X_mgrab_key); config.X_mgrab_key = (yyvsp[0].s_value); }
#line 4676 "parser.c" /* yacc.c:1646  */
    break;

  case 207:
#line 1096 "parser.y" /* yacc.c:1646  */
    { config.X_background_pause = ((yyvsp[0].i_value)!=0); }
#line 4682 "parser.c" /* yacc.c:1646  */
    break;

  case 210:
#line 1103 "parser.y" /* yacc.c:1646  */
    { config.sdl_swrend = ((yyvsp[0].i_value)!=0); }
#line 4688 "parser.c" /* yacc.c:1646  */
    break;

  case 213:
#line 1110 "parser.y" /* yacc.c:1646  */
    { if (!priv_lvl) dexe_forbid_disk = 0; }
#line 4694 "parser.c" /* yacc.c:1646  */
    break;

  case 214:
#line 1111 "parser.y" /* yacc.c:1646  */
    {
			char *env = getenv("DISPLAY");
			if (env && env[0] && dexe_running) config.X = 1;
		}
#line 4703 "parser.c" /* yacc.c:1646  */
    break;

  case 215:
#line 1115 "parser.y" /* yacc.c:1646  */
    {
			char *env = getenv("DISPLAY");
			if (env && env[0] && dexe_running) config.X = 1;
			else if (dexe_running) {
			  yyerror("this DEXE requires X, giving up");
			  exit(99);
			}
		}
#line 4716 "parser.c" /* yacc.c:1646  */
    break;

  case 218:
#line 1130 "parser.y" /* yacc.c:1646  */
    { config.sb_base = (yyvsp[0].i_value); }
#line 4722 "parser.c" /* yacc.c:1646  */
    break;

  case 219:
#line 1131 "parser.y" /* yacc.c:1646  */
    { config.sb_dma = (yyvsp[0].i_value); }
#line 4728 "parser.c" /* yacc.c:1646  */
    break;

  case 220:
#line 1132 "parser.y" /* yacc.c:1646  */
    { config.sb_hdma = (yyvsp[0].i_value); }
#line 4734 "parser.c" /* yacc.c:1646  */
    break;

  case 221:
#line 1133 "parser.y" /* yacc.c:1646  */
    { config.sb_irq = (yyvsp[0].i_value); }
#line 4740 "parser.c" /* yacc.c:1646  */
    break;

  case 222:
#line 1134 "parser.y" /* yacc.c:1646  */
    { config.mpu401_base = (yyvsp[0].i_value); }
#line 4746 "parser.c" /* yacc.c:1646  */
    break;

  case 223:
#line 1135 "parser.y" /* yacc.c:1646  */
    { free(config.midi_synth); config.midi_synth = (yyvsp[0].s_value); }
#line 4752 "parser.c" /* yacc.c:1646  */
    break;

  case 224:
#line 1136 "parser.y" /* yacc.c:1646  */
    { config.mpu401_irq = (yyvsp[0].i_value); }
#line 4758 "parser.c" /* yacc.c:1646  */
    break;

  case 225:
#line 1137 "parser.y" /* yacc.c:1646  */
    { config.mpu401_irq_mt32 = (yyvsp[0].i_value); }
#line 4764 "parser.c" /* yacc.c:1646  */
    break;

  case 226:
#line 1138 "parser.y" /* yacc.c:1646  */
    { free(config.sound_driver); config.sound_driver = (yyvsp[0].s_value); }
#line 4770 "parser.c" /* yacc.c:1646  */
    break;

  case 227:
#line 1139 "parser.y" /* yacc.c:1646  */
    { free(config.midi_driver); config.midi_driver = (yyvsp[0].s_value); }
#line 4776 "parser.c" /* yacc.c:1646  */
    break;

  case 228:
#line 1141 "parser.y" /* yacc.c:1646  */
    {
				free(config.munt_roms_dir);
				config.munt_roms_dir = concat_dir(LOCALDIR, (yyvsp[0].s_value));
				free((yyvsp[0].s_value));
			}
#line 4786 "parser.c" /* yacc.c:1646  */
    break;

  case 229:
#line 1146 "parser.y" /* yacc.c:1646  */
    { free(config.snd_plugin_params); config.snd_plugin_params = (yyvsp[0].s_value); }
#line 4792 "parser.c" /* yacc.c:1646  */
    break;

  case 230:
#line 1147 "parser.y" /* yacc.c:1646  */
    { config.pcm_hpf = ((yyvsp[0].i_value)!=0); }
#line 4798 "parser.c" /* yacc.c:1646  */
    break;

  case 231:
#line 1148 "parser.y" /* yacc.c:1646  */
    { free(config.midi_file); config.midi_file = (yyvsp[0].s_value); }
#line 4804 "parser.c" /* yacc.c:1646  */
    break;

  case 232:
#line 1149 "parser.y" /* yacc.c:1646  */
    { free(config.wav_file); config.wav_file = (yyvsp[0].s_value); }
#line 4810 "parser.c" /* yacc.c:1646  */
    break;

  case 235:
#line 1157 "parser.y" /* yacc.c:1646  */
    { set_joy_device((yyvsp[0].s_value)); }
#line 4816 "parser.c" /* yacc.c:1646  */
    break;

  case 236:
#line 1158 "parser.y" /* yacc.c:1646  */
    { config.joy_dos_min = (yyvsp[0].i_value); }
#line 4822 "parser.c" /* yacc.c:1646  */
    break;

  case 237:
#line 1159 "parser.y" /* yacc.c:1646  */
    { config.joy_dos_max = (yyvsp[0].i_value); }
#line 4828 "parser.c" /* yacc.c:1646  */
    break;

  case 238:
#line 1160 "parser.y" /* yacc.c:1646  */
    { config.joy_granularity = (yyvsp[0].i_value); }
#line 4834 "parser.c" /* yacc.c:1646  */
    break;

  case 239:
#line 1161 "parser.y" /* yacc.c:1646  */
    { config.joy_latency = (yyvsp[0].i_value); }
#line 4840 "parser.c" /* yacc.c:1646  */
    break;

  case 242:
#line 1169 "parser.y" /* yacc.c:1646  */
    { config.cardtype = CARD_VGA; }
#line 4846 "parser.c" /* yacc.c:1646  */
    break;

  case 243:
#line 1170 "parser.y" /* yacc.c:1646  */
    { config.cardtype = CARD_MDA; }
#line 4852 "parser.c" /* yacc.c:1646  */
    break;

  case 244:
#line 1171 "parser.y" /* yacc.c:1646  */
    { config.cardtype = CARD_CGA; }
#line 4858 "parser.c" /* yacc.c:1646  */
    break;

  case 245:
#line 1172 "parser.y" /* yacc.c:1646  */
    { config.cardtype = CARD_EGA; }
#line 4864 "parser.c" /* yacc.c:1646  */
    break;

  case 246:
#line 1173 "parser.y" /* yacc.c:1646  */
    { config.cardtype = CARD_NONE; }
#line 4870 "parser.c" /* yacc.c:1646  */
    break;

  case 247:
#line 1175 "parser.y" /* yacc.c:1646  */
    {
		    config.chipset = (yyvsp[0].i_value);
                    c_printf("CHIPSET: %d\n", (yyvsp[0].i_value));
		    }
#line 4879 "parser.c" /* yacc.c:1646  */
    break;

  case 248:
#line 1179 "parser.y" /* yacc.c:1646  */
    { config.gfxmemsize = (yyvsp[0].i_value); }
#line 4885 "parser.c" /* yacc.c:1646  */
    break;

  case 249:
#line 1181 "parser.y" /* yacc.c:1646  */
    { config.vga = 1;
		    }
#line 4892 "parser.c" /* yacc.c:1646  */
    break;

  case 250:
#line 1184 "parser.y" /* yacc.c:1646  */
    { config.vga = -1;
		    }
#line 4899 "parser.c" /* yacc.c:1646  */
    break;

  case 251:
#line 1187 "parser.y" /* yacc.c:1646  */
    { config.console_video = 1;
		    }
#line 4906 "parser.c" /* yacc.c:1646  */
    break;

  case 252:
#line 1190 "parser.y" /* yacc.c:1646  */
    { config.console_video = -1;
		    }
#line 4913 "parser.c" /* yacc.c:1646  */
    break;

  case 253:
#line 1192 "parser.y" /* yacc.c:1646  */
    { config.fullrestore = 1; }
#line 4919 "parser.c" /* yacc.c:1646  */
    break;

  case 254:
#line 1193 "parser.y" /* yacc.c:1646  */
    { config.fullrestore = 0; }
#line 4925 "parser.c" /* yacc.c:1646  */
    break;

  case 255:
#line 1194 "parser.y" /* yacc.c:1646  */
    { free(config.vbios_file); config.vbios_file = (yyvsp[0].s_value);
					  config.mapped_bios = 1;
					  config.vbios_copy = 0; }
#line 4933 "parser.c" /* yacc.c:1646  */
    break;

  case 256:
#line 1197 "parser.y" /* yacc.c:1646  */
    { free(config.vgaemubios_file); config.vgaemubios_file = (yyvsp[0].s_value); }
#line 4939 "parser.c" /* yacc.c:1646  */
    break;

  case 257:
#line 1198 "parser.y" /* yacc.c:1646  */
    { free(config.vbios_file);
					  config.vbios_file = NULL;
					  config.mapped_bios = 1;
					  config.vbios_copy = 1; }
#line 4948 "parser.c" /* yacc.c:1646  */
    break;

  case 258:
#line 1202 "parser.y" /* yacc.c:1646  */
    { free(config.vbios_file);
					  config.vbios_file = NULL;
					  config.mapped_bios = 1;
					  config.vbios_copy = 1; }
#line 4957 "parser.c" /* yacc.c:1646  */
    break;

  case 259:
#line 1207 "parser.y" /* yacc.c:1646  */
    {
		   config.vbios_seg = (yyvsp[0].i_value);
		   c_printf("CONF: VGA-BIOS-Segment %x\n", (yyvsp[0].i_value));
		   if (((yyvsp[0].i_value) != 0xe000) && ((yyvsp[0].i_value) != 0xc000))
		      {
		      config.vbios_seg = detect_vbios_seg();
		      if (config.vbios_seg == -1) config.vbios_seg = 0xc000;
		      c_printf("CONF: VGA-BIOS-Segment set to 0x%x\n", config.vbios_seg);
		      }
		   }
#line 4972 "parser.c" /* yacc.c:1646  */
    break;

  case 260:
#line 1218 "parser.y" /* yacc.c:1646  */
    {
		   config.vbios_size = (yyvsp[0].i_value);
		   c_printf("CONF: VGA-BIOS-Size %x\n", (yyvsp[0].i_value));
		   if (((yyvsp[0].i_value) != 0x8000) && ((yyvsp[0].i_value) != 0x10000))
		      {
		      config.vbios_size = detect_vbios_size();
		      if (config.vbios_size == -1) config.vbios_size = 0x10000;
		      c_printf("CONF: VGA-BIOS-Size set to 0x%x\n", config.vbios_size);
		      }
		   }
#line 4987 "parser.c" /* yacc.c:1646  */
    break;

  case 261:
#line 1228 "parser.y" /* yacc.c:1646  */
    { config.vbios_post = 1; }
#line 4993 "parser.c" /* yacc.c:1646  */
    break;

  case 262:
#line 1229 "parser.y" /* yacc.c:1646  */
    { config.dualmon = 1; }
#line 4999 "parser.c" /* yacc.c:1646  */
    break;

  case 263:
#line 1230 "parser.y" /* yacc.c:1646  */
    { config.force_vt_switch = 1; }
#line 5005 "parser.c" /* yacc.c:1646  */
    break;

  case 264:
#line 1231 "parser.y" /* yacc.c:1646  */
    { config.pci_video = 1; }
#line 5011 "parser.c" /* yacc.c:1646  */
    break;

  case 265:
#line 1233 "parser.y" /* yacc.c:1646  */
    { yyerror("unrecognized video option '%s'", (yyvsp[0].s_value));
		      free((yyvsp[0].s_value)); }
#line 5018 "parser.c" /* yacc.c:1646  */
    break;

  case 269:
#line 1243 "parser.y" /* yacc.c:1646  */
    { config.term_esc_char = (yyvsp[0].i_value); }
#line 5024 "parser.c" /* yacc.c:1646  */
    break;

  case 270:
#line 1244 "parser.y" /* yacc.c:1646  */
    { config.term_color = ((yyvsp[0].i_value)!=0); }
#line 5030 "parser.c" /* yacc.c:1646  */
    break;

  case 271:
#line 1246 "parser.y" /* yacc.c:1646  */
    { yyerror("unrecognized terminal option '%s'", (yyvsp[0].s_value));
		      free((yyvsp[0].s_value)); }
#line 5037 "parser.c" /* yacc.c:1646  */
    break;

  case 275:
#line 1260 "parser.y" /* yacc.c:1646  */
    { set_debug_level('v', ((yyvsp[0].i_value)!=0)); }
#line 5043 "parser.c" /* yacc.c:1646  */
    break;

  case 276:
#line 1261 "parser.y" /* yacc.c:1646  */
    { set_debug_level('a', 0); }
#line 5049 "parser.c" /* yacc.c:1646  */
    break;

  case 277:
#line 1262 "parser.y" /* yacc.c:1646  */
    { set_debug_level('s', ((yyvsp[0].i_value)!=0)); }
#line 5055 "parser.c" /* yacc.c:1646  */
    break;

  case 278:
#line 1263 "parser.y" /* yacc.c:1646  */
    { set_debug_level('c', ((yyvsp[0].i_value)!=0)); }
#line 5061 "parser.c" /* yacc.c:1646  */
    break;

  case 279:
#line 1264 "parser.y" /* yacc.c:1646  */
    { set_debug_level('d', ((yyvsp[0].i_value)!=0)); }
#line 5067 "parser.c" /* yacc.c:1646  */
    break;

  case 280:
#line 1265 "parser.y" /* yacc.c:1646  */
    { set_debug_level('R', ((yyvsp[0].i_value)!=0)); }
#line 5073 "parser.c" /* yacc.c:1646  */
    break;

  case 281:
#line 1266 "parser.y" /* yacc.c:1646  */
    { set_debug_level('W', ((yyvsp[0].i_value)!=0)); }
#line 5079 "parser.c" /* yacc.c:1646  */
    break;

  case 282:
#line 1267 "parser.y" /* yacc.c:1646  */
    { set_debug_level('k', ((yyvsp[0].i_value)!=0)); }
#line 5085 "parser.c" /* yacc.c:1646  */
    break;

  case 283:
#line 1268 "parser.y" /* yacc.c:1646  */
    { set_debug_level('k', ((yyvsp[0].i_value)!=0)); }
#line 5091 "parser.c" /* yacc.c:1646  */
    break;

  case 284:
#line 1269 "parser.y" /* yacc.c:1646  */
    { set_debug_level('p', ((yyvsp[0].i_value)!=0)); }
#line 5097 "parser.c" /* yacc.c:1646  */
    break;

  case 285:
#line 1270 "parser.y" /* yacc.c:1646  */
    { set_debug_level('i', ((yyvsp[0].i_value)!=0)); }
#line 5103 "parser.c" /* yacc.c:1646  */
    break;

  case 286:
#line 1271 "parser.y" /* yacc.c:1646  */
    { set_debug_level('i', ((yyvsp[0].i_value)!=0)); }
#line 5109 "parser.c" /* yacc.c:1646  */
    break;

  case 287:
#line 1272 "parser.y" /* yacc.c:1646  */
    { set_debug_level('w', ((yyvsp[0].i_value)!=0)); }
#line 5115 "parser.c" /* yacc.c:1646  */
    break;

  case 288:
#line 1273 "parser.y" /* yacc.c:1646  */
    { set_debug_level('g', ((yyvsp[0].i_value)!=0)); }
#line 5121 "parser.c" /* yacc.c:1646  */
    break;

  case 289:
#line 1274 "parser.y" /* yacc.c:1646  */
    { set_debug_level('X', ((yyvsp[0].i_value)!=0)); }
#line 5127 "parser.c" /* yacc.c:1646  */
    break;

  case 290:
#line 1275 "parser.y" /* yacc.c:1646  */
    { set_debug_level('M', ((yyvsp[0].i_value)!=0)); }
#line 5133 "parser.c" /* yacc.c:1646  */
    break;

  case 291:
#line 1276 "parser.y" /* yacc.c:1646  */
    { set_debug_level('m', ((yyvsp[0].i_value)!=0)); }
#line 5139 "parser.c" /* yacc.c:1646  */
    break;

  case 292:
#line 1277 "parser.y" /* yacc.c:1646  */
    { set_debug_level('h', ((yyvsp[0].i_value)!=0)); }
#line 5145 "parser.c" /* yacc.c:1646  */
    break;

  case 293:
#line 1278 "parser.y" /* yacc.c:1646  */
    { set_debug_level('I', ((yyvsp[0].i_value)!=0)); }
#line 5151 "parser.c" /* yacc.c:1646  */
    break;

  case 294:
#line 1279 "parser.y" /* yacc.c:1646  */
    { set_debug_level('E', ((yyvsp[0].i_value)!=0)); }
#line 5157 "parser.c" /* yacc.c:1646  */
    break;

  case 295:
#line 1280 "parser.y" /* yacc.c:1646  */
    { set_debug_level('n', ((yyvsp[0].i_value)!=0)); }
#line 5163 "parser.c" /* yacc.c:1646  */
    break;

  case 296:
#line 1281 "parser.y" /* yacc.c:1646  */
    { set_debug_level('X', ((yyvsp[0].i_value)!=0)); }
#line 5169 "parser.c" /* yacc.c:1646  */
    break;

  case 297:
#line 1282 "parser.y" /* yacc.c:1646  */
    { set_debug_level('v', ((yyvsp[0].i_value)!=0)); }
#line 5175 "parser.c" /* yacc.c:1646  */
    break;

  case 298:
#line 1283 "parser.y" /* yacc.c:1646  */
    { set_debug_level('S', ((yyvsp[0].i_value)!=0)); }
#line 5181 "parser.c" /* yacc.c:1646  */
    break;

  case 299:
#line 1284 "parser.y" /* yacc.c:1646  */
    { set_debug_level('j', ((yyvsp[0].i_value)!=0)); }
#line 5187 "parser.c" /* yacc.c:1646  */
    break;

  case 300:
#line 1286 "parser.y" /* yacc.c:1646  */
    { yyerror("unrecognized debug flag '%s'", (yyvsp[0].s_value)); free((yyvsp[0].s_value)); }
#line 5193 "parser.c" /* yacc.c:1646  */
    break;

  case 304:
#line 1295 "parser.y" /* yacc.c:1646  */
    { free(mptr->dev); mptr->dev = (yyvsp[0].s_value); }
#line 5199 "parser.c" /* yacc.c:1646  */
    break;

  case 305:
#line 1296 "parser.y" /* yacc.c:1646  */
    { mptr->intdrv = TRUE; }
#line 5205 "parser.c" /* yacc.c:1646  */
    break;

  case 306:
#line 1297 "parser.y" /* yacc.c:1646  */
    { mptr->emulate3buttons = TRUE; }
#line 5211 "parser.c" /* yacc.c:1646  */
    break;

  case 307:
#line 1298 "parser.y" /* yacc.c:1646  */
    { mptr->baudRate = (yyvsp[0].i_value); }
#line 5217 "parser.c" /* yacc.c:1646  */
    break;

  case 308:
#line 1300 "parser.y" /* yacc.c:1646  */
    { if (mptr->type == MOUSE_MOUSESYSTEMS)
			 mptr->cleardtr = TRUE;
		      else
			 yyerror("option CLEARDTR is only valid for MicroSystems-mice");
		    }
#line 5227 "parser.c" /* yacc.c:1646  */
    break;

  case 309:
#line 1306 "parser.y" /* yacc.c:1646  */
    {
		  mptr->type = MOUSE_MICROSOFT;
		  mptr->flags = CS7 | CREAD | CLOCAL | HUPCL;
		  }
#line 5236 "parser.c" /* yacc.c:1646  */
    break;

  case 310:
#line 1311 "parser.y" /* yacc.c:1646  */
    {
		  mptr->type = MOUSE_MS3BUTTON;
		  mptr->flags = CS7 | CREAD | CLOCAL | HUPCL;
		  }
#line 5245 "parser.c" /* yacc.c:1646  */
    break;

  case 311:
#line 1316 "parser.y" /* yacc.c:1646  */
    {
		  mptr->type = MOUSE_MOUSESYSTEMS;
		  mptr->flags = CS8 | CREAD | CLOCAL | HUPCL;
/* is cstopb needed?  mptr->flags = CS8 | CSTOPB | CREAD | CLOCAL | HUPCL; */
		  }
#line 5255 "parser.c" /* yacc.c:1646  */
    break;

  case 312:
#line 1322 "parser.y" /* yacc.c:1646  */
    {
		  mptr->type = MOUSE_MMSERIES;
		  mptr->flags = CS8 | PARENB | PARODD | CREAD | CLOCAL | HUPCL;
		  }
#line 5264 "parser.c" /* yacc.c:1646  */
    break;

  case 313:
#line 1327 "parser.y" /* yacc.c:1646  */
    {
		  mptr->type = MOUSE_LOGITECH;
		  mptr->flags = CS8 | CSTOPB | CREAD | CLOCAL | HUPCL;
		  }
#line 5273 "parser.c" /* yacc.c:1646  */
    break;

  case 314:
#line 1332 "parser.y" /* yacc.c:1646  */
    {
		  mptr->type = MOUSE_PS2;
		  mptr->flags = 0;
		  }
#line 5282 "parser.c" /* yacc.c:1646  */
    break;

  case 315:
#line 1337 "parser.y" /* yacc.c:1646  */
    {
		  mptr->type = MOUSE_IMPS2;
		  mptr->flags = 0;
		  }
#line 5291 "parser.c" /* yacc.c:1646  */
    break;

  case 316:
#line 1342 "parser.y" /* yacc.c:1646  */
    {
		  mptr->type = MOUSE_MOUSEMAN;
		  mptr->flags = CS7 | CREAD | CLOCAL | HUPCL;
		  }
#line 5300 "parser.c" /* yacc.c:1646  */
    break;

  case 317:
#line 1347 "parser.y" /* yacc.c:1646  */
    {
		  mptr->type = MOUSE_HITACHI;
		  mptr->flags = CS8 | CREAD | CLOCAL | HUPCL;
		  }
#line 5309 "parser.c" /* yacc.c:1646  */
    break;

  case 318:
#line 1352 "parser.y" /* yacc.c:1646  */
    {
		  mptr->type = MOUSE_BUSMOUSE;
		  mptr->flags = 0;
		  }
#line 5318 "parser.c" /* yacc.c:1646  */
    break;

  case 319:
#line 1357 "parser.y" /* yacc.c:1646  */
    { yyerror("unrecognized mouse flag '%s'", (yyvsp[0].s_value)); free((yyvsp[0].s_value)); }
#line 5324 "parser.c" /* yacc.c:1646  */
    break;

  case 323:
#line 1366 "parser.y" /* yacc.c:1646  */
    { keyb_layout((yyvsp[0].i_value)); }
#line 5330 "parser.c" /* yacc.c:1646  */
    break;

  case 324:
#line 1367 "parser.y" /* yacc.c:1646  */
    {keyb_layout((yyvsp[0].i_value));}
#line 5336 "parser.c" /* yacc.c:1646  */
    break;

  case 326:
#line 1368 "parser.y" /* yacc.c:1646  */
    { keyb_layout(KEYB_NO); }
#line 5342 "parser.c" /* yacc.c:1646  */
    break;

  case 327:
#line 1369 "parser.y" /* yacc.c:1646  */
    { keyb_layout(-1); }
#line 5348 "parser.c" /* yacc.c:1646  */
    break;

  case 328:
#line 1370 "parser.y" /* yacc.c:1646  */
    { config.console_keyb = (yyvsp[0].i_value); }
#line 5354 "parser.c" /* yacc.c:1646  */
    break;

  case 329:
#line 1372 "parser.y" /* yacc.c:1646  */
    { yyerror("unrecognized keyboard flag '%s'", (yyvsp[0].s_value));
		      free((yyvsp[0].s_value));}
#line 5361 "parser.c" /* yacc.c:1646  */
    break;

  case 333:
#line 1381 "parser.y" /* yacc.c:1646  */
    { keyb_mod('C', (yyvsp[-1].i_value), 0); }
#line 5367 "parser.c" /* yacc.c:1646  */
    break;

  case 335:
#line 1382 "parser.y" /* yacc.c:1646  */
    { keyb_mod('a', (yyvsp[-1].i_value), 0); }
#line 5373 "parser.c" /* yacc.c:1646  */
    break;

  case 337:
#line 1383 "parser.y" /* yacc.c:1646  */
    { keyb_mod('c', (yyvsp[-1].i_value), 0); }
#line 5379 "parser.c" /* yacc.c:1646  */
    break;

  case 339:
#line 1384 "parser.y" /* yacc.c:1646  */
    { keyb_mod(' ', (yyvsp[-1].i_value), 0); }
#line 5385 "parser.c" /* yacc.c:1646  */
    break;

  case 341:
#line 1385 "parser.y" /* yacc.c:1646  */
    { keyb_mod('S', (yyvsp[-1].i_value), 0); }
#line 5391 "parser.c" /* yacc.c:1646  */
    break;

  case 343:
#line 1386 "parser.y" /* yacc.c:1646  */
    { keyb_mod('A', (yyvsp[-1].i_value), 0); }
#line 5397 "parser.c" /* yacc.c:1646  */
    break;

  case 345:
#line 1387 "parser.y" /* yacc.c:1646  */
    { keyb_mod('N', (yyvsp[-1].i_value), 0); }
#line 5403 "parser.c" /* yacc.c:1646  */
    break;

  case 349:
#line 1394 "parser.y" /* yacc.c:1646  */
    { keyb_mod(0, (yyvsp[0].i_value), 1); }
#line 5409 "parser.c" /* yacc.c:1646  */
    break;

  case 350:
#line 1395 "parser.y" /* yacc.c:1646  */
    { keyb_mod(0, DKY_DEAD_GRAVE, 1); }
#line 5415 "parser.c" /* yacc.c:1646  */
    break;

  case 351:
#line 1396 "parser.y" /* yacc.c:1646  */
    { keyb_mod(0, DKY_DEAD_ACUTE, 1); }
#line 5421 "parser.c" /* yacc.c:1646  */
    break;

  case 352:
#line 1397 "parser.y" /* yacc.c:1646  */
    { keyb_mod(0, DKY_DEAD_CIRCUMFLEX, 1); }
#line 5427 "parser.c" /* yacc.c:1646  */
    break;

  case 353:
#line 1398 "parser.y" /* yacc.c:1646  */
    { keyb_mod(0, DKY_DEAD_TILDE, 1); }
#line 5433 "parser.c" /* yacc.c:1646  */
    break;

  case 354:
#line 1399 "parser.y" /* yacc.c:1646  */
    { keyb_mod(0, DKY_DEAD_BREVE, 1); }
#line 5439 "parser.c" /* yacc.c:1646  */
    break;

  case 355:
#line 1400 "parser.y" /* yacc.c:1646  */
    { keyb_mod(0, DKY_DEAD_ABOVEDOT, 1); }
#line 5445 "parser.c" /* yacc.c:1646  */
    break;

  case 356:
#line 1401 "parser.y" /* yacc.c:1646  */
    { keyb_mod(0, DKY_DEAD_DIAERESIS, 1); }
#line 5451 "parser.c" /* yacc.c:1646  */
    break;

  case 357:
#line 1402 "parser.y" /* yacc.c:1646  */
    { keyb_mod(0, DKY_DEAD_ABOVERING, 1); }
#line 5457 "parser.c" /* yacc.c:1646  */
    break;

  case 358:
#line 1403 "parser.y" /* yacc.c:1646  */
    { keyb_mod(0, DKY_DEAD_DOUBLEACUTE, 1); }
#line 5463 "parser.c" /* yacc.c:1646  */
    break;

  case 359:
#line 1404 "parser.y" /* yacc.c:1646  */
    { keyb_mod(0, DKY_DEAD_CEDILLA, 1); }
#line 5469 "parser.c" /* yacc.c:1646  */
    break;

  case 360:
#line 1405 "parser.y" /* yacc.c:1646  */
    { keyb_mod(0, DKY_VOID, 1); }
#line 5475 "parser.c" /* yacc.c:1646  */
    break;

  case 361:
#line 1406 "parser.y" /* yacc.c:1646  */
    { keyb_mod(0,DKY_DEAD_OGONEK, 1); }
#line 5481 "parser.c" /* yacc.c:1646  */
    break;

  case 362:
#line 1407 "parser.y" /* yacc.c:1646  */
    { keyb_mod(0, DKY_DEAD_CARON, 1); }
#line 5487 "parser.c" /* yacc.c:1646  */
    break;

  case 363:
#line 1408 "parser.y" /* yacc.c:1646  */
    { keyb_mod(0, (yyvsp[0].i_value), 0); }
#line 5493 "parser.c" /* yacc.c:1646  */
    break;

  case 364:
#line 1409 "parser.y" /* yacc.c:1646  */
    { keyb_mod(0, (yyvsp[-1].i_value), 0); }
#line 5499 "parser.c" /* yacc.c:1646  */
    break;

  case 365:
#line 1410 "parser.y" /* yacc.c:1646  */
    {
			char *p = (yyvsp[0].s_value);
			while (*p) keyb_mod(0, *p++, 0);
			free((yyvsp[0].s_value));
		}
#line 5509 "parser.c" /* yacc.c:1646  */
    break;

  case 368:
#line 1422 "parser.y" /* yacc.c:1646  */
    { free(config.tty_lockdir); config.tty_lockdir = (yyvsp[0].s_value); }
#line 5515 "parser.c" /* yacc.c:1646  */
    break;

  case 369:
#line 1423 "parser.y" /* yacc.c:1646  */
    { free(config.tty_lockfile); config.tty_lockfile = (yyvsp[0].s_value); }
#line 5521 "parser.c" /* yacc.c:1646  */
    break;

  case 370:
#line 1424 "parser.y" /* yacc.c:1646  */
    { config.tty_lockbinary = TRUE; }
#line 5527 "parser.c" /* yacc.c:1646  */
    break;

  case 371:
#line 1426 "parser.y" /* yacc.c:1646  */
    { yyerror("unrecognized ttylocks flag '%s'", (yyvsp[0].s_value)); free((yyvsp[0].s_value)); }
#line 5533 "parser.c" /* yacc.c:1646  */
    break;

  case 375:
#line 1435 "parser.y" /* yacc.c:1646  */
    { free(sptr->dev); sptr->dev = (yyvsp[0].s_value); }
#line 5539 "parser.c" /* yacc.c:1646  */
    break;

  case 376:
#line 1436 "parser.y" /* yacc.c:1646  */
    {
					   if (isatty(0)) {
					     sptr->virtual = TRUE;
					     sptr->pseudo = TRUE;
					     no_local_video = 1;
					     sptr->dev = strdup(ttyname(0));
					   } else {
					     error("FD 0 is not a tty, can't "
					           "use a virtual com port\n");
					     exit(1);
					   }
					  }
#line 5556 "parser.c" /* yacc.c:1646  */
    break;

  case 377:
#line 1448 "parser.y" /* yacc.c:1646  */
    { sptr->pseudo = TRUE; }
#line 5562 "parser.c" /* yacc.c:1646  */
    break;

  case 378:
#line 1449 "parser.y" /* yacc.c:1646  */
    { sptr->vmodem = TRUE; }
#line 5568 "parser.c" /* yacc.c:1646  */
    break;

  case 379:
#line 1450 "parser.y" /* yacc.c:1646  */
    { sptr->system_rtscts = TRUE; }
#line 5574 "parser.c" /* yacc.c:1646  */
    break;

  case 380:
#line 1451 "parser.y" /* yacc.c:1646  */
    { sptr->low_latency = TRUE; }
#line 5580 "parser.c" /* yacc.c:1646  */
    break;

  case 381:
#line 1452 "parser.y" /* yacc.c:1646  */
    { sptr->custom = SER_CUSTOM_PCCOM; }
#line 5586 "parser.c" /* yacc.c:1646  */
    break;

  case 382:
#line 1453 "parser.y" /* yacc.c:1646  */
    { sptr->real_comport = (yyvsp[0].i_value); }
#line 5592 "parser.c" /* yacc.c:1646  */
    break;

  case 383:
#line 1454 "parser.y" /* yacc.c:1646  */
    { sptr->base_port = (yyvsp[0].i_value); }
#line 5598 "parser.c" /* yacc.c:1646  */
    break;

  case 384:
#line 1455 "parser.y" /* yacc.c:1646  */
    { sptr->irq = (yyvsp[0].i_value); }
#line 5604 "parser.c" /* yacc.c:1646  */
    break;

  case 385:
#line 1456 "parser.y" /* yacc.c:1646  */
    { sptr->mouse = 1; }
#line 5610 "parser.c" /* yacc.c:1646  */
    break;

  case 386:
#line 1458 "parser.y" /* yacc.c:1646  */
    { yyerror("unrecognized serial flag '%s'", (yyvsp[0].s_value)); free((yyvsp[0].s_value)); }
#line 5616 "parser.c" /* yacc.c:1646  */
    break;

  case 390:
#line 1467 "parser.y" /* yacc.c:1646  */
    { c_printers = (yyvsp[0].i_value) - 1; }
#line 5622 "parser.c" /* yacc.c:1646  */
    break;

  case 391:
#line 1468 "parser.y" /* yacc.c:1646  */
    { pptr->prtcmd = (yyvsp[0].s_value); }
#line 5628 "parser.c" /* yacc.c:1646  */
    break;

  case 392:
#line 1469 "parser.y" /* yacc.c:1646  */
    { pptr->delay = (yyvsp[0].i_value); }
#line 5634 "parser.c" /* yacc.c:1646  */
    break;

  case 393:
#line 1470 "parser.y" /* yacc.c:1646  */
    { pptr->dev = (yyvsp[0].s_value); }
#line 5640 "parser.c" /* yacc.c:1646  */
    break;

  case 394:
#line 1471 "parser.y" /* yacc.c:1646  */
    { pptr->base_port = (yyvsp[0].i_value); }
#line 5646 "parser.c" /* yacc.c:1646  */
    break;

  case 395:
#line 1473 "parser.y" /* yacc.c:1646  */
    { yyerror("unrecognized printer flag %s", (yyvsp[0].s_value)); free((yyvsp[0].s_value)); }
#line 5652 "parser.c" /* yacc.c:1646  */
    break;

  case 399:
#line 1482 "parser.y" /* yacc.c:1646  */
    { dptr->wantrdonly = 1; }
#line 5658 "parser.c" /* yacc.c:1646  */
    break;

  case 400:
#line 1483 "parser.y" /* yacc.c:1646  */
    { dptr->default_cmos = THREE_INCH_FLOPPY; }
#line 5664 "parser.c" /* yacc.c:1646  */
    break;

  case 401:
#line 1484 "parser.y" /* yacc.c:1646  */
    { dptr->default_cmos = THREE_INCH_2880KFLOP; }
#line 5670 "parser.c" /* yacc.c:1646  */
    break;

  case 402:
#line 1485 "parser.y" /* yacc.c:1646  */
    { dptr->default_cmos = THREE_INCH_720KFLOP; }
#line 5676 "parser.c" /* yacc.c:1646  */
    break;

  case 403:
#line 1486 "parser.y" /* yacc.c:1646  */
    { dptr->default_cmos = FIVE_INCH_FLOPPY; }
#line 5682 "parser.c" /* yacc.c:1646  */
    break;

  case 404:
#line 1487 "parser.y" /* yacc.c:1646  */
    { dptr->default_cmos = FIVE_INCH_360KFLOP; }
#line 5688 "parser.c" /* yacc.c:1646  */
    break;

  case 405:
#line 1489 "parser.y" /* yacc.c:1646  */
    {
		  struct stat st;

		  if (dptr->dev_name != NULL)
		    yyerror("Two names for a floppy-device given.");
		  if (stat((yyvsp[0].s_value), &st) < 0) {
		    yyerror("Could not stat floppy device.");
		  }
		  if (S_ISREG(st.st_mode)) {
		    dptr->type = IMAGE;
		  } else if (S_ISBLK(st.st_mode)) {
		    dptr->type = FLOPPY;
		  } else if (S_ISDIR(st.st_mode)) {
		    dptr->type = DIR_TYPE;
		  } else {
		    yyerror("Floppy device/file %s is wrong type", (yyvsp[0].s_value));
		  }
		  dptr->dev_name = (yyvsp[0].s_value);
		  dptr->floppy = 1;  // tell IMAGE and DIR we are a floppy
		  }
#line 5713 "parser.c" /* yacc.c:1646  */
    break;

  case 406:
#line 1510 "parser.y" /* yacc.c:1646  */
    {
		  if (dptr->dev_name != NULL)
		    yyerror("Two names for a disk-image file or device given.");
		  dptr->dev_name = (yyvsp[0].s_value);
		  }
#line 5723 "parser.c" /* yacc.c:1646  */
    break;

  case 407:
#line 1516 "parser.y" /* yacc.c:1646  */
    {
		  if (dptr->dev_name != NULL)
		    yyerror("Two names for a directory given.");
		  dptr->type = DIR_TYPE;
		  dptr->dev_name = (yyvsp[0].s_value);
		  }
#line 5734 "parser.c" /* yacc.c:1646  */
    break;

  case 408:
#line 1523 "parser.y" /* yacc.c:1646  */
    { yyerror("unrecognized floppy disk flag '%s'\n", (yyvsp[0].s_value)); free((yyvsp[0].s_value)); }
#line 5740 "parser.c" /* yacc.c:1646  */
    break;

  case 412:
#line 1530 "parser.y" /* yacc.c:1646  */
    { dptr->wantrdonly = 1; }
#line 5746 "parser.c" /* yacc.c:1646  */
    break;

  case 413:
#line 1531 "parser.y" /* yacc.c:1646  */
    { dptr->diskcyl4096 = 1; }
#line 5752 "parser.c" /* yacc.c:1646  */
    break;

  case 414:
#line 1532 "parser.y" /* yacc.c:1646  */
    { dptr->hdtype = 1; }
#line 5758 "parser.c" /* yacc.c:1646  */
    break;

  case 415:
#line 1533 "parser.y" /* yacc.c:1646  */
    { dptr->hdtype = 2; }
#line 5764 "parser.c" /* yacc.c:1646  */
    break;

  case 416:
#line 1534 "parser.y" /* yacc.c:1646  */
    { dptr->hdtype = 9; }
#line 5770 "parser.c" /* yacc.c:1646  */
    break;

  case 417:
#line 1535 "parser.y" /* yacc.c:1646  */
    { dptr->sectors = (yyvsp[0].i_value); }
#line 5776 "parser.c" /* yacc.c:1646  */
    break;

  case 418:
#line 1536 "parser.y" /* yacc.c:1646  */
    { dptr->tracks = (yyvsp[0].i_value); }
#line 5782 "parser.c" /* yacc.c:1646  */
    break;

  case 419:
#line 1537 "parser.y" /* yacc.c:1646  */
    { dptr->tracks = (yyvsp[0].i_value); }
#line 5788 "parser.c" /* yacc.c:1646  */
    break;

  case 420:
#line 1538 "parser.y" /* yacc.c:1646  */
    { dptr->heads = (yyvsp[0].i_value); }
#line 5794 "parser.c" /* yacc.c:1646  */
    break;

  case 421:
#line 1539 "parser.y" /* yacc.c:1646  */
    { dptr->header = (yyvsp[0].i_value); }
#line 5800 "parser.c" /* yacc.c:1646  */
    break;

  case 422:
#line 1541 "parser.y" /* yacc.c:1646  */
    {
		  if (dptr->dev_name != NULL)
		    yyerror("Two names for a disk-image file or device given.");
		  dptr->dev_name = (yyvsp[0].s_value);
		  }
#line 5810 "parser.c" /* yacc.c:1646  */
    break;

  case 423:
#line 1547 "parser.y" /* yacc.c:1646  */
    {
		  if (dptr->dev_name != NULL)
		    yyerror("Two names for a disk-image file or device given.");
		  dptr->dev_name = (yyvsp[0].s_value);
		  }
#line 5820 "parser.c" /* yacc.c:1646  */
    break;

  case 424:
#line 1553 "parser.y" /* yacc.c:1646  */
    {
		  if (dptr->dev_name != NULL)
		    yyerror("Two names for a harddisk-image file given.");
		  dptr->type = IMAGE;
		  dptr->header = HEADER_SIZE;
		  dptr->dev_name = (yyvsp[0].s_value);
		  }
#line 5832 "parser.c" /* yacc.c:1646  */
    break;

  case 425:
#line 1561 "parser.y" /* yacc.c:1646  */
    {
		  if (dptr->dev_name != NULL)
		    yyerror("Two names for a harddisk given.");
		  dptr->type = HDISK;
		  dptr->dev_name = (yyvsp[0].s_value);
		  }
#line 5843 "parser.c" /* yacc.c:1646  */
    break;

  case 426:
#line 1568 "parser.y" /* yacc.c:1646  */
    {
                  yywarn("{ partition \"%s\" %d } the"
			 " token '%d' is ignored and can be removed.",
			 (yyvsp[-1].s_value),(yyvsp[0].i_value),(yyvsp[0].i_value));
		  do_part((yyvsp[-1].s_value));
		  }
#line 5854 "parser.c" /* yacc.c:1646  */
    break;

  case 427:
#line 1575 "parser.y" /* yacc.c:1646  */
    { do_part((yyvsp[0].s_value)); }
#line 5860 "parser.c" /* yacc.c:1646  */
    break;

  case 428:
#line 1577 "parser.y" /* yacc.c:1646  */
    {
		  if (dptr->dev_name != NULL)
		    yyerror("Two names for a directory given.");
		  dptr->type = DIR_TYPE;
		  dptr->dev_name = (yyvsp[0].s_value);
		  }
#line 5871 "parser.c" /* yacc.c:1646  */
    break;

  case 429:
#line 1584 "parser.y" /* yacc.c:1646  */
    { yyerror("unrecognized disk flag '%s'\n", (yyvsp[0].s_value)); free((yyvsp[0].s_value)); }
#line 5877 "parser.c" /* yacc.c:1646  */
    break;

  case 433:
#line 1594 "parser.y" /* yacc.c:1646  */
    {
		   c_printf("CONF: I/O port 0x%04x\n", (unsigned short)(yyvsp[0].i_value));
	           allow_io((yyvsp[0].i_value), 1, ports_permission, ports_ormask,
	                    ports_andmask, portspeed, (char*)dev_name);
		   if (portspeed) portspeed += ((portspeed>0) ? 1 : -1);
	           }
#line 5888 "parser.c" /* yacc.c:1646  */
    break;

  case 434:
#line 1601 "parser.y" /* yacc.c:1646  */
    {
	           allow_io((yyvsp[-1].i_value), 1, ports_permission, ports_ormask,
	                    ports_andmask, portspeed, (char*)dev_name);
		   if (portspeed) portspeed += ((portspeed>0) ? 1 : -1);
	           }
#line 5898 "parser.c" /* yacc.c:1646  */
    break;

  case 435:
#line 1607 "parser.y" /* yacc.c:1646  */
    {
		   if (portspeed > 1) portspeed = 0;
		   c_printf("CONF: range of I/O ports 0x%04x-0x%04x\n",
			    (unsigned short)(yyvsp[-1].i_value), (unsigned short)(yyvsp[0].i_value));
		   allow_io((yyvsp[-1].i_value), (yyvsp[0].i_value) - (yyvsp[-1].i_value) + 1, ports_permission, ports_ormask,
			    ports_andmask, portspeed, (char*)dev_name);
		   portspeed=0;
		   strcpy(dev_name,"");
		   }
#line 5912 "parser.c" /* yacc.c:1646  */
    break;

  case 436:
#line 1617 "parser.y" /* yacc.c:1646  */
    {
		   if (portspeed > 1) portspeed = 0;
		   c_printf("CONF: range of I/O ports 0x%04x-0x%04x\n",
			    (unsigned short)(yyvsp[-2].i_value), (unsigned short)(yyvsp[0].i_value));
		   allow_io((yyvsp[-2].i_value), (yyvsp[0].i_value) - (yyvsp[-2].i_value) + 1, ports_permission, ports_ormask,
			    ports_andmask, portspeed, (char*)dev_name);
		   portspeed=0;
		   strcpy(dev_name,"");
		   }
#line 5926 "parser.c" /* yacc.c:1646  */
    break;

  case 437:
#line 1626 "parser.y" /* yacc.c:1646  */
    { ports_permission = IO_READ; }
#line 5932 "parser.c" /* yacc.c:1646  */
    break;

  case 438:
#line 1627 "parser.y" /* yacc.c:1646  */
    { ports_permission = IO_WRITE; }
#line 5938 "parser.c" /* yacc.c:1646  */
    break;

  case 439:
#line 1628 "parser.y" /* yacc.c:1646  */
    { ports_permission = IO_RDWR; }
#line 5944 "parser.c" /* yacc.c:1646  */
    break;

  case 440:
#line 1629 "parser.y" /* yacc.c:1646  */
    { ports_ormask = (yyvsp[0].i_value); }
#line 5950 "parser.c" /* yacc.c:1646  */
    break;

  case 441:
#line 1630 "parser.y" /* yacc.c:1646  */
    { ports_andmask = (yyvsp[0].i_value); }
#line 5956 "parser.c" /* yacc.c:1646  */
    break;

  case 442:
#line 1631 "parser.y" /* yacc.c:1646  */
    { portspeed = 1; }
#line 5962 "parser.c" /* yacc.c:1646  */
    break;

  case 443:
#line 1632 "parser.y" /* yacc.c:1646  */
    { portspeed = -1; }
#line 5968 "parser.c" /* yacc.c:1646  */
    break;

  case 444:
#line 1633 "parser.y" /* yacc.c:1646  */
    { strcpy(dev_name,(yyvsp[0].s_value)); free((yyvsp[0].s_value)); }
#line 5974 "parser.c" /* yacc.c:1646  */
    break;

  case 445:
#line 1635 "parser.y" /* yacc.c:1646  */
    { yyerror("unrecognized port command '%s'", (yyvsp[0].s_value));
		      free((yyvsp[0].s_value)); }
#line 5981 "parser.c" /* yacc.c:1646  */
    break;

  case 449:
#line 1644 "parser.y" /* yacc.c:1646  */
    { register_port_traceing((yyvsp[0].i_value), (yyvsp[0].i_value)); }
#line 5987 "parser.c" /* yacc.c:1646  */
    break;

  case 450:
#line 1646 "parser.y" /* yacc.c:1646  */
    { register_port_traceing((yyvsp[-1].i_value), (yyvsp[-1].i_value)); }
#line 5993 "parser.c" /* yacc.c:1646  */
    break;

  case 451:
#line 1648 "parser.y" /* yacc.c:1646  */
    { register_port_traceing((yyvsp[-1].i_value), (yyvsp[0].i_value)); }
#line 5999 "parser.c" /* yacc.c:1646  */
    break;

  case 452:
#line 1650 "parser.y" /* yacc.c:1646  */
    { register_port_traceing((yyvsp[-2].i_value), (yyvsp[0].i_value)); }
#line 6005 "parser.c" /* yacc.c:1646  */
    break;

  case 453:
#line 1651 "parser.y" /* yacc.c:1646  */
    { clear_port_traceing(); }
#line 6011 "parser.c" /* yacc.c:1646  */
    break;

  case 454:
#line 1653 "parser.y" /* yacc.c:1646  */
    { yyerror("unrecognized port trace command '%s'", (yyvsp[0].s_value));
		      free((yyvsp[0].s_value)); }
#line 6018 "parser.c" /* yacc.c:1646  */
    break;

  case 458:
#line 1663 "parser.y" /* yacc.c:1646  */
    { set_irq_value(1, (yyvsp[0].i_value)); }
#line 6024 "parser.c" /* yacc.c:1646  */
    break;

  case 459:
#line 1664 "parser.y" /* yacc.c:1646  */
    { set_irq_value(1, (yyvsp[-1].i_value)); }
#line 6030 "parser.c" /* yacc.c:1646  */
    break;

  case 460:
#line 1665 "parser.y" /* yacc.c:1646  */
    { set_irq_value(0x10001, (yyvsp[0].i_value)); }
#line 6036 "parser.c" /* yacc.c:1646  */
    break;

  case 461:
#line 1666 "parser.y" /* yacc.c:1646  */
    { set_irq_range(1, (yyvsp[-1].i_value), (yyvsp[0].i_value)); }
#line 6042 "parser.c" /* yacc.c:1646  */
    break;

  case 462:
#line 1667 "parser.y" /* yacc.c:1646  */
    { set_irq_range(1, (yyvsp[-2].i_value), (yyvsp[0].i_value)); }
#line 6048 "parser.c" /* yacc.c:1646  */
    break;

  case 463:
#line 1668 "parser.y" /* yacc.c:1646  */
    { set_irq_range(0x10001, (yyvsp[-1].i_value), (yyvsp[0].i_value)); }
#line 6054 "parser.c" /* yacc.c:1646  */
    break;

  case 464:
#line 1669 "parser.y" /* yacc.c:1646  */
    { set_irq_range(0x10001, (yyvsp[-2].i_value), (yyvsp[0].i_value)); }
#line 6060 "parser.c" /* yacc.c:1646  */
    break;

  case 465:
#line 1671 "parser.y" /* yacc.c:1646  */
    { yyerror("unrecognized irqpassing command '%s'", (yyvsp[0].s_value));
		      free((yyvsp[0].s_value)); }
#line 6067 "parser.c" /* yacc.c:1646  */
    break;

  case 469:
#line 1682 "parser.y" /* yacc.c:1646  */
    {
		     config.ems_size = (yyvsp[0].i_value);
		     if ((yyvsp[0].i_value) > 0) c_printf("CONF: %dk bytes EMS memory\n", (yyvsp[0].i_value));
	           }
#line 6076 "parser.c" /* yacc.c:1646  */
    break;

  case 470:
#line 1687 "parser.y" /* yacc.c:1646  */
    {
		     config.ems_size = (yyvsp[-1].i_value);
		     if ((yyvsp[-1].i_value) > 0) c_printf("CONF: %dk bytes EMS memory\n", (yyvsp[-1].i_value));
	           }
#line 6085 "parser.c" /* yacc.c:1646  */
    break;

  case 471:
#line 1692 "parser.y" /* yacc.c:1646  */
    {
		     config.ems_size = (yyvsp[0].i_value);
		     if ((yyvsp[0].i_value) > 0) c_printf("CONF: %dk bytes EMS memory\n", (yyvsp[0].i_value));
		   }
#line 6094 "parser.c" /* yacc.c:1646  */
    break;

  case 472:
#line 1697 "parser.y" /* yacc.c:1646  */
    {
/* is there a technical reason why the EMS frame can't be at 0xC0000 or
   0xA0000 if there's space? */
#if 0
		     if ( (((yyvsp[0].i_value) & 0xfc00)>=0xc800) && (((yyvsp[0].i_value) & 0xfc00)<=0xe000) ) {
		       config.ems_frame = (yyvsp[0].i_value) & 0xfc00;
		       c_printf("CONF: EMS-frame = 0x%04x\n", config.ems_frame);
		     }
		     else yyerror("wrong EMS-frame: 0x%04x", (yyvsp[0].i_value));
#endif
	             config.ems_frame = (yyvsp[0].i_value) & 0xfc00;
		     c_printf("CONF: EMS-frame = 0x%04x\n", config.ems_frame);
		   }
#line 6112 "parser.c" /* yacc.c:1646  */
    break;

  case 473:
#line 1711 "parser.y" /* yacc.c:1646  */
    {
		     config.ems_uma_pages = (yyvsp[0].i_value);
		   }
#line 6120 "parser.c" /* yacc.c:1646  */
    break;

  case 474:
#line 1715 "parser.y" /* yacc.c:1646  */
    {
		     config.ems_cnv_pages = (yyvsp[0].i_value);
		   }
#line 6128 "parser.c" /* yacc.c:1646  */
    break;

  case 475:
#line 1719 "parser.y" /* yacc.c:1646  */
    { yyerror("unrecognized ems command '%s'", (yyvsp[0].s_value));
		      free((yyvsp[0].s_value)); }
#line 6135 "parser.c" /* yacc.c:1646  */
    break;

  case 479:
#line 1730 "parser.y" /* yacc.c:1646  */
    {
                     if (!register_hardware_ram('h', (yyvsp[0].i_value), PAGE_SIZE)) {
                       yyerror("wrong hardware ram address : 0x%08x", (yyvsp[0].i_value));
                     }
	           }
#line 6145 "parser.c" /* yacc.c:1646  */
    break;

  case 480:
#line 1736 "parser.y" /* yacc.c:1646  */
    {
                     if (!register_hardware_ram('h', (yyvsp[-1].i_value), PAGE_SIZE)) {
                       yyerror("wrong hardware ram address : 0x%08x", (yyvsp[-1].i_value));
                     }
	           }
#line 6155 "parser.c" /* yacc.c:1646  */
    break;

  case 481:
#line 1742 "parser.y" /* yacc.c:1646  */
    {
                     if (register_hardware_ram('h', (yyvsp[-1].i_value), (yyvsp[0].i_value) - (yyvsp[-1].i_value)))
	               c_printf("CONF: hardware ram pages at 0x%08x-%08x\n", (yyvsp[-1].i_value), (yyvsp[0].i_value));
                     else
                       yyerror("wrong hardware ram address : 0x%08x", (yyvsp[-1].i_value));
		   }
#line 6166 "parser.c" /* yacc.c:1646  */
    break;

  case 482:
#line 1749 "parser.y" /* yacc.c:1646  */
    {
                     if (register_hardware_ram('h', (yyvsp[-2].i_value), (yyvsp[0].i_value) - (yyvsp[-2].i_value)))
	               c_printf("CONF: hardware ram pages at 0x%08x-%08x\n", (yyvsp[-2].i_value), (yyvsp[0].i_value));
                     else
                       yyerror("wrong hardware ram address : 0x%08x", (yyvsp[-2].i_value));
		   }
#line 6177 "parser.c" /* yacc.c:1646  */
    break;

  case 483:
#line 1756 "parser.y" /* yacc.c:1646  */
    { yyerror("unrecognized hardware ram command '%s'", (yyvsp[0].s_value));
		      free((yyvsp[0].s_value)); }
#line 6184 "parser.c" /* yacc.c:1646  */
    break;

  case 487:
#line 1770 "parser.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].i_value) == -2) {
				yyerror("got 'on', expected 'off' or an integer");
			}
		}
#line 6194 "parser.c" /* yacc.c:1646  */
    break;

  case 488:
#line 1777 "parser.y" /* yacc.c:1646  */
    {
			if ( (yyvsp[0].i_value) && (((yyvsp[0].i_value) < 2) || ((yyvsp[0].i_value) > 15)) ) {
				yyerror("got '%d', expected 'off' or an integer 2..15", (yyvsp[0].i_value));
			} 
		}
#line 6204 "parser.c" /* yacc.c:1646  */
    break;

  case 489:
#line 1786 "parser.y" /* yacc.c:1646  */
    { (yyval.i_value) = SPKR_OFF; }
#line 6210 "parser.c" /* yacc.c:1646  */
    break;

  case 490:
#line 1787 "parser.y" /* yacc.c:1646  */
    { (yyval.i_value) = SPKR_NATIVE; }
#line 6216 "parser.c" /* yacc.c:1646  */
    break;

  case 491:
#line 1788 "parser.y" /* yacc.c:1646  */
    { (yyval.i_value) = SPKR_EMULATED; }
#line 6222 "parser.c" /* yacc.c:1646  */
    break;

  case 492:
#line 1789 "parser.y" /* yacc.c:1646  */
    { yyerror("got '%s', expected 'emulated' or 'native'", (yyvsp[0].s_value));
				  free((yyvsp[0].s_value)); }
#line 6229 "parser.c" /* yacc.c:1646  */
    break;

  case 493:
#line 1791 "parser.y" /* yacc.c:1646  */
    { yyerror("expected 'emulated' or 'native'"); }
#line 6235 "parser.c" /* yacc.c:1646  */
    break;

  case 494:
#line 1796 "parser.y" /* yacc.c:1646  */
    { (yyval.i_value) = 0; }
#line 6241 "parser.c" /* yacc.c:1646  */
    break;

  case 495:
#line 1797 "parser.y" /* yacc.c:1646  */
    { (yyval.i_value) = 3; }
#line 6247 "parser.c" /* yacc.c:1646  */
    break;

  case 496:
#line 1798 "parser.y" /* yacc.c:1646  */
    { (yyval.i_value) = 4; }
#line 6253 "parser.c" /* yacc.c:1646  */
    break;

  case 497:
#line 1799 "parser.y" /* yacc.c:1646  */
    { (yyval.i_value) = 5; }
#line 6259 "parser.c" /* yacc.c:1646  */
    break;

  case 498:
#line 1800 "parser.y" /* yacc.c:1646  */
    { (yyval.i_value) = 6; }
#line 6265 "parser.c" /* yacc.c:1646  */
    break;

  case 499:
#line 1801 "parser.y" /* yacc.c:1646  */
    { yyerror("got '%s', expected 'off', 'vm86' or 'full'", (yyvsp[0].s_value));
				  free((yyvsp[0].s_value)); }
#line 6272 "parser.c" /* yacc.c:1646  */
    break;

  case 500:
#line 1803 "parser.y" /* yacc.c:1646  */
    { yyerror("expected 'off', 'vm86' or 'full'"); }
#line 6278 "parser.c" /* yacc.c:1646  */
    break;

  case 501:
#line 1806 "parser.y" /* yacc.c:1646  */
    { (yyval.i_value) = -1; }
#line 6284 "parser.c" /* yacc.c:1646  */
    break;

  case 502:
#line 1807 "parser.y" /* yacc.c:1646  */
    { (yyval.i_value) = CPUVM_VM86; }
#line 6290 "parser.c" /* yacc.c:1646  */
    break;

  case 503:
#line 1808 "parser.y" /* yacc.c:1646  */
    { (yyval.i_value) = CPUVM_KVM; }
#line 6296 "parser.c" /* yacc.c:1646  */
    break;

  case 504:
#line 1809 "parser.y" /* yacc.c:1646  */
    { (yyval.i_value) = CPUVM_EMU; }
#line 6302 "parser.c" /* yacc.c:1646  */
    break;

  case 505:
#line 1810 "parser.y" /* yacc.c:1646  */
    { yyerror("got '%s' for cpu_vm", (yyvsp[0].s_value));
				  free((yyvsp[0].s_value)); }
#line 6309 "parser.c" /* yacc.c:1646  */
    break;

  case 506:
#line 1812 "parser.y" /* yacc.c:1646  */
    { yyerror("bad value for cpu_vm"); }
#line 6315 "parser.c" /* yacc.c:1646  */
    break;

  case 509:
#line 1819 "parser.y" /* yacc.c:1646  */
    { set_internal_charset ((yyvsp[0].s_value)); free((yyvsp[0].s_value)); }
#line 6321 "parser.c" /* yacc.c:1646  */
    break;

  case 510:
#line 1820 "parser.y" /* yacc.c:1646  */
    { set_external_charset ((yyvsp[0].s_value)); free((yyvsp[0].s_value)); }
#line 6327 "parser.c" /* yacc.c:1646  */
    break;


#line 6331 "parser.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }



  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 1823 "parser.y" /* yacc.c:1906  */


	/* features */

static void handle_features(int which, int value)
{
  if ((which < 0)
	|| (which >= (sizeof(config.features) / sizeof(config.features[0])))) {
    c_printf("CONF: wrong feature number %d\n", which);
    return;
  }
  config.features[which] = value;
  c_printf("CONF: feature %d set to %d\n", which, value);
}

	/* joystick */

static void set_joy_device(char *devstring)
{
  char *spacepos;

  free(config.joy_device[0]);
  config.joy_device[0] = devstring;
  config.joy_device[1] = NULL;
  spacepos = strchr(devstring, ' ');
  if (spacepos != NULL) {
    *spacepos = '\0';
    config.joy_device[1] = spacepos + 1;
  }
}

	/* mouse */

static void start_mouse(void)
{
  mptr = &config.mouse;
  mptr->fd = -1;
  mptr->com = -1;
  mptr->has3buttons = 1;	// drivers can disable this
}

static void stop_mouse(void)
{
  char *p, *p1;
  if (mptr->dev && (p = strstr(mptr->dev, "com")) && strlen(p) > 3) {
    /* parse comX setting */
    mptr->com = atoi(p + 3);
    /* see if something else is specified and remove comX */
    if (p > mptr->dev) {
      p[-1] = 0;
    } else if ((p1 = strchr(p, ','))) {
      int l;
      p1++;
      l = strlen(p1);
      memmove(mptr->dev, p1, l + 1);
    } else {
      free(mptr->dev);
      mptr->dev = NULL;
    }
    c_printf("MOUSE: using COM%i\n", mptr->com);
  }
  c_printf("MOUSE: %s, type %x using internaldriver: %s, emulate3buttons: %s baudrate: %d\n", 
        mptr->dev && mptr->dev[0] ? mptr->dev : "no device specified",
        mptr->type, mptr->intdrv ? "yes" : "no", 
        mptr->emulate3buttons ? "yes" : "no", mptr->baudRate);
}

	/* debug */

static void start_ports(void)
{
  if (priv_lvl)
    yyerror("Can not change port privileges in user config file");
  ports_permission = IO_RDWR;
  ports_ormask = 0;
  ports_andmask = 0xFFFF;
}

	/* debug */

static void start_debug(void)
{
  set_debug_level('a', 0);	      /* Default is no debugging output at all */
}

	/* video */

static void start_video(void)
{
  free(config.vbios_file);
  config.vbios_file = NULL;
  config.vbios_copy = 0;
  config.vbios_seg  = 0xc000;
  config.vbios_size = 0x10000;
  config.console_video = 0;
  config.cardtype = CARD_NONE;
  config.chipset = PLAINVGA;
  config.mapped_bios = 0;
  config.vga = 0;
  config.gfxmemsize = 256;
  config.fullrestore = 0;
  config.dualmon = 0;
  config.force_vt_switch = 0;
}

static void stop_video(void)
{
  if (priv_lvl)
    config.console_video = 0;

  if ((config.cardtype != CARD_VGA) || !config.console_video) {
    config.vga = 0;
  }
}

	/* vesa modes */
static void set_vesamodes(int width, int height, int color_bits)
{
  vesamode_type *vmt = malloc(sizeof *vmt);
  if(vmt != NULL) {
    vmt->width = width;
    vmt->height = height;
    vmt->color_bits = color_bits;
    vmt->next = config.vesamode_list;
    config.vesamode_list = vmt;
  }
}

	/* vbios detection */
static int auto_vbios_seg = -1;
static int auto_vbios_size = -1;

static void detect_vbios(void)
{
  unsigned char c[0x21];
  int foffset;

  if (auto_vbios_seg != -1) return;
  if (!can_do_root_stuff || config.vbios_file) return;
  for (foffset = 0xc0000; foffset < 0xf0000; foffset += 0x800) {
    load_file("/dev/mem", foffset, c, sizeof(c));
    if (c[0]==0x55 && c[1]==0xaa
        && c[0x1e]=='I' && c[0x1f]=='B' && c[0x20]=='M') {
      auto_vbios_seg = foffset >> 4;
      auto_vbios_size = c[2]*0x200;
      break;
    }
  }
}

static int detect_vbios_seg(void)
{
  detect_vbios();
  return auto_vbios_seg;
}

static int detect_vbios_size(void)
{
  detect_vbios();
  return auto_vbios_size;
}

static void stop_ttylocks(void)
{
  c_printf("SER: directory %s namestub %s binary %s\n", config.tty_lockdir,
	   config.tty_lockfile,(config.tty_lockbinary?"Yes":"No"));
}

	/* serial */

static void start_serial(void)
{
  if (c_ser >= MAX_SER)
    sptr = &nullser;
  else {
    /* The defaults for interrupt, base_port, real_comport and dev are 
    ** automatically filled in inside the do_ser_init routine of serial.c
    */
    sptr = &com_cfg[c_ser];
    sptr->dev = NULL;
    sptr->irq = 0; 
    sptr->base_port = 0;
    sptr->end_port = 0;
    sptr->real_comport = 0;
    sptr->mouse = 0;
    sptr->virtual = FALSE;
    sptr->pseudo = FALSE;
    sptr->system_rtscts = FALSE;
    sptr->low_latency = FALSE;
    sptr->dmx_port = 0;
    sptr->custom = SER_CUSTOM_NONE;
  }
}


static void stop_serial(void)
{
  if (c_ser >= MAX_SER) {
    c_printf("SER: too many ports, ignoring %s\n", sptr->dev);
    return;
  }
  c_printf("SER%d: %s", c_ser, sptr->dev ?: "none");
  if (sptr->base_port)
    c_printf(" port %x", sptr->base_port);
  if (sptr->irq)
    c_printf(" irq %x", sptr->irq);
  c_printf("\n");
  c_ser++;
  config.num_ser = c_ser;
}

	/* keyboard */

static int keyboard_statement_already = 0;

static void start_keyboard(void)
{
  keyb_layout(KEYB_USER); /* NOTE: the default has changed, --Hans, 971204 */
  config.console_keyb = 0;
  keyboard_statement_already = 1;
}

static void stop_terminal(void)
{
}

	/* printer */

static void start_printer(void)
{
  pptr->prtcmd = NULL;
  pptr->dev = NULL;
  pptr->remaining = -1;
  pptr->delay = 10;
}

static void stop_printer(void)
{
  printer_config(c_printers, pptr);
  c_printf("CONF(LPT%d) f: %s   c: %s  t: %d  port: %x\n",
           c_printers, pptr->dev, pptr->prtcmd,
           pptr->delay, pptr->base_port);
  c_printers++;
  if (c_printers > config.num_lpt)
    config.num_lpt = c_printers;
}

	/* disk */

static void start_floppy(void)
{
  if (c_fdisks >= MAX_FDISKS)
    {
    yyerror("There are too many floppy disks defined");
    dptr = &nulldisk;          /* Dummy-Entry to avoid core-dumps */
    }
  else
    dptr = &disktab[c_fdisks];

  dptr->sectors = 0;             /* setup default values */
  dptr->heads   = 0;
  dptr->tracks  = 0;
  dptr->type    = FLOPPY;
  dptr->default_cmos = THREE_INCH_FLOPPY;
  dptr->timeout = 0;
  dptr->dev_name = NULL;              /* default-values */
  dptr->wantrdonly = 0;
  dptr->header = 0;
}

static void start_disk(void)
{
  if (c_hdisks >= MAX_HDISKS) 
    {
    yyerror("There are too many hard disks defined");
    dptr = &nulldisk;          /* Dummy-Entry to avoid core-dumps */
    }
  else
    dptr = &hdisktab[c_hdisks];

  dptr->type    =  NODISK;
  dptr->sectors = -1;
  dptr->heads   = -1;
  dptr->tracks  = -1;
  dptr->fdesc   = -1;
  dptr->hdtype = 0;
  dptr->timeout = 0;
  dptr->dev_name = NULL;              /* default-values */
  dptr->wantrdonly = 0;
  dptr->header = 0;
  dptr->dexeflags = 0;
}

static void start_vnet(char *mode) {
  if (strcmp(mode, "") == 0) {
    config.vnet = VNET_TYPE_AUTO;
    return;
  }
  if (strcmp(mode, "tap") == 0) {
    config.vnet = VNET_TYPE_TAP;
    return;
  }
  if (strcmp(mode, "vde") == 0) {
    config.vnet = VNET_TYPE_VDE;
    return;
  }
  IFCLASS(CL_NET) {}
  if (strcmp(mode, "eth") == 0)
    config.vnet = VNET_TYPE_ETH;
  else {
    error("Unknown vnet mode \"%s\"\n", mode);
    config.exitearly = 1;
  }
}

static void do_part(char *dev)
{
  if (dptr->dev_name != NULL)
    yyerror("Two names for a partition given.");
  dptr->type = PARTITION;
  dptr->dev_name = dev;
#ifdef __linux__
  dptr->part_info.number = atoi(dptr->dev_name+8);
#endif
  if (dptr->part_info.number == 0)
    yyerror("%s must be a PARTITION, can't find number suffix!\n",
	    dptr->dev_name);
}

static void stop_disk(int token)
{
#ifdef __linux__
  FILE   *f;
  struct mntent *mtab;
#endif
  int    mounted_rw;

  if (dexe_running && dexe_forbid_disk)
    return;
  if (dptr == &nulldisk)              /* is there any disk? */
    return;                           /* no, nothing to do */

  if (!dptr->dev_name)                /* Is there a file/device-name? */
    yyerror("disk: no device/file-name given!");
  else                                /* check the file/device for existance */
    {
      struct stat st;

      if (stat(dptr->dev_name, &st) != 0) { /* Does this file exist? */
        yyerror("disk: device/file %s doesn't exist.", dptr->dev_name);
      }
    }

  if (dptr->type == NODISK)    /* Is it one of image, floppy, harddisk ? */
    yyerror("disk: no device/file-name given!"); /* No, error */
  else
    c_printf("CONF: disk type '%s'", disk_t_str(dptr->type));

  if (dptr->type == PARTITION) {
    c_printf(" partition# %d", dptr->part_info.number);
#ifdef __linux__
    mtab = NULL;
    if ((f = setmntent(MOUNTED, "r")) != NULL) {
      while ((mtab = getmntent(f)))
        if (!strcmp(dptr->dev_name, mtab->mnt_fsname)) break;
      endmntent(f);
    }
    if (mtab) {
      mounted_rw = ( hasmntopt(mtab, MNTOPT_RW) != NULL );
      if (mounted_rw && !dptr->wantrdonly) 
        yyerror("\n\nYou specified '%s' for read-write Direct Partition Access,"
                "\nit is currently mounted read-write on '%s' !!!\n",
                dptr->dev_name, mtab->mnt_dir);
      else if (mounted_rw) 
        yywarn("You specified '%s' for read-only Direct Partition Access,"
               "\n         it is currently mounted read-write on '%s'.\n",
               dptr->dev_name, mtab->mnt_dir);
      else if (!dptr->wantrdonly) 
        yywarn("You specified '%s' for read-write Direct Partition Access,"
               "\n         it is currently mounted read-only on '%s'.\n",
               dptr->dev_name, mtab->mnt_dir);
    }
#endif
  }

  if (dptr->header)
    c_printf(" header_size: %ld", (long) dptr->header);

  if (token == L_FLOPPY) {
    c_printf(" floppy %c:\n", 'A'+c_fdisks);
    c_fdisks++;
    config.fdisks = c_fdisks;
  }
  else {
    c_printf(" drive %c:\n", 'C'+c_hdisks);
    c_hdisks++;
    config.hdisks = c_hdisks;
  }
}

	/* keyboard */

void keyb_layout(int layout)
{
  struct keytable_entry *kt = keytable_list;
  if (layout == -1) {
    /* auto: do it later */
    config.keytable = NULL;
    return;
  }
  while (kt->name) {
    if (kt->keyboard == layout) {
      if (kt->flags & KT_ALTERNATE) {
        c_printf("CONF: Alternate keyboard-layout %s\n", kt->name);
        config.altkeytable = kt;
      } else {
      c_printf("CONF: Keyboard-layout %s\n", kt->name);
      config.keytable = kt;
      }
      return;
    }
    kt++;
  }
  c_printf("CONF: ERROR -- Keyboard has incorrect number!!!\n");
}

static void keytable_start(int layout)
{
  static struct keytable_entry *saved_kt = 0;
  if (layout == -1) {
    if (keyboard_statement_already) {
      if (config.keytable != saved_kt) {
        yywarn("keytable changed to %s table, but previously was defined %s\n",
                config.keytable->name, saved_kt->name);
      }
    }
  }
  else {
    saved_kt = config.keytable;
    keyb_layout(layout);
  }
}

static void keytable_stop(void)
{
  keytable_start(-1);
}

static void dump_keytables_to_file(char *name)
{
  FILE * f;
  struct keytable_entry *kt = keytable_list;

  f = fopen(name, "w");
  if (!f) {
    error("cannot create keytable file %s\n", name);
    exit(1);
  }
  
  while (kt->name) {
    dump_keytable(f, kt);
    kt++;
  }
  fclose(f);
  exit(0);
}

static void set_irq_value(int bits, int i1)
{
  if ((i1>2) && (i1<=15)) {
    config.sillyint |= (bits << i1);
    c_printf("CONF: IRQ %d for irqpassing", i1);
    if (bits & 0x10000)  c_printf(" uses SIGIO\n");
    else c_printf("\n");
  }
  else yyerror("wrong IRQ for irqpassing command: %d", i1);
}

static void set_irq_range(int bits, int i1, int i2) {
  int i;
  if ( (i1<3) || (i1>15) || (i2<3) || (i2>15) || (i1 > i2 ) ) {
    yyerror("wrong IRQ range for irqpassing command: %d .. %d", i1, i2);
  }
  else {
    for (i=i1; i<=i2; i++) config.sillyint |= (bits << i);
    c_printf("CONF: range of IRQs for irqpassing %d .. %d", i1, i2);
    if (bits & 0x10000)  c_printf(" uses SIGIO\n");
    else c_printf("\n");
  }
}


	/* errors & warnings */

void yywarn(char* string, ...)
{
  va_list vars;
  va_start(vars, string);
  fprintf(stderr, "Warning: ");
  vfprintf(stderr, string, vars);
  fprintf(stderr, "\n");
  va_end(vars);
  warnings++;
}

void yyerror(char* string, ...)
{
  va_list vars;
  va_start(vars, string);
  if (include_stack_ptr != 0 && !last_include) {
	  int i;
	  fprintf(stderr, "In file included from %s:%d\n",
		  include_fnames[0], include_lines[0]);
	  for(i = 1; i < include_stack_ptr; i++) {
		  fprintf(stderr, "                 from %s:%d\n",
			  include_fnames[i], include_lines[i]);
	  }
	  last_include = 1;
  }
  fprintf(stderr, "Error in %s: (line %.3d) ", 
	  include_fnames[include_stack_ptr], line_count);
  vfprintf(stderr, string, vars);
  fprintf(stderr, "\n");
  va_end(vars);
  errors++;
}


/*
 * open_file - opens the configuration-file named *filename and returns
 *             a file-pointer. The error/warning-counters are reset to zero.
 */

static FILE *open_file(char *filename)
{
  errors   = 0;                  /* Reset error counter */
  warnings = 0;                  /* Reset counter for warnings */

  if (!filename) return 0;
  return fopen(filename, "r"); /* Open config-file */
}

/*
 * close_file - Close the configuration file and issue a message about
 *              errors/warnings that occured. If there were errors, the
 *              flag early-exit is that, so dosemu won't really.
 */

static void close_file(FILE * file)
{
  if (file) fclose(file);                  /* Close the config-file */

  if(errors)
    fprintf(stderr, "%d error(s) detected while parsing the configuration-file\n",
	    errors);
  if(warnings)
    fprintf(stderr, "%d warning(s) detected while parsing the configuration-file\n",
	    warnings);

  if (errors != 0)               /* Exit dosemu on errors */
    {
      config.exitearly = TRUE;
    }
}

/* write_to_syslog */
static void write_to_syslog(char *message)
{
  openlog("dosemu", LOG_PID, LOG_USER | LOG_NOTICE);
  syslog(LOG_PID | LOG_USER | LOG_NOTICE, "%s", message);
  closelog();
}

static void move_dosemu_lib_dir(char *path)
{
  char *commands_path;
  if (dosemu_lib_dir_path != path) {
    if (dosemu_lib_dir_path != dosemulib_default)
      free(dosemu_lib_dir_path);
    dosemu_lib_dir_path = strdup(path);
  }
  fddir_default = assemble_path(dosemu_lib_dir_path, FREEDOS_DIR, 0);
  setenv("DOSEMU_LIB_DIR", dosemu_lib_dir_path, 1);
  commands_path = assemble_path(dosemu_lib_dir_path, CMDS_SUFF, 0);
  setenv("DOSEMU_COMMANDS_DIR", commands_path, 1);
  free(commands_path);

  if (keymap_load_base_path != keymaploadbase_default)
    free(keymap_load_base_path);
  keymap_load_base_path = assemble_path(path, "", 0);
}

static FILE *open_dosemu_users(void)
{
  FILE *fp;
  fp = open_file(DOSEMU_USERS_FILE);
  if (fp) return fp;
  return 0;
}

static void setup_home_directories(void)
{
  setenv("DOSEMU_HDIMAGE_DIR", dosemu_hdimage_dir_path, 1);
  LOCALDIR = get_dosemu_local_home();
  RUNDIR = mkdir_under(LOCALDIR, "run", 0);
  DOSEMU_MIDI_PATH = assemble_path(RUNDIR, DOSEMU_MIDI, 0);
  DOSEMU_MIDI_IN_PATH = assemble_path(RUNDIR, DOSEMU_MIDI_IN, 0);
}

static void lax_user_checking(void)
{
  char *p;
  define_config_variable("c_all");
  p = getenv("USER");
  if (!p) p = "guest";
  setenv("DOSEMU_USER", p, 1);
  setenv("DOSEMU_REAL_USER", p, 1);
  setup_home_directories();
}

/* Parse TimeMode, Paul Crawford and Andrew Brooks 2004-08-01 */
/* Accepts "bios", "pit", "linux", default is "bios". Use with TIMEMODE token */
int parse_timemode(const char *timemodestr)
{
   if (timemodestr == NULL || timemodestr[0] == '\0')
     return(TM_BIOS); /* default */
   if (strcmp(timemodestr, "linux")==0)
     return(TM_LINUX);
   if (strcmp(timemodestr, "pit")==0)
     return(TM_PIT);
   if (strcmp(timemodestr, "bios")==0)
     return(TM_BIOS);
   yyerror("Unrecognised time mode (not bios, pit or linux)");
   return(TM_BIOS);
}

/* Parse Users for DOSEMU, by Alan Hourihane, alanh@fairlite.demon.co.uk */
/* Jan-17-1996: Erik Mouw (J.A.K.Mouw@et.tudelft.nl)
 *  - added logging facilities
 * In 1998:     Hans
 *  - havy changes and re-arangments
 */
void
parse_dosemu_users(void)
{
#define ALL_USERS "all"
#define PBUFLEN 256

  FILE *volatile fp;
  struct passwd *pwd;
  char buf[PBUFLEN];
  int userok = 0;
  char *ustr;
  int uid;
  int have_vars=0;

  /* We come here _very_ early (at top of main()) to avoid security conflicts.
   * priv_init() has already been called, but nothing more.
   *
   * We will exit, if /etc/dosemu.users says that the user has no right
   * to run a suid root dosemu (and we are on), but will continue, if the user
   * is running a non-suid copy _and_ is mentioned in dosemu users.
   * The dosemu.users entry for such a user is:
   *
   *      joeodd  ... nosuidroot
   *
   * The functions we call rely on the following setting:
   */
  after_secure_check = 0;
  priv_lvl = 0;

  /* We first have to find out where the dosemu.users file is placed
   * by the system administrator.
   * We first look for /etc/dosemu.users, then for /etc/dosemu/dosemu.users
   * Once we know that, most other pathes are runtime configurable:
   *
   *  - dosemu.users tells were to find the dosemu-lib-dir
   *    (DOSEMULIB_DEFAULT per default)
   *  - global.conf includes $DOSEMU_CONF_DIR/dosemu.conf
   *    (which could be changed by the owner of global.conf).
   */

  if (DOSEMU_USERS_FILE == NULL) {
    setenv("DOSEMU_CONF_DIR", "", 1);
  } else if (!exists_file(DOSEMU_USERS_FILE)) {
    DOSEMU_USERS_FILE = ALTERNATE_ETC "/" DOSEMU_USERS;
    DOSEMU_LOGLEVEL_FILE = ALTERNATE_ETC "/" DOSEMU_LOGLEVEL;
    setenv("DOSEMU_CONF_DIR", ALTERNATE_ETC, 1);
  }
  else setenv("DOSEMU_CONF_DIR", "/etc", 1);
	
  /* we check for some vital global settings
   * which we need before proceeding
   */
  setenv("DOSEMU_LIB_DIR", dosemulib_default, 1);
  move_dosemu_lib_dir(dosemu_lib_dir_path);

  fp = open_dosemu_users();
  if (fp) while (fgets(buf, PBUFLEN, fp) != NULL) {
    int l = strlen(buf);
    if (l && (buf[l-1] == '\n')) buf[l-1] = 0;
    ustr = strtok(buf, " \t\n=,;:");
    if (ustr && (ustr[0] != '#')) {
      if (!strcmp(ustr, "default_lib_dir")) {
        ustr=strtok(0, " \t\n=,;:");
        if (ustr) {
          if (!exists_dir(ustr)) {
            char *tx = "default_lib_dir %s does not exist\n";
            fprintf(stderr, tx, ustr);
            fprintf(stdout, tx, ustr);
            exit(1);
          }
          move_dosemu_lib_dir(ustr);
        }
      }
      if (!strcmp(ustr, "default_hdimage_dir")) {
        ustr=strtok(0, " \t\n=,;:");
        if (ustr) {
          if (!exists_dir(ustr)) {
            char *tx = "default_hdimage_dir %s does not exist\n";
            fprintf(stderr, tx, ustr);
            fprintf(stdout, tx, ustr);
            exit(1);
          }
          if (dosemu_hdimage_dir_path != dosemuhdimage_default)
            free(dosemu_hdimage_dir_path);
          dosemu_hdimage_dir_path = strdup(ustr);
	  dexe_load_path = dosemu_hdimage_dir_path;
        }
      }
      else if (!strcmp(ustr, "log_level")) {
        int ll = 0;
        ustr=strtok(0, " \t\n=,;:");
        if (ustr) {
          ll = atoi(ustr);
          if (ll < 0) ll = 0;
          if (ll > 2) ll = 2;
        }
      }
      else if (!strcmp(ustr, "config_script")) {
        ustr=strtok(0, " \t\n=,;:");
        if (ustr && strcmp(ustr, DEFAULT_CONFIG_SCRIPT)) {
          config_script_path = strdup(ustr);
          if (!exists_file(config_script_path)) {
            char *tx = "config_script %s does not exist\n";
            fprintf(stderr, tx, ustr);
            fprintf(stdout, tx, ustr);
            exit(1);
          }
	  config_script_name = strdup(ustr);
	}
      }
    }
  }
  if (fp) fclose(fp);

  if (!can_do_root_stuff || under_root_login) {
     /* simply ignore -- we're not suid-root */
     lax_user_checking();
     after_secure_check = 1;
     return;
  }

  /* We want to test if the _user_ is allowed to do certain privileged    */
  /* things, o check if the username connected to the get_orig_uid() is   */
  /* in the DOSEMU_USERS_FILE file (usually /etc/dosemu.users).           */
   
  uid = get_orig_uid();

  errno = 0; /* man says this is necessary?! */
  pwd = getpwuid(uid);

  /* Sanity Check, Shouldn't be anyone logged in without a userid */
  if (!pwd) 
     {
       error("Illegal User: uid=%i, error=%s\n", uid, strerror(errno));
       sprintf(buf, "Illegal DOSEMU user: uid=%i", uid);
       write_to_syslog(buf);
       exit(1);
     }

  /* preset DOSEMU_*USER env, such that a user can't fake it */
  setenv("DOSEMU_USER", "unknown", 1);
  setenv("DOSEMU_REAL_USER", pwd->pw_name, 1);

  {
       int can_have_privsetup = 0;
       fp = open_dosemu_users();
       if (fp) {
	   for(userok=0; fgets(buf, PBUFLEN, fp) != NULL && !userok; ) {
	     int l = strlen(buf);
	     if (l && (buf[l-1] == '\n')) buf[l-1] = 0;
	     ustr = strtok(buf, " \t\n,;:");
	     if (ustr && (ustr[0] != '#')) {
	       if (strcmp(ustr, pwd->pw_name)== 0) 
		 userok = 1;
	       else if (strcmp(ustr, ALL_USERS)== 0)
		 userok = 1;
	       if (userok) {
		 setenv("DOSEMU_USER", ustr, 1);
		 while ((ustr=strtok(0, " \t,;:")) !=0) {
		   if (ustr[0] == '#') break;
		   define_config_variable(ustr);
		   have_vars = 1;
                   if (!strcmp(ustr,"private_setup")) {
                     can_have_privsetup = 1;
                   }
		 }
	         if (!have_vars && !using_sudo)
		   define_config_variable("restricted");
	       }
	     }
	   }
           fclose(fp);
       }
       

       if (can_have_privsetup
              && (   get_config_variable("unrestricted")
                  || under_root_login || !can_do_root_stuff)) {
         /* this user is allowed to have a privat ~/.dosemu/lib
          * (which replaces DOSEMULIB_DEFAULT if existing).
          * Hence this user can have its own global.conf e.t.c.
          * However, this is only possible with non-suid-root
          * binary or when running under root loggin or when 'unrestricted'
          * also is set.       -- Hans
          */
         char *lpath = get_path_in_HOME(LOCALDIR_BASE_NAME "/lib");
         if (exists_dir(lpath)) move_dosemu_lib_dir(lpath);
         free(lpath);
       }
  }

  define_config_variable("c_all");
  if(userok==0 && !using_sudo) {
    define_config_variable("restricted");
  }
  if (get_config_variable("nosuidroot") || (get_config_variable("restricted") && !on_console())) {
    fprintf(stderr, "Dropping root privileges: guest or a restricted user not on console.\n");
    priv_drop();
    lax_user_checking();
    after_secure_check = 1;
    return;
  }

  /* now we setup up our local DOSEMU home directory, where we
   * have (among other things) all temporary stuff in
   * (since 0.97.10.2)
   */
  setup_home_directories();
  after_secure_check = 1;
}


char *commandline_statements=0;

static int has_dexe_magic(char *name)
{
  int fd, magic, ret;
  fd = open(name, O_RDONLY);
  if (fd <0) return 0;
  ret = (read(fd, &magic, 4) == 4) && (magic == DEXE_MAGIC);
  close(fd);
  return ret;
}

static int stat_dexe(char *name)
{
  struct stat s;
  if (stat(name, &s)) return 0;
  if ( ! S_ISREG(s.st_mode)) return 0;
  if ((s.st_mode & S_IXUSR) && (s.st_uid == get_orig_uid()))
    return has_dexe_magic(name);
  if ((s.st_mode & S_IXGRP) && (is_in_groups(s.st_gid)))
    return  has_dexe_magic(name); 
  if (s.st_mode & S_IXOTH) return has_dexe_magic(name);
  return 0;
}

static char *resolve_exec_path(char *dexename, char *ext)
{
  enum { maxn=0x255 };
  static char n[maxn+1];
  static char name[maxn+1];
  char *p, *path=getenv("PATH");

  strncpy(name,dexename,maxn);
  name[maxn] = 0;
  n[maxn] = 0;
  p = rindex(name, '.');
  if ( ext && ((p && strcmp(p, ext)) || !p) )
    strncat(name,ext,maxn);


  /* first try the pure file name */
  if (!path || (name[0] == '/') || (!strncmp(name, "./", 2))) {
    if (stat_dexe(name)) return name;
    return 0;
  }

  /* next try the standard path for DEXE files */
  snprintf(n, maxn, "%s/%s", dexe_load_path, name);
  if (stat_dexe(n)) return n;

  /* now search in the users normal PATH */
  path = strdup(path);
  p= strtok(path,":");
  while (p) {
    snprintf(n, maxn, "%s/%s", p, name);
    if (stat_dexe(n)) {
      free(path);
      return n;
    }
    p=strtok(0,":");
  }
  free(path);
  return 0;
}

void prepare_dexe_load(char *name)
{
  char *n, *cbuf;
  int fd, csize;
  struct image_header ihdr;

  n = resolve_exec_path(name, ".dexe");
  if (!n) {
    n = resolve_exec_path(name, 0);
    if (!n) {
      error("DEXE file not found or not executable\n");
      exit(1);
    }
  }

  /* now we extract the configuration file and the access flags */
  fd = open(n, O_RDONLY);
  if (read(fd, &ihdr, sizeof(struct image_header)) != sizeof(struct image_header)) {
    error("broken DEXE format, can't read image header\n");
    close(fd);
    exit(1);
  }

  lseek(fd, HEADER_SIZE + 0x200, SEEK_SET); /* just behind the MBR */
  if ((read(fd, &csize, 4) != 4) || (csize > 0x2000)) {
    error("broken DEXE format, configuration not found\n");
    close(fd);
    exit(1);
  }
  
  /* we use the -I option to feed in the configuration,
   * and we put ours in front of eventually existing options
   */
  if (commandline_statements) {
    cbuf = malloc(csize+1+strlen(commandline_statements)+1);
    read(fd, cbuf, csize);
    cbuf[csize] = '\n';
    strcpy(cbuf+csize+1, commandline_statements);
  }
  else {
    cbuf = malloc(csize+1);
    read(fd, cbuf, csize);
    cbuf[csize] = 0;
  }
  commandline_statements = cbuf;
  close(fd);

  start_disk();
  dptr->type = IMAGE;
  dptr->header = HEADER_SIZE;
  dptr->dev_name = n;
  dptr->dexeflags = ihdr.dexeflags | DISK_IS_DEXE;
  stop_disk(DISK);
  dexe_running = 1;
}


static void do_parse(FILE* fp, char *confname, char *errtx)
{
        yyin = fp;
        line_count = 1;
	include_stack_ptr = 0;
        c_printf("CONF: Parsing %s file.\n", confname);
	file_being_parsed = strdup(confname);
	include_fnames[include_stack_ptr] = file_being_parsed;
	yyrestart(fp);
        if (yyparse()) yyerror(errtx, confname);
        close_file(fp);
	include_stack_ptr = 0;
	include_fnames[include_stack_ptr] = 0;
	free(file_being_parsed);
}

int parse_config(char *confname, char *dosrcname)
{
  FILE *fd;
  int is_user_config;
#if YYDEBUG != 0
  yydebug  = 1;
#endif

  define_config_variable(PARSER_VERSION_STRING);

  /* Let's try confname if not null, and fail if not found */
  /* Else try the user's own .dosrc (old) or .dosemurc (new) */
  /* If that doesn't exist we will default to CONFIG_FILE */

  { 
    if (!dosrcname) {
      char *name = get_path_in_HOME(DOSEMU_RC);
      setenv("DOSEMU_RC", name, 1);
      free(name);
    }
    else {
      setenv("DOSEMU_RC",dosrcname,1);
    }

    /* privileged options allowed? */
    is_user_config = (confname && config_script_path && strcmp(confname, config_script_path));
    priv_lvl = !under_root_login && can_do_root_stuff && is_user_config;

    /* DEXE together with option F ? */
    if (priv_lvl && dexe_running) {
      /* for security reasons we cannot allow this */
      fprintf(stderr, "user cannot load DEXE file together with option -F\n");
      exit(1);
    }

    if (is_user_config) define_config_variable("c_user");
    else define_config_variable("c_system");
    if (dexe_running) define_config_variable("c_dexerun");

    yy_vbuffer = dosemu_conf;
    do_parse(NULL, "built-in dosemu.conf", "error in built-in dosemu.conf");
    yy_vbuffer = global_conf;
    do_parse(NULL, "built-in global.conf", "error in built-in global.conf");
    if (confname) {
      yy_vbuffer = NULL;
      fd = open_file(confname);
      if (!fd) {
        if (!dexe_running) {
          fprintf(stderr, "Cannot open base config file %s, Aborting DOSEMU.\n",confname);
          exit(1);
        }
      }
      do_parse(fd, confname, "error in configuration file %s");
    }

    if (priv_lvl) undefine_config_variable("c_user");
    else undefine_config_variable("c_system");

    if (!get_config_variable(CONFNAME_V3USED)) {
	/* we obviously have an old configuration file
         * ( or a too simple one )
	 * giving up
	 */
	yyerror("\nYour %s script or configuration file is obviously\n"
		"an old style or a too simple one\n"
		"Please read README.txt on how to upgrade\n", confname);
	exit(1);
    }

    /* privileged options allowed for user's config? */
    priv_lvl = !under_root_login && can_do_root_stuff;
    if (priv_lvl) define_config_variable("c_user");

    /* Now we parse any commandline statements from option '-I'
     * We do this under priv_lvl set above, so we have the same secure level
     * as with .dosrc
     */

    if (commandline_statements) {
      #define XX_NAME "commandline"

      open_file(0);
      define_config_variable("c_comline");
      c_printf("Parsing " XX_NAME  " statements.\n");
      yyin=0;				 /* say: we have no input file */
      yy_vbuffer=commandline_statements; /* this is the input to scan */
      do_parse(0, XX_NAME, "error in user's %s statement");
      undefine_config_variable("c_comline");
    }
  }

  /* check for global settings, that should know the whole settings
   * This we only can do, after having parsed all statements
   */

  if (dexe_running) {
    /* force a BootC,
     * regardless what ever was set in the config files
     */
    config.hdiskboot = 2;
  }
  else {
    if (get_config_variable("c_dexeonly")) {
       c_printf("CONF: only execution of DEXE files allowed\n");
       fprintf(stderr, "only execution of DEXE files allowed\n");
       exit(99);
    }
  }

#ifdef TESTING
  error("TESTING: parser is terminating program\n");
  exit(0);
#endif
  return 1;
}

#define MAX_CONFIGVARIABLES 128
char *config_variables[MAX_CONFIGVARIABLES+1] = {0};
static int config_variables_count = 0;
static int config_variables_last = 0;
static int allowed_classes = -1;
static int saved_allowed_classes = -1;



static int is_in_allowed_classes(int mask)
{
  if (!(allowed_classes & mask)) {
    yyerror("insufficient class privilege to use this configuration option\n");
    exit(99);
  }
  return 1;
}

struct config_classes {
	char *class;
	int mask;
} config_classes[] = {
	{"c_all", CL_ALL},
	{"c_normal", CL_ALL & (~(CL_VAR | CL_VPORT | CL_IRQ | CL_HARDRAM | CL_PCI | CL_NET))},
	{"c_var", CL_VAR},
	{"c_system", CL_ALL},
	{"c_vport", CL_VPORT},
	{"c_port", CL_PORT},
	{"c_irq", CL_IRQ},
	{"c_pci", CL_PCI},
	{"c_hardram", CL_HARDRAM},
	{"c_net", CL_NET},
	{0,0}
};

static int get_class_mask(char *name)
{
  struct config_classes *p = &config_classes[0];
  while (p->class) {
    if (!strcmp(p->class,name)) return p->mask;
    p++;
  }
  return 0;
}

static void update_class_mask(void)
{
  int i, m;
  allowed_classes = 0;
  for (i=0; i< config_variables_count; i++) {
    if ((m=get_class_mask(config_variables[i])) != 0) {
      allowed_classes |= m;
    }
  }
}

static void enter_user_scope(int incstackptr)
{
  if (user_scope_level) return;
  saved_priv_lvl = priv_lvl;
  priv_lvl = 1;
  saved_allowed_classes = allowed_classes;
  allowed_classes = 0;
  user_scope_level = incstackptr;
  c_printf("CONF: entered user scope, includelevel %d\n", incstackptr-1);
}

static void leave_user_scope(int incstackptr)
{
  if (user_scope_level != incstackptr) return;
  priv_lvl = saved_priv_lvl;
  allowed_classes = saved_allowed_classes;
  user_scope_level = 0;
  c_printf("CONF: left user scope, includelevel %d\n", incstackptr-1);
}

char *get_config_variable(char *name)
{
  int i;
  for (i=0; i< config_variables_count; i++) {
    if (!strcmp(name, config_variables[i])) {
      config_variables_last = i;
      return config_variables[i];
    }
  }
  return 0;
}

int define_config_variable(char *name)
{
  if (priv_lvl) {
    if (strcmp(name, CONFNAME_V3USED) && strncmp(name, "u_", 2)) {
      c_printf("CONF: not enough privilege to define config variable %s\n", name);
      return 0;
    }
  }
  if (!get_config_variable(name)) {
    if (config_variables_count < MAX_CONFIGVARIABLES) {
      config_variables[config_variables_count++] = strdup(name);
      if (!priv_lvl) update_class_mask();
    }
    else {
      if (after_secure_check)
        c_printf("CONF: overflow on config variable list\n");
      return 0;
    }
  }
  if (after_secure_check)
    c_printf("CONF: config variable %s set\n", name);
  return 1;
}

static int undefine_config_variable(char *name)
{
  if (priv_lvl) {
    if (strncmp(name, "u_", 2)) {
      c_printf("CONF: not enough privilege to undefine config variable %s\n", name);
      return 0;
    }
  }
  if (get_config_variable(name)) {
    int i;
    if (!strcmp(name, CONFNAME_V3USED)) parser_version_3_style_used = 0;
    free(config_variables[config_variables_last]);
    for (i=config_variables_last; i<(config_variables_count-1); i++) {
      config_variables[i] = config_variables[i+1];
    }
    config_variables_count--;
    if (!priv_lvl) update_class_mask();
    c_printf("CONF: config variable %s unset\n", name);
    return 1;
  }
  return 0;
}

char *checked_getenv(const char *name)
{
  if (user_scope_level) {
     char *s, *name_ = malloc(strlen(name)+sizeof(USERVAR_PREF));
     strcpy(name_, USERVAR_PREF);
     strcat(name_, name);
     s = getenv(name_);
     free(name_);
     if (s) return s;
  }
  return getenv(name);
}

static void check_user_var(char *name)
{
	char *name_;
	char *s;

	if (user_scope_level) return;
	name_ = malloc(strlen(name)+sizeof(USERVAR_PREF));
	strcpy(name_, USERVAR_PREF);
	strcat(name_, name);
	s = getenv(name_);
	if (s) {
		if (getenv(name))
			c_printf("CONF: variable %s replaced by user\n", name);
		setenv(name, s, 1);
		unsetenv(name_);
	}
	free(name_);
}


static char *run_shell(char *command)
{
	int pipefds[2];
	pid_t pid;
	char excode[16] = "1";

	setenv("DOSEMU_SHELL_RETURN", excode, 1);
	if (pipe(pipefds)) return strdup("");
	pid = fork();
	if (pid == -1) return strdup("");
	if (!pid) {
		/* child */
		int ret;
		close(pipefds[0]);	/* we won't read from the pipe */
		dup2(pipefds[1], 1);	/* make the pipe child's stdout */
		priv_drop();	/* drop any priviledges */
		ret = system(command);
			/* tell the parent: "we have finished",
			 * this way we need not to play games with select()
			 */
		if (ret == -1) ret = errno;
		else ret >>=8;
		write(pipefds[1],"\0\0\0",4);
		close(pipefds[1]);
		_exit(ret);
	}
	else {
		/* parent */
		char *buf = 0;
		int recsize = 128;
		int bufsize = 0;
		int ptr =0;
		int ret;
		int status;

		close(pipefds[1]);	/* we won't write to the pipe */
		do {
			bufsize = ptr + recsize;
			if (!buf) buf = malloc(bufsize);
			else buf = realloc(buf, bufsize);
			ret = read(pipefds[0], buf+ptr, recsize -1);
			if (ret > 0) {
				ptr += ret;
			}
		} while (ret >0 && (ret < 4 || memcmp(buf+ptr-4,"\0\0\0",4)));
		close(pipefds[0]);
		waitpid(pid, &status, 0);
		buf[ptr] = 0;
		if (!buf[0]) {
			free(buf);
			buf = strdup("");
		}
		sprintf(excode, "%d", WEXITSTATUS(status));
		setenv("DOSEMU_SHELL_RETURN", excode, 1);
		return buf;
	}
}


struct for_each_entry {
	char *list;
	char *ptr;
	int skip_restart;
};

#define FOR_EACH_DEPTH	16
static struct for_each_entry *for_each_list = 0;

static int for_each_handling(int loopid, char *varname, char *delim, char *list)
{
	struct for_each_entry *fe;
	char * new;
	char saved;
	if (!for_each_list) {
		int size = FOR_EACH_DEPTH * sizeof(struct for_each_entry);
		for_each_list = malloc(size);
		memset(for_each_list, 0, size);
	}
	if (loopid > FOR_EACH_DEPTH) {
		yyerror("too deeply nested foreach\n");
		return 0;
	}
	fe = for_each_list + loopid;
	if (!fe->list) {
		/* starting the loop */
		fe->ptr = fe->list = strdup(list);
		fe->skip_restart = 0;
		if (loopid) {
			/* in inner loops we need to skip the restart */
			fe->skip_restart = 1;
		}
	}
	else {
		if (fe->skip_restart) {
			fe->skip_restart = 0;
			return 1;
		}
	}
	while (fe->ptr[0] && strchr(delim,fe->ptr[0])) fe->ptr++;
	/* subsequent call */
	if (!fe->ptr[0]) {
		/* loop end */
		free(fe->list);
		fe->list = 0;
		return (0);
	}
	new = strpbrk(fe->ptr, delim);
	if (!new) new = strchr(fe->ptr,0);
	saved = *new;
	*new = 0;
	setenv(varname,fe->ptr,1);
	if (saved) new++;
	fe->ptr = new;
	return (1);
}

#ifdef TESTING_MAIN

static void die(char *reason)
{
  error("par dead: %s\n", reason);
  exit(0);
}

int
main(int argc, char **argv)
{
  if (argc != 2)
    die("no filename!");

  if (!parse_config(argv[1], argv[2] /* will be NULL if not given */))
    die("parse failed!\n");
}

#endif

/* for keyboard plugin */



static void keyb_mod(int wich, t_keysym keynum, int unicode)
{
	static t_keysym *table = 0;
	static int count = 0;
	
	if (wich == ' ') {
		switch (keynum & 0xFF00) {
		case 0x000: wich = ' '; break;
		case 0x100: wich = 'S'; break;
		case 0x200: wich = 'A'; break;
		case 0x300: wich = 'N'; break;
		case 0x400: wich = 'C'; break;
		case 0x500: wich = 'a'; break;
		case 0x600: wich = 'c'; break;
		default: 
			/* It's a bad value ditch it */
			wich ='X'; table = 0; count = 0; break;
		}
		keynum &= 0xFF;
	}

	switch (wich) {
	case ' ': table = config.keytable->key_map;
		count=config.keytable->sizemap;
		break;
	case 'S': table = config.keytable->shift_map;
		count=config.keytable->sizemap;
		break;
	case 'A': table = config.keytable->alt_map;
		count=config.keytable->sizemap;
		break;
	case 'C': table = config.keytable->ctrl_map;
		count=config.keytable->sizemap;
		break;
	case 'a': table = config.keytable->shift_alt_map;
		count=config.keytable->sizemap;
		break;
	case 'c': table = config.keytable->ctrl_alt_map;
		count=config.keytable->sizemap;
		break;
	case 'N': table = config.keytable->num_table;
		count=config.keytable->sizepad;
		break;
	}


	if (!table || (count == 0) || (wich != 0 && keynum >= count)) {
		count = 0;
		table = 0;
		return;
	}
	if (wich != 0) {
		table += keynum;
		count -= keynum;
		return;
	}
	if (!unicode) {
		if (keynum == 0) {
			keynum = DKY_VOID;
		} else {
			keynum = keynum + 0xEF00;
		}
	}
	if (count > 0) {
		*table++ = keynum;
		count--;
	}
}


static char *get_key_name(t_keysym key)
{
	struct key_names {
		t_keysym key;
		char *name;
	};
	static struct key_names names[] =
	{
		{ DKY_DEAD_GRAVE,	"dgrave"},
		{ DKY_DEAD_ACUTE,	"dacute"},
		{ DKY_DEAD_CIRCUMFLEX,	"dcircum"},
		{ DKY_DEAD_TILDE,	"dtilde"},
		{ DKY_DEAD_BREVE,	"dbreve"},
		{ DKY_DEAD_ABOVEDOT,	"daboved"},
		{ DKY_DEAD_DIAERESIS,	"ddiares"},
		{ DKY_DEAD_ABOVERING,	"dabover"},
		{ DKY_DEAD_DOUBLEACUTE,	"ddacute"},
		{ DKY_DEAD_CEDILLA,	"dcedilla"},
		{ DKY_DEAD_OGONEK,	"dogonek"},
		{ DKY_DEAD_CARON,	"dcaron"},
	};
	int i;
	for(i = 0; i < sizeof(names)/sizeof(names[0]); i++) {
		if (names[i].key == key) {
			return names[i].name;
		}
	}
	return 0;
}

static void dump_keytable_part(FILE *f, t_keysym *map, int size)
{
  int i, in_string=0;
  t_keysym c;
  char *cc, comma=' ', buf[16];

  /* Note: This code assumes every font is a superset of ascii */
  if (!map) {
	  return;
  }
  size--;
  for (i=0; i<=size; i++) {
    c = map[i];
    if (!(i & 15)) fprintf(f,"    ");
    cc = get_key_name(c);
    if (!cc && (c < 128) && isprint(c) && !strchr("\\\"\'`", c)) {
      if (in_string) fputc(c,f);
      else {
        fprintf(f, "%c\"%c", comma, c);
        in_string = 1;
      }
    }
    else {
      if (!cc) {
	if (((c > 0) && (c < 128)) || ((c >= 0xEF00) && (c <= 0xEFFF))) {
	  sprintf(buf, "%d", c & 0xFF);
	} else if (c == DKY_VOID) {
	  strcpy(buf, "0");
	} else {
	  sprintf(buf, "\\u%04x", c);
	}
	cc = buf;
      }
      if (!in_string) fprintf(f, "%c%s", comma, cc);
      else {
        fprintf(f, "\",%s", cc);
        in_string = 0;
      }
    }
    if ((i & 15) == 15) {
      if (in_string) fputc('"', f);
      if (i < size) fputc(',', f);
      fputc('\n', f);
      in_string = 0;
      comma = ' ';
    }
    else comma = ',';
  }
  if (in_string) fputc('"', f);
  fputc('\n', f);
}


void dump_keytable(FILE *f, struct keytable_entry *kt)
{
    fprintf(f, "keytable %s {\n", kt->name);
    fprintf(f, "  0=\n");
    dump_keytable_part(f, kt->key_map, kt->sizemap);
    fprintf(f, "  shift 0=\n");
    dump_keytable_part(f, kt->shift_map, kt->sizemap);
    fprintf(f, "  alt 0=\n");
    dump_keytable_part(f, kt->alt_map, kt->sizemap);
    fprintf(f, "  numpad 0=\n");
    dump_keytable_part(f, kt->num_table, kt->sizepad-1);
    fprintf(f, "  ctrl 0=\n");
    dump_keytable_part(f, kt->ctrl_map, kt->sizemap);
    fprintf(f, "  shift-alt 0=\n");
    dump_keytable_part(f, kt->shift_alt_map, kt->sizemap);
    fprintf(f, "  ctrl-alt 0=\n");
    dump_keytable_part(f, kt->ctrl_alt_map, kt->sizemap);
    fprintf(f, "}\n\n\n");
}



	/* charset */
static struct char_set *get_charset(char *name)
{
	struct char_set *charset;

	charset = lookup_charset(name);
	if (!charset) {
		yyerror("Can't find charset %s", name);
	}
	return charset;

}

static void set_external_charset(char *charset_name)
{
	struct char_set *charset;
	charset = get_charset(charset_name);
	charset = get_terminal_charset(charset);
	if (charset) {
		if (!trconfig.output_charset) {
			trconfig.output_charset = charset;
		}
		if (!trconfig.keyb_charset) {
			trconfig.keyb_charset = charset;
		}
	}
	return;
}

static void set_internal_charset(char *charset_name)
{
	struct char_set *charset_video, *charset_config;
	charset_video = get_charset(charset_name);
	if (!is_display_charset(charset_video)) {
		yyerror("%s not suitable as an internal charset", charset_name);
	}
	charset_config = get_terminal_charset(charset_video);
	if (charset_video && !trconfig.video_mem_charset) {
		trconfig.video_mem_charset = charset_video;
	}
	if (charset_config && !trconfig.keyb_config_charset) {
		trconfig.keyb_config_charset = charset_config;
	}
	if (charset_config && !trconfig.dos_charset) {
		trconfig.dos_charset = charset_config;
	}
	return;
}

